#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::test_collisions_0()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_1()
{
    // event 1_0
    {
        // group: None
        if (!(is_any_key_pressed_once())) goto event_1_0_end;
        if (!(frame_time >= 0.36)) goto event_1_0_end;
        next_frame = index + 1 + 0;    
    
    }
    event_1_0_end: ;
}
void Frames::event_func_2()
{
    // event 2_0
    bool or_result_2_0 = false;
    bool or_temp_result_2_0_0 = false;
    {
        // group: None
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto or_event_2_0_0_end;
        if (!(frame_time >= 0.36)) goto or_event_2_0_0_end;
        or_result_2_0 = true;
        or_temp_result_2_0_0 = true;
    }
    or_event_2_0_0_end: ;
    // event 2_0
    bool or_temp_result_2_0_1 = false;
    {
        // group: None
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto or_event_2_0_1_end;
        if (!(frame_time >= 0.36)) goto or_event_2_0_1_end;
        or_result_2_0 = true;
        or_temp_result_2_0_1 = true;
    }
    or_event_2_0_1_end: ;
    // event 2_0
    bool or_temp_result_2_0_2 = false;
    {
        // group: None
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto or_event_2_0_2_end;
        if (!(frame_time >= 0.36)) goto or_event_2_0_2_end;
        or_result_2_0 = true;
        or_temp_result_2_0_2 = true;
    }
    or_event_2_0_2_end: ;
    // event 2_0
    bool or_temp_result_2_0_3 = false;
    {
        // group: None
        if (!(is_player_pressed_once(1, CONTROL_BUTTON4))) goto or_event_2_0_3_end;
        if (!(frame_time >= 0.36)) goto or_event_2_0_3_end;
        or_result_2_0 = true;
        or_temp_result_2_0_3 = true;
        or_event_2_0_3_end: ;
        if (!or_result_2_0) goto or_final_or_event_2_0_3_end;
        next_frame = index + 1 + 0;    
    
    }
    or_final_or_event_2_0_3_end: ;
}
void Frames::event_func_3()
{
    // event 3_0
    {
        // group: None
        media.set_channel_volume(31-1, 100);
    }
    event_3_0_end: ;
}
void Frames::handle_frame_1_events()
{
    test_collisions_0();
    if (next_frame != -1) return;
    event_func_3();
}
void Frames::handle_frame_1_pre_events()
{
    event_func_1();
    event_func_2();
}
void Frames::event_func_4()
{
    // event 4_0
    {
        media.stop_samples();
    }
    event_4_0_end: ;
}
void Frames::on_frame_1_start_events()
{
    event_func_4();
}
void Frames::on_frame_1_init()
{
    index = 0;
    width = 640;
    height = 360;
    virtual_width = 640;
    virtual_height = 360;
    background_color = Color(0, 0, 0);
    timer_base = 0;
    reset_image_cache();
    flush_image_cache();
    layers.resize(1);
    layers[0].init(0, 1.0, 1.0, true, false, false);
    #ifdef CHOWDREN_HAS_MRT
    #endif
    #ifdef CHOWDREN_IS_3DS
    #endif
    add_object(create_string2_0(162, 89), 0);
    loops = NULL;
}
void Frames::test_collisions_1()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_5()
{
    // event 1_1
    {
        // group: None
        if (frame_time < 2.46) goto event_1_1_end;
        if (not_always_1_1_0 > loop_count) {
            not_always_1_1_0 = loop_count + 2;
            goto event_1_1_end;
        }
        not_always_1_1_0 = loop_count + 2;
        next_frame = index + 1 + 0;    
    
    }
    event_1_1_end: ;
}
void Frames::event_func_6()
{
    // event 3_1
    {
        // group: None
        if (!(frame_time >= 0.24)) goto event_3_1_end;
        ((Active*)get_instance(active6_2_instances))->set_y(((Active*)get_instance(active6_2_instances))->get_y()-get_floor(((((Active*)get_instance(active6_2_instances))->get_y()-((Active*)get_instance(anchor_4_instances))->get_y())*0.14)));
        ((Active*)get_instance(active2_3_instances))->set_y(((Active*)get_instance(active2_3_instances))->get_y()-get_ceil(((((Active*)get_instance(active2_3_instances))->get_y()-((Active*)get_instance(anchor_4_instances))->get_y())*0.14)));
    }
    event_3_1_end: ;
}
void Frames::event_func_7()
{
    // event 4_1
    {
        // group: None
        if (!(is_key_pressed_once(SDLK_q))) goto event_4_1_end;
        next_frame = 0 + 0;    
    
    }
    event_4_1_end: ;
}
void Frames::event_func_8()
{
    // event 5_1
    {
        // group: None
        if (frame_time < 1.0) goto event_5_1_end;
        if (not_always_5_1_0 > loop_count) {
            not_always_5_1_0 = loop_count + 2;
            goto event_5_1_end;
        }
        not_always_5_1_0 = loop_count + 2;
        ((Active*)get_instance(active3_5_instances))->get_movement()->set_speed(225);
        ((Active*)get_instance(active4_6_instances))->set_visible(true);
    }
    event_5_1_end: ;
}
void Frames::event_func_9()
{
    // event 6_1
    {
        // group: None
        if (frame_time < 0.48) goto event_6_1_end;
        if (not_always_6_1_0 > loop_count) {
            not_always_6_1_0 = loop_count + 2;
            goto event_6_1_end;
        }
        not_always_6_1_0 = loop_count + 2;
        media.play_id(SOUND_TITLE_3_32, 31-1, 0);
    }
    event_6_1_end: ;
}
void Frames::handle_frame_2_events()
{
    test_collisions_1();
    event_func_5();
    event_func_6();
    event_func_8();
    event_func_9();
    if (next_frame != -1) return;
    event_func_7();
}
void Frames::handle_frame_2_pre_events()
{
}
void Frames::event_func_10()
{
    // event 2_1
    {
        media.set_sample_volume(SOUND_WAPOP_20, 15);
    }
    event_2_1_end: ;
}
void Frames::on_frame_2_start_events()
{
    event_func_10();
}
void Frames::on_frame_2_init()
{
    index = 1;
    width = 640;
    height = 360;
    virtual_width = 640;
    virtual_height = 360;
    background_color = Color(28, 28, 28);
    timer_base = 0;
    reset_image_cache();
    flush_image_cache();
    layers.resize(1);
    layers[0].init(0, 1.0, 1.0, true, false, false);
    #ifdef CHOWDREN_HAS_MRT
    #endif
    #ifdef CHOWDREN_IS_3DS
    #endif
    add_object(create_active_1(-393, 60), 0);
    add_object(create_active6_2(139, -160), 0);
    add_object(create_active2_3(130, 364), 0);
    add_object(create_anchor_4(139, 104), 0);
    add_object(create_active3_5(-224, 96), 0);
    add_object(create_active4_6(0, 0), 0);
    loops = NULL;
    not_always_1_1_0 = loop_count;
    not_always_6_1_0 = loop_count;
    not_always_5_1_0 = loop_count;
}
void Frames::test_collisions_2()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_11()
{
    // event 1_2
    {
        // group: Visuals
        active4_6_instances.clear_selection();
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active5_11_instances.clear_selection();
        for (ObjectIterator it(active5_11_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active7_12_instances.clear_selection();
        for (ObjectIterator it(active7_12_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-23);
        }
        ((Active*)get_instance(active11_17_instances, default_active_instance))->move_front(((Active*)get_instance(active9_14_instances)));
        ((Active*)get_instance(active11_17_instances, default_active_instance))->move_front(((Active*)get_instance(active10_15_instances)));
        active11_17_instances.clear_selection();
        for (ObjectIterator it(active11_17_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-31);
        }
    }
    event_1_2_end: ;
}
void Frames::event_func_12()
{
    // event 2_2
    {
        // group: Visuals
        active4_6_instances.clear_selection();
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) <= (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active4_6_instances.has_selection()) goto event_2_2_end;
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_2_2_end: ;
}
void Frames::event_func_13()
{
    // event 3_2
    {
        // group: Visuals
        every_3_2_0 += manager.dt;
        if (every_3_2_0 < 0.19) goto event_3_2_end;
        every_3_2_0 -= 0.19;
        active5_11_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active5_11(640, 166), 3);
            active5_11_instances.add_back();
        }
        for (ObjectIterator it(active5_11_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(blockmaker_24_instances));
            if (parent == NULL) goto pos_end_3_2_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 166);
            pos_end_3_2_2: ;
        }
    }
    event_3_2_end: ;
}
void Frames::event_func_14()
{
    // event 4_2
    {
        // group: Visuals
        every_4_2_0 += manager.dt;
        if (every_4_2_0 < 0.95) goto event_4_2_end;
        every_4_2_0 -= 0.95;
        active7_12_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active7_12(640, 0), 3);
            active7_12_instances.add_back();
        }
        for (ObjectIterator it(active7_12_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_25_instances));
            if (parent == NULL) goto pos_end_4_2_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_4_2_2: ;
        }
    }
    event_4_2_end: ;
}
void Frames::event_func_15()
{
    // event 5_2
    {
        // group: Visuals
        every_5_2_0 += manager.dt;
        if (every_5_2_0 < 4.19) goto event_5_2_end;
        every_5_2_0 -= 4.19;
        active8_13_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active8_13(640, 0), 4);
            active8_13_instances.add_back();
        }
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_25_instances));
            if (parent == NULL) goto pos_end_5_2_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_5_2_2: ;
        }
    }
    event_5_2_end: ;
}
void Frames::event_func_16()
{
    // event 6_2
    {
        // group: Visuals
        ((Active*)get_instance(active9_14_instances))->move_front(((Active*)get_instance(active4_6_instances)));
        ((Active*)get_instance(active10_15_instances))->move_front(((Active*)get_instance(active4_6_instances)));
    }
    event_6_2_end: ;
}
void Frames::event_func_17()
{
    // event 7_2
    {
        // group: Visuals
        every_7_2_0 += manager.dt;
        if (every_7_2_0 < 0.1) goto event_7_2_end;
        every_7_2_0 -= 0.1;
        ((Active*)get_instance(rando_18_instances))->alterables->values.set(0, randrange_event(30)); // 'rando'
    }
    event_7_2_end: ;
}
void Frames::event_func_18()
{
    // event 8_2
    {
        // group: Visuals
        if (!((((Active*)get_instance(rando_18_instances))->alterables->values.get(0)) == (7))) goto event_8_2_end;
        active11_17_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active11_17(674, 143), 3);
            active11_17_instances.add_back();
        }
        ((Active*)get_instance(rando_18_instances))->alterables->values.set(0, 0); // 'rando'
        for (ObjectIterator it(active11_17_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(active15_26_instances));
            if (parent == NULL) goto pos_end_8_2_1;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_8_2_1: ;
        }
    }
    event_8_2_end: ;
}
void Frames::event_func_19()
{
    // event 9_2
    {
        // group: Visuals
        ((Active*)get_instance(active9_14_instances))->alterables->values.add(0, 1); // 'Active 9'
        ((Active*)get_instance(active9_14_instances))->set_x(((Active*)get_instance(active9_14_instances))->alterables->values.get(4)+((Active*)get_instance(lginitpos_28_instances))->get_x()+((Active*)get_instance(active9_14_instances))->alterables->values.get(5)+((Active*)get_instance(active9_14_instances))->alterables->values.get(6));
        ((Active*)get_instance(active9_14_instances))->alterables->values.set(4, -5+(10*sin_deg(((Active*)get_instance(active9_14_instances))->alterables->values.get(1)*((Active*)get_instance(active9_14_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active9_14_instances))->alterables->values.set(5, -4+(8*sin_deg(((Active*)get_instance(active9_14_instances))->alterables->values.get(2)*((Active*)get_instance(active9_14_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active9_14_instances))->alterables->values.set(6, -3+(6*sin_deg(((Active*)get_instance(active9_14_instances))->alterables->values.get(3)*((Active*)get_instance(active9_14_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active10_15_instances))->set_x(((Active*)get_instance(active9_14_instances))->get_x());
    }
    event_9_2_end: ;
}
void Frames::event_func_20()
{
    // event 11_2
    {
        // group: Visuals
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_11_2_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_11_2_end: ;
}
void Frames::event_func_21()
{
    // event 12_2
    {
        // group: Visuals
        active7_12_instances.clear_selection();
        for (ObjectIterator it(active7_12_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active7_12_instances.has_selection()) goto event_12_2_end;
        for (ObjectIterator it(active7_12_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_12_2_end: ;
}
void Frames::event_func_22()
{
    // event 13_2
    {
        // group: Visuals
        active4_6_instances.clear_selection();
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active4_6_instances.has_selection()) goto event_13_2_end;
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_13_2_end: ;
}
void Frames::event_func_23()
{
    // event 14_2
    {
        // group: Visuals
        active5_11_instances.clear_selection();
        for (ObjectIterator it(active5_11_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active5_11_instances.has_selection()) goto event_14_2_end;
        for (ObjectIterator it(active5_11_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_14_2_end: ;
}
void Frames::event_func_24()
{
    // event 15_2
    {
        // group: Visuals
        active11_17_instances.clear_selection();
        for (ObjectIterator it(active11_17_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_27_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active11_17_instances.has_selection()) goto event_15_2_end;
        for (ObjectIterator it(active11_17_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_15_2_end: ;
}
void Frames::event_func_25()
{
    // event 16_2
    {
        // group: Visuals
        ((Active*)get_instance(roadmaker_25_instances))->alterables->values.add(0, 1); // 'roadmaker'
    }
    event_16_2_end: ;
}
void Frames::event_func_26()
{
    // event 17_2
    {
        // group: Visuals
        if (!((((Active*)get_instance(roadmaker_25_instances))->alterables->values.get(0)) == (35))) goto event_17_2_end;
        active4_6_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active4_10(659, 0), 3);
            active4_6_instances.add_back();
        }
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_25_instances));
            if (parent == NULL) goto pos_end_17_2_1;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_17_2_1: ;
        }
        ((Active*)get_instance(roadmaker_25_instances))->alterables->values.set(0, 0); // 'roadmaker'
    }
    event_17_2_end: ;
}
void Frames::event_func_27()
{
    // event 18_2
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_x()) < (((Active*)get_instance(camera_22_instances))->get_x()))) goto event_18_2_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()-get_floor(((((Active*)get_instance(camerachaser_23_instances))->get_x()-((Active*)get_instance(camera_22_instances))->get_x())*0.12)));
    }
    event_18_2_end: ;
}
void Frames::event_func_28()
{
    // event 19_2
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_x()) > (((Active*)get_instance(camera_22_instances))->get_x()))) goto event_19_2_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()-get_ceil(((((Active*)get_instance(camerachaser_23_instances))->get_x()-((Active*)get_instance(camera_22_instances))->get_x())*0.12)));
    }
    event_19_2_end: ;
}
void Frames::event_func_29()
{
    // event 20_2
    {
        // group: Scrolling
        {
            FrameObject * parent = ((Active*)get_instance(camerachaser_23_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_20_2_end: ;
}
void Frames::event_func_30()
{
    // event 21_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_21_2_end;
        ((Active*)get_instance(active14_21_instances))->set_x(806);
    }
    event_21_2_end: ;
}
void Frames::event_func_31()
{
    // event 22_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto event_22_2_end;
        ((Active*)get_instance(active14_21_instances))->set_x(856);
    }
    event_22_2_end: ;
}
void Frames::event_func_32()
{
    // event 23_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto event_23_2_end;
        ((Active*)get_instance(active14_21_instances))->set_x(904);
    }
    event_23_2_end: ;
}
void Frames::event_func_33()
{
    // event 24_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto event_24_2_end;
        ((Active*)get_instance(active14_21_instances))->set_x(968);
    }
    event_24_2_end: ;
}
void Frames::event_func_34()
{
    // event 25_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_exit_6))) goto event_25_2_end;
        ((Active*)get_instance(active14_21_instances))->set_x(1028);
    }
    event_25_2_end: ;
}
void Frames::event_func_35()
{
    // event 26_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_26_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_26_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_26_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_26_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_help_3);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_26_2_end: ;
}
void Frames::event_func_36()
{
    // event 27_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_27_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto event_27_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_27_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_27_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_play_0);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_27_2_end: ;
}
void Frames::event_func_37()
{
    // event 28_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_28_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto event_28_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_28_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_28_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_settings_4);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_28_2_end: ;
}
void Frames::event_func_38()
{
    // event 29_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_29_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto event_29_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_29_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_29_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_help_3);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_29_2_end: ;
}
void Frames::event_func_39()
{
    // event 30_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_30_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto event_30_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_30_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_30_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_credits_5);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_30_2_end: ;
}
void Frames::event_func_40()
{
    // event 31_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_31_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto event_31_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_31_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_31_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_settings_4);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_31_2_end: ;
}
void Frames::event_func_41()
{
    // event 32_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_32_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto event_32_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_32_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_32_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_exit_6);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_32_2_end: ;
}
void Frames::event_func_42()
{
    // event 33_2
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_33_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_exit_6))) goto event_33_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_33_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_33_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(0, str_credits_5);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_33_2_end: ;
}
void Frames::event_func_43()
{
    // event 34_2
    {
        // group: Main Menu
        if (!(is_player_pressed_once(1, 0))) goto event_34_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 0); // 'MenuDataStore'
    }
    event_34_2_end: ;
}
void Frames::event_func_44()
{
    // event 35_2
    bool or_result_35_2 = false;
    bool or_temp_result_35_2_0 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_35_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto or_event_35_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_2_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_35_2_0_end;
        or_result_35_2 = true;
        or_temp_result_35_2_0 = true;
    }
    or_event_35_2_0_end: ;
    // event 35_2
    bool or_temp_result_35_2_1 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_35_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto or_event_35_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_2_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_35_2_1_end;
        or_result_35_2 = true;
        or_temp_result_35_2_1 = true;
    }
    or_event_35_2_1_end: ;
    // event 35_2
    bool or_temp_result_35_2_2 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_35_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto or_event_35_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_2_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_35_2_2_end;
        or_result_35_2 = true;
        or_temp_result_35_2_2 = true;
    }
    or_event_35_2_2_end: ;
    // event 35_2
    bool or_temp_result_35_2_3 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_35_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_help_3))) goto or_event_35_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_2_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_35_2_3_end;
        or_result_35_2 = true;
        or_temp_result_35_2_3 = true;
        or_event_35_2_3_end: ;
        if (!or_result_35_2) goto or_final_or_event_35_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_help_3);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_35_2_3_end: ;
}
void Frames::event_func_45()
{
    // event 36_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_36_2_end;
        ((Active*)get_instance(camera_22_instances))->set_x(960);
    }
    event_36_2_end: ;
}
void Frames::event_func_46()
{
    // event 37_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_help_3))) goto event_37_2_end;
        ((Active*)get_instance(camera_22_instances))->set_x(320);
    }
    event_37_2_end: ;
}
void Frames::event_func_47()
{
    // event 38_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_38_2_end;
        ((Active*)get_instance(camera_22_instances))->set_x(1600);
    }
    event_38_2_end: ;
}
void Frames::event_func_48()
{
    // event 39_2
    bool or_result_39_2 = false;
    bool or_temp_result_39_2_0 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_39_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto or_event_39_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_2_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_39_2_0_end;
        or_result_39_2 = true;
        or_temp_result_39_2_0 = true;
    }
    or_event_39_2_0_end: ;
    // event 39_2
    bool or_temp_result_39_2_1 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_39_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto or_event_39_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_2_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_39_2_1_end;
        or_result_39_2 = true;
        or_temp_result_39_2_1 = true;
    }
    or_event_39_2_1_end: ;
    // event 39_2
    bool or_temp_result_39_2_2 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_39_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto or_event_39_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_2_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_39_2_2_end;
        or_result_39_2 = true;
        or_temp_result_39_2_2 = true;
    }
    or_event_39_2_2_end: ;
    // event 39_2
    bool or_temp_result_39_2_3 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_39_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_settings_4))) goto or_event_39_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_2_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_39_2_3_end;
        or_result_39_2 = true;
        or_temp_result_39_2_3 = true;
        or_event_39_2_3_end: ;
        if (!or_result_39_2) goto or_final_or_event_39_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_settings_4);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_39_2_3_end: ;
}
void Frames::event_func_49()
{
    // event 40_2
    bool or_result_40_2 = false;
    bool or_temp_result_40_2_0 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_40_2_0_end;
        or_result_40_2 = true;
        or_temp_result_40_2_0 = true;
    }
    or_event_40_2_0_end: ;
    // event 40_2
    bool or_temp_result_40_2_1 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_40_2_1_end;
        or_result_40_2 = true;
        or_temp_result_40_2_1 = true;
    }
    or_event_40_2_1_end: ;
    // event 40_2
    bool or_temp_result_40_2_2 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_40_2_2_end;
        or_result_40_2 = true;
        or_temp_result_40_2_2 = true;
    }
    or_event_40_2_2_end: ;
    // event 40_2
    bool or_temp_result_40_2_3 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_40_2_3_end;
        or_result_40_2 = true;
        or_temp_result_40_2_3 = true;
        or_event_40_2_3_end: ;
        if (!or_result_40_2) goto or_final_or_event_40_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(1, 1); // 'MenuDataStore'
    }
    or_final_or_event_40_2_3_end: ;
}
void Frames::event_func_50()
{
    // event 41_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(1)) == (1))) goto event_41_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_41_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_41_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_exit_6))) goto event_41_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        has_quit = true;
    }
    event_41_2_end: ;
}
void Frames::event_func_51()
{
    // event 42_2
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(1)) == (1))) goto event_42_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_42_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_42_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_42_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        next_frame = index + 1 + 0;    
    
    }
    event_42_2_end: ;
}
void Frames::event_func_52()
{
    // event 43_2
    bool or_result_43_2 = false;
    bool or_temp_result_43_2_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_43_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_help_3))) goto or_event_43_2_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_43_2_0_end;
        or_result_43_2 = true;
        or_temp_result_43_2_0 = true;
    }
    or_event_43_2_0_end: ;
    // event 43_2
    bool or_temp_result_43_2_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_43_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_help_3))) goto or_event_43_2_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_43_2_1_end;
        or_result_43_2 = true;
        or_temp_result_43_2_1 = true;
    }
    or_event_43_2_1_end: ;
    // event 43_2
    bool or_temp_result_43_2_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_43_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_help_3))) goto or_event_43_2_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_43_2_2_end;
        or_result_43_2 = true;
        or_temp_result_43_2_2 = true;
    }
    or_event_43_2_2_end: ;
    // event 43_2
    bool or_temp_result_43_2_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_43_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_help_3))) goto or_event_43_2_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_43_2_3_end;
        or_result_43_2 = true;
        or_temp_result_43_2_3 = true;
        or_event_43_2_3_end: ;
        if (!or_result_43_2) goto or_final_or_event_43_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_main_1);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_43_2_3_end: ;
}
void Frames::event_func_53()
{
    // event 44_2
    bool or_result_44_2 = false;
    bool or_temp_result_44_2_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_44_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto or_event_44_2_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_44_2_0_end;
        or_result_44_2 = true;
        or_temp_result_44_2_0 = true;
    }
    or_event_44_2_0_end: ;
    // event 44_2
    bool or_temp_result_44_2_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_44_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto or_event_44_2_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_44_2_1_end;
        or_result_44_2 = true;
        or_temp_result_44_2_1 = true;
    }
    or_event_44_2_1_end: ;
    // event 44_2
    bool or_temp_result_44_2_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_44_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto or_event_44_2_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_44_2_2_end;
        or_result_44_2 = true;
        or_temp_result_44_2_2 = true;
    }
    or_event_44_2_2_end: ;
    // event 44_2
    bool or_temp_result_44_2_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_44_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto or_event_44_2_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_44_2_3_end;
        or_result_44_2 = true;
        or_temp_result_44_2_3 = true;
        or_event_44_2_3_end: ;
        if (!or_result_44_2) goto or_final_or_event_44_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_main_1);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_44_2_3_end: ;
}
void Frames::event_func_54()
{
    // event 45_2
    bool or_result_45_2 = false;
    bool or_temp_result_45_2_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_45_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_2_0_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto or_event_45_2_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_45_2_0_end;
        or_result_45_2 = true;
        or_temp_result_45_2_0 = true;
    }
    or_event_45_2_0_end: ;
    // event 45_2
    bool or_temp_result_45_2_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_45_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_2_1_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto or_event_45_2_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_45_2_1_end;
        or_result_45_2 = true;
        or_temp_result_45_2_1 = true;
    }
    or_event_45_2_1_end: ;
    // event 45_2
    bool or_temp_result_45_2_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_45_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_2_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto or_event_45_2_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_45_2_2_end;
        or_result_45_2 = true;
        or_temp_result_45_2_2 = true;
    }
    or_event_45_2_2_end: ;
    // event 45_2
    bool or_temp_result_45_2_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto or_event_45_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_2_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_45_2_3_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(0)) == (str_credits_5))) goto or_event_45_2_3_end;
        or_result_45_2 = true;
        or_temp_result_45_2_3 = true;
        or_event_45_2_3_end: ;
        if (!or_result_45_2) goto or_final_or_event_45_2_3_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_credits_5);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_45_2_3_end: ;
}
void Frames::event_func_55()
{
    // event 46_2
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto event_46_2_end;
        ((Active*)get_instance(active13_19_instances))->set_visible(false);
        ((Active*)get_instance(active18_55_instances))->set_visible(false);
        ((Active*)get_instance(active14_21_instances))->set_visible(false);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.add(2, 1); // 'MenuDataStore'
        string2_0_instances.clear_selection();
        for (ObjectIterator it(string2_0_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(true);
        }
    }
    event_46_2_end: ;
}
void Frames::event_func_56()
{
    // event 47_2
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) != (str_credits_5))) goto event_47_2_end;
        ((Active*)get_instance(active13_19_instances))->set_visible(true);
        ((Active*)get_instance(active18_55_instances))->set_visible(true);
        ((Active*)get_instance(active14_21_instances))->set_visible(true);
        string2_0_instances.clear_selection();
        for (ObjectIterator it(string2_0_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(false);
        }
    }
    event_47_2_end: ;
}
void Frames::event_func_57()
{
    // event 48_2
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_credits_5))) goto event_48_2_end;
        if (not_always_48_2_0 > loop_count) {
            not_always_48_2_0 = loop_count + 2;
            goto event_48_2_end;
        }
        not_always_48_2_0 = loop_count + 2;
        string2_0_instances.clear_selection();
        for (ObjectIterator it(string2_0_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(true);
            ((Text*)*it)->set_paragraph(1-1);
        }
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(2, 0); // 'MenuDataStore'
    }
    event_48_2_end: ;
}
void Frames::event_func_58()
{
    // event 49_2
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(2)) > (350))) goto event_49_2_end;
        string2_0_instances.clear_selection();
        for (ObjectIterator it(string2_0_instances); !it.end(); ++it) {
            ((Text*)*it)->next_paragraph();
        }
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(2, 0); // 'MenuDataStore'
    }
    event_49_2_end: ;
}
void Frames::event_func_59()
{
    // event 50_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_50_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1280);
        ((Active*)get_instance(active25_52_instances))->set_y(240);
    }
    event_50_2_end: ;
}
void Frames::event_func_60()
{
    // event 51_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_dash_type_7))) goto event_51_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1280);
        ((Active*)get_instance(active25_52_instances))->set_y(272);
    }
    event_51_2_end: ;
}
void Frames::event_func_61()
{
    // event 52_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_screen_shake_8))) goto event_52_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1440);
        ((Active*)get_instance(active25_52_instances))->set_y(240);
    }
    event_52_2_end: ;
}
void Frames::event_func_62()
{
    // event 53_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_wipe_save_data_9))) goto event_53_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1440);
        ((Active*)get_instance(active25_52_instances))->set_y(272);
    }
    event_53_2_end: ;
}
void Frames::event_func_63()
{
    // event 54_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_sfx_volume_10))) goto event_54_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1600);
        ((Active*)get_instance(active25_52_instances))->set_y(240);
    }
    event_54_2_end: ;
}
void Frames::event_func_64()
{
    // event 55_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_music_volume_11))) goto event_55_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1600);
        ((Active*)get_instance(active25_52_instances))->set_y(272);
    }
    event_55_2_end: ;
}
void Frames::event_func_65()
{
    // event 56_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_save_changes_12))) goto event_56_2_end;
        ((Active*)get_instance(active25_52_instances))->set_x(1786);
        ((Active*)get_instance(active25_52_instances))->set_y(304);
    }
    event_56_2_end: ;
}
void Frames::event_func_66()
{
    // event 57_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_57_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_57_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_57_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_57_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_screen_shake_8);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_57_2_end: ;
}
void Frames::event_func_67()
{
    // event 58_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_58_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_screen_shake_8))) goto event_58_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_58_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_58_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_sfx_volume_10);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_58_2_end: ;
}
void Frames::event_func_68()
{
    // event 59_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_59_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_sfx_volume_10))) goto event_59_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_59_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_59_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_screen_shake_8);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_59_2_end: ;
}
void Frames::event_func_69()
{
    // event 60_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_60_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_screen_shake_8))) goto event_60_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_60_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_60_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_edit_controls_2);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_60_2_end: ;
}
void Frames::event_func_70()
{
    // event 61_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_61_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_61_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_61_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_61_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_dash_type_7);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_61_2_end: ;
}
void Frames::event_func_71()
{
    // event 62_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_62_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_screen_shake_8))) goto event_62_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_62_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_62_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_wipe_save_data_9);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_62_2_end: ;
}
void Frames::event_func_72()
{
    // event 63_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_63_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_sfx_volume_10))) goto event_63_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_63_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_63_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_music_volume_11);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_63_2_end: ;
}
void Frames::event_func_73()
{
    // event 64_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_64_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_dash_type_7))) goto event_64_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_64_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_64_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_edit_controls_2);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_64_2_end: ;
}
void Frames::event_func_74()
{
    // event 65_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_65_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_wipe_save_data_9))) goto event_65_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_65_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_65_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_screen_shake_8);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_65_2_end: ;
}
void Frames::event_func_75()
{
    // event 66_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_66_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_music_volume_11))) goto event_66_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_66_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_66_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_sfx_volume_10);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_66_2_end: ;
}
void Frames::event_func_76()
{
    // event 67_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_67_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_dash_type_7))) goto event_67_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_67_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_67_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_wipe_save_data_9);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_67_2_end: ;
}
void Frames::event_func_77()
{
    // event 68_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_68_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_wipe_save_data_9))) goto event_68_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_68_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_68_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_music_volume_11);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_68_2_end: ;
}
void Frames::event_func_78()
{
    // event 69_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_69_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_wipe_save_data_9))) goto event_69_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_69_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_69_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_dash_type_7);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_69_2_end: ;
}
void Frames::event_func_79()
{
    // event 70_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_70_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_music_volume_11))) goto event_70_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_70_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_70_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_wipe_save_data_9);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_70_2_end: ;
}
void Frames::event_func_80()
{
    // event 71_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_71_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_dash_type_7))) goto event_71_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_71_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_71_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_save_changes_12);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_71_2_end: ;
}
void Frames::event_func_81()
{
    // event 72_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_72_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_wipe_save_data_9))) goto event_72_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_72_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_72_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_save_changes_12);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_72_2_end: ;
}
void Frames::event_func_82()
{
    // event 73_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_73_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_music_volume_11))) goto event_73_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_73_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_73_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_save_changes_12);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_73_2_end: ;
}
void Frames::event_func_83()
{
    // event 74_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_74_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_save_changes_12))) goto event_74_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_74_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_74_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_music_volume_11);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_74_2_end: ;
}
void Frames::event_func_84()
{
    // event 75_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_75_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_music_volume_11))) goto event_75_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_75_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_75_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_save_changes_12);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_75_2_end: ;
}
void Frames::event_func_85()
{
    // event 76_2
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_76_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_save_changes_12))) goto event_76_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_76_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_76_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(2, str_wipe_save_data_9);
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_76_2_end: ;
}
void Frames::event_func_86()
{
    // event 78_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(1)) == (1))) goto event_78_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_78_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_78_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_78_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_78_2_end: ;
}
void Frames::event_func_87()
{
    // event 79_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(1)) == (1))) goto event_79_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_79_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_79_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_save_changes_12))) goto event_79_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        ((Active*)get_instance(menudatastore_40_instances))->alterables->strings.set(1, str_main_1);
    }
    event_79_2_end: ;
}
void Frames::event_func_88()
{
    // event 80_2
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(1)) == (1))) goto event_80_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->values.get(0)) == (0))) goto event_80_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(1)) == (str_settings_4))) goto event_80_2_end;
        if (!((((Active*)get_instance(menudatastore_40_instances))->alterables->strings.get(2)) == (str_dash_type_7))) goto event_80_2_end;
        if (!((global_values->get(5)) == (0))) goto event_80_2_end;
        ((Active*)get_instance(menudatastore_40_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        global_values->set(5, 1);
    }
    event_80_2_end: ;
}
