#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::col_110_4()
{
    event_func_283();
}
void Frames::event_func_284()
{
    // event 373_4
    {
        FrameObject * single_instance_373_4_0; single_instance_373_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemychomper_158(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_373_4_0 == NULL)
                single_instance_373_4_0 = new_obj;
        }
    }
    event_373_4_end: ;
}
void Frames::col_111_4()
{
    event_func_284();
}
void Frames::event_func_285()
{
    // event 220_4
    {
        media.play_id(SOUND_KEY_11, -1, 1);
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12)*1.0);
    }
    event_220_4_end: ;
}
void Frames::col_112_4()
{
    event_func_285();
}
void Frames::col_115_4()
{
    event_func_227();
}
void Frames::event_func_286()
{
    // event 584_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-snipereye'
    }
    event_584_4_end: ;
}
void Frames::col_116_4()
{
    event_func_286();
}
void Frames::event_func_287()
{
    // event 344_4
    {
        // group: Enemy Movers
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_344_4_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_344_4_end: ;
}
void Frames::col_117_4()
{
    event_func_287();
}
void Frames::event_func_288()
{
    // event 685_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_685_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_685_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(0);
        ((Active*)((Active*)col_instance_2))->force_speed(10);
    }
    event_685_4_end: ;
}
void Frames::col_118_4()
{
    event_func_288();
}
void Frames::col_121_4()
{
    event_func_258();
    event_func_198();
}
void Frames::event_func_289()
{
    // event 471_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-dangerned'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_471_4_end: ;
}
void Frames::col_122_4()
{
    event_func_211();
    event_func_289();
}
void Frames::event_func_290()
{
    // event 705_4
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_705_4_end: ;
}
void Frames::col_124_4()
{
    event_func_290();
}
void Frames::event_func_291()
{
    // event 734_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(18);
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'Active 8'
    }
    event_734_4_end: ;
}
void Frames::col_125_4()
{
    event_func_211();
    event_func_291();
}
void Frames::event_func_292()
{
    // event 389_4
    {
        // group: BrokenBrain
        if (!((((Active*)col_instance_1)->alterables->values.get(5)) > (1))) goto event_389_4_end;
        enemybrokenrobottop_168_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemybrokenrobottop_168_instances)) goto event_389_4_end;
        enemybrokenrobotbottom_169_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemybrokenrobotbottom_169_instances)) goto event_389_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobotbottom_169_instances, default_active_instance))->alterables->values.get(0)))) goto event_389_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobottop_168_instances, default_active_instance))->alterables->values.get(0)))) goto event_389_4_end;
        FrameObject * single_instance_389_4_0; single_instance_389_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_104(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_389_4_0 == NULL)
                single_instance_389_4_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        ((Active*)((Active*)col_instance_2))->destroy();
        for (ObjectIterator it(enemybrokenrobottop_168_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobotbottom_169_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_389_4_end: ;
}
void Frames::col_126_4()
{
    event_func_292();
}
void Frames::event_func_293()
{
    // event 687_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_687_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_687_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_2))->force_speed(100);
    }
    event_687_4_end: ;
}
void Frames::col_127_4()
{
    event_func_293();
}
void Frames::event_func_294()
{
    // event 530_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_530_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_530_4_end: ;
}
void Frames::event_func_295()
{
    // event 531_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_531_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_531_4_end: ;
}
void Frames::col_129_4()
{
    event_func_211();
    event_func_294();
    event_func_295();
}
void Frames::event_func_296()
{
    // event 796_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.add(1, 50); // 'obj-bonus-time'
    }
    event_796_4_end: ;
}
void Frames::col_130_4()
{
    event_func_296();
}
void Frames::event_func_297()
{
    // event 478_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 9); // 'enemy-zappa'
    }
    event_478_4_end: ;
}
void Frames::col_131_4()
{
    event_func_297();
}
void Frames::event_func_298()
{
    // event 315_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_315_4_end;
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(get_floor(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3)-1);
    }
    event_315_4_end: ;
}
void Frames::col_135_4()
{
    event_func_298();
}
void Frames::event_func_299()
{
    // event 292_4
    {
        // group: Health/lives
        if (not_always_292_4_0 > loop_count) {
            not_always_292_4_0 = loop_count + 2;
            goto event_292_4_end;
        }
        not_always_292_4_0 = loop_count + 2;
        global_values->sub(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_292_4_end: ;
}
void Frames::col_137_4()
{
    event_func_299();
}
void Frames::event_func_300()
{
    // event 412_4
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_412_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_412_4_end: ;
}
void Frames::col_138_4()
{
    event_func_300();
    event_func_300();
}
void Frames::event_func_301()
{
    // event 468_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-mobilebro'
    }
    event_468_4_end: ;
}
void Frames::col_139_4()
{
    event_func_301();
}
void Frames::event_func_302()
{
    // event 582_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-evileye'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_582_4_end: ;
}
void Frames::col_140_4()
{
    event_func_302();
}
void Frames::event_func_303()
{
    // event 572_4
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_572_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_572_4_end;
        FrameObject * single_instance_572_4_0; single_instance_572_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyevileye_218(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_572_4_0 == NULL)
                single_instance_572_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_572_4_0))->alterables->values.set(8, 1); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 300); // 'spawner-snipereye'
    }
    event_572_4_end: ;
}
void Frames::col_141_4()
{
    event_func_303();
}
void Frames::event_func_304()
{
    // event 609_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_609_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_609_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendRight'
    }
    event_609_4_end: ;
}
void Frames::col_142_4()
{
    event_func_304();
}
void Frames::event_func_305()
{
    // event 400_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_400_4_end;
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_400_4_end: ;
}
void Frames::event_func_306()
{
    // event 401_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_401_4_end;
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_401_4_end: ;
}
void Frames::event_func_307()
{
    // event 403_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-walker'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_403_4_end: ;
}
void Frames::col_143_4()
{
    event_func_211();
    event_func_305();
    event_func_306();
    event_func_307();
}
void Frames::event_func_308()
{
    // event 791_4
    {
        // group: Incentives
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_791_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-bonus-deathless'
        media.play_id(SOUND_SQUEAKYBOOM_31, -1, 1);
        media.set_sample_volume(SOUND_SQUEAKYBOOM_31, 0.8*global_values->get(12));
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 15); // 'camera shaker'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        global_values->add(2, 1);
        {
            loop_debris_confetti_running = true;
            int times = int(20);
            loop_debris_confetti_index = 0;
            while (loop_debris_confetti_index < times) {
                loop_debris_confetti_4();
                if (!loop_debris_confetti_running) break;
                loop_debris_confetti_index++;
            }
        }
        ((Active*)get_instance(uilivesactive_233_instances))->force_animation(12);
    }
    event_791_4_end: ;
}
void Frames::col_145_4()
{
    event_func_206();
    event_func_308();
}
void Frames::event_func_309()
{
    // event 481_4
    {
        FrameObject * single_instance_481_4_0; single_instance_481_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyzappa_194(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 12), ((Active*)col_instance_2)->layer);
            if (single_instance_481_4_0 == NULL)
                single_instance_481_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_481_4_0))->alterables->values.set(2, ((Active*)single_instance_481_4_0)->alterables->values.get(3)); // 'enemy-zappa'
    }
    event_481_4_end: ;
}
void Frames::col_146_4()
{
    event_func_309();
}
void Frames::event_func_310()
{
    // event 703_4
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_703_4_end: ;
}
void Frames::col_147_4()
{
    event_func_310();
}
void Frames::event_func_311()
{
    // event 409_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)get_instance(bullet_95_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_409_4_end: ;
}
void Frames::col_148_4()
{
    event_func_311();
    event_func_230();
    event_func_231();
}
void Frames::event_func_312()
{
    // event 454_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_454_4_end: ;
}
void Frames::col_149_4()
{
    event_func_312();
}
void Frames::event_func_313()
{
    // event 735_4
    {
        FrameObject * single_instance_735_4_0; single_instance_735_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active8_177(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_735_4_0 == NULL)
                single_instance_735_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'counter-spawner'
    }
    event_735_4_end: ;
}
void Frames::col_150_4()
{
    event_func_313();
}
void Frames::event_func_314()
{
    // event 286_4
    {
        // group: Crates
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_286_4_end;
        FrameObject * single_instance_286_4_0; single_instance_286_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_tntstatic_105(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_286_4_0 == NULL)
                single_instance_286_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_286_4_0))->set_x(((Active*)col_instance_2)->get_x());
        ((Active*)((Active*)single_instance_286_4_0))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'TNT-static'
        ((Active*)((Active*)single_instance_286_4_0))->alterables->values.set(1, ((Active*)col_instance_2)->get_x()); // 'TNT-static'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-tntspawner'
    }
    event_286_4_end: ;
}
void Frames::col_151_4()
{
    event_func_314();
}
void Frames::event_func_315()
{
    // event 251_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_251_4_0; single_instance_251_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_152(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_251_4_0 == NULL)
                single_instance_251_4_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_251_4_end: ;
}
void Frames::col_152_4()
{
    event_func_315();
}
void Frames::col_153_4()
{
    event_func_201();
    event_func_228();
}
void Frames::event_func_316()
{
    // event 550_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_550_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_550_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
    }
    event_550_4_end: ;
}
void Frames::event_func_317()
{
    // event 551_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_551_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_551_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
    }
    event_551_4_end: ;
}
void Frames::col_154_4()
{
    event_func_316();
    event_func_317();
}
void Frames::event_func_318()
{
    // event 185_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_185_4_end;
        media.play_id(SOUND_DISAPPEARINGBLOCK_3_8, -1, 1);
        media.set_sample_volume(SOUND_DISAPPEARINGBLOCK_3_8, global_values->get(12)*1.0);
    }
    event_185_4_end: ;
}
void Frames::event_func_319()
{
    // event 597_4
    {
        // group: Disappearing Blocks
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_597_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_597_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'dissappear'
    }
    event_597_4_end: ;
}
void Frames::col_155_4()
{
    event_func_318();
    event_func_319();
}
void Frames::event_func_320()
{
    // event 664_4
    {
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, -15); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 1); // 'Player'
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_664_4_end: ;
}
void Frames::col_156_4()
{
    event_func_320();
}
void Frames::event_func_321()
{
    // event 496_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'enemy-rockiship'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_496_4_end: ;
}
void Frames::col_158_4()
{
    event_func_321();
}
void Frames::event_func_322()
{
    // event 186_4
    {
        // group: Sounds
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_186_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_186_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_186_4_end;
        if (not_always_186_4_0 > loop_count) {
            not_always_186_4_0 = loop_count + 2;
            goto event_186_4_end;
        }
        not_always_186_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_186_4_end: ;
}
void Frames::col_159_4()
{
    event_func_322();
}
void Frames::event_func_323()
{
    // event 209_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_209_4_end: ;
}
void Frames::col_160_4()
{
    event_func_323();
    event_func_197();
}
void Frames::event_func_324()
{
    // event 663_4
    {
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 0); // 'Player'
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_663_4_end: ;
}
void Frames::col_161_4()
{
    event_func_324();
}
void Frames::event_func_325()
{
    // event 413_4
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_413_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_413_4_end: ;
}
void Frames::col_162_4()
{
    event_func_325();
    event_func_325();
}
void Frames::event_func_326()
{
    // event 244_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_244_4_end: ;
}
void Frames::col_164_4()
{
    event_func_326();
}
void Frames::event_func_327()
{
    // event 489_4
    {
        // group: Drop Bro
        if (!(((Active*)col_instance_1)->test_directions(16777216))) goto event_489_4_end;
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_dropposhot_197(0, 0), ((Active*)col_instance_1)->layer);
            ((Active*)col_instance_1)->shoot(new_obj, 20, 16);
        }
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_dropposhot_197(0, 0), ((Active*)col_instance_1)->layer);
            ((Active*)col_instance_1)->shoot(new_obj, 20, 0);
        }
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_489_4_end: ;
}
void Frames::col_169_4()
{
    event_func_327();
}
void Frames::event_func_328()
{
    // event 390_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3);
    }
    event_390_4_end: ;
}
void Frames::col_170_4()
{
    event_func_328();
}
void Frames::event_func_329()
{
    // event 421_4
    {
        // group: Blobulule
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (0))) goto event_421_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(2)) == (0))) goto event_421_4_end;
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->force_animation(1);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(0);
        enemygoo_187_instances.empty_selection();
        // select single: false true false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        for (ObjectIterator it(enemygoo_187_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
        }
        ((Active*)((Active*)col_instance_1))->set_direction(get_direction_int(((Active*)col_instance_1)->x, ((Active*)col_instance_1)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
        // select single: false false true
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_187(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 0, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_187_instances.add_back();
        }
        ((Active*)((Active*)col_instance_1))->alterables->values.add(6, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->set_y(((Active*)col_instance_1)->get_y()-1);
    }
    event_421_4_end: ;
}
void Frames::col_173_4()
{
    event_func_329();
    event_func_328();
}
void Frames::event_func_330()
{
    // event 768_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_768_4_0; single_instance_768_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcheckpoint_203(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + -1), ((Active*)col_instance_1)->layer);
            if (single_instance_768_4_0 == NULL)
                single_instance_768_4_0 = new_obj;
        }
        global_values->set(8, ((Active*)single_instance_768_4_0)->get_action_x());
        global_values->set(9, ((Active*)single_instance_768_4_0)->get_action_y());
    }
    event_768_4_end: ;
}
void Frames::col_175_4()
{
    event_func_330();
}
void Frames::test_collisions_4()
{
    test_collisions(screen_122_instances, spawneratom_149_instances, 1, 1, (EventFunction)&Frames::col_0_4);
    test_collisions(bullet_95_instances, enemydroppo_196_instances, 1, 1, (EventFunction)&Frames::col_1_4);
    test_collisions(sprite_72_instances, enemywalker_170_instances, 1, 1, (EventFunction)&Frames::col_2_4);
    test_collisions(senddown_131_instances, objlasergunorange_230_instances, 1, 1, (EventFunction)&Frames::col_3_4);
    test_collisions(player_66_instances, springright_138_instances, 1, 1, (EventFunction)&Frames::col_4_4);
    test_collisions(hurtbox_148_instances, enemyatom_150_instances, 1, 1, (EventFunction)&Frames::col_5_4);
    test_collisions(objeyeblock_143_instances, enemyexplosion_152_instances, 1, 1, (EventFunction)&Frames::col_6_4);
    test_collisions(boxdestroyer_111_instances, enemylaser_176_instances, 1, 1, (EventFunction)&Frames::col_7_4);
    test_collisions(explosion_104_instances, objshootspawner_206_instances, 1, 1, (EventFunction)&Frames::col_8_4);
    test_collisions_save(tntconveyor_113_instances, objcratestopper_210_instances, 1, 1, (EventFunction)&Frames::col_9_4);
    test_collisions(objeyeblock_143_instances, bigexplosion_151_instances, 2, 1, (EventFunction)&Frames::col_6_4);
    test_collisions(active2_124_instances, objshootspawner_206_instances, 1, 2, (EventFunction)&Frames::col_8_4);
    test_collisions(sendleft_132_instances, objlasergun_175_instances, 1, 1, (EventFunction)&Frames::col_12_4);
    test_collisions(enemyzapball_159_instances, objshootspawner_206_instances, 1, 4, (EventFunction)&Frames::col_13_4);
    test_collisions(enemylaser_176_instances, active7_12_instances, 2, 1, (EventFunction)&Frames::col_14_4);
    test_collisions(objcheckpoint_203_instances, objenemygate_209_instances, 1, 1, (EventFunction)&Frames::col_15_4);
    test_collisions(player_66_instances, objkillplane_213_instances, 2, 1, (EventFunction)&Frames::col_16_4);
    test_collisions(screen_122_instances, spawnerevileye_219_instances, 2, 1, (EventFunction)&Frames::col_17_4);
    test_collisions(bullet_95_instances, enemyatom_150_instances, 2, 2, (EventFunction)&Frames::col_18_4);
    test_collisions(enemydown_134_instances, enemymobilebrohoriz_188_instances, 1, 1, (EventFunction)&Frames::col_19_4);
    test_collisions(active2_124_instances, objeyeblock_143_instances, 2, 4, (EventFunction)&Frames::col_20_4);
    test_collisions(movingplatform_70_instances, boxdestroyer_111_instances, 1, 2, (EventFunction)&Frames::col_21_4);
    test_collisions(spring_77_instances, tntstatic_105_instances, 1, 1, (EventFunction)&Frames::col_22_4);
    test_collisions_save(platform_68_instances, enemylonestar_207_instances, 1, 1, (EventFunction)&Frames::col_23_4);
    test_collisions(hurtbox_148_instances, enemyrockiship_201_instances, 2, 1, (EventFunction)&Frames::col_24_4);
    test_collisions(objeyeblock_143_instances, objcheckpoint_203_instances, 8, 2, (EventFunction)&Frames::col_25_4);
    test_collisions(screen_122_instances, spawnerwalker_171_instances, 4, 1, (EventFunction)&Frames::col_26_4);
    test_collisions(bigexplosion_151_instances, objshootspawner_206_instances, 2, 8, (EventFunction)&Frames::col_13_4);
    test_collisions(senddown_131_instances, enemylaser_176_instances, 2, 4, (EventFunction)&Frames::col_28_4);
    test_collisions_save(enemyblobululephase1_185_instances, enemyblobululephase1_185_instances, 1, 1, (EventFunction)&Frames::col_29_4);
    test_collisions(hurtbox_148_instances, objbonustime_232_instances, 4, 1, (EventFunction)&Frames::col_30_4);
    test_collisions(bullet_95_instances, enemyfloater_139_instances, 4, 1, (EventFunction)&Frames::col_31_4);
    test_collisions(sendup_128_instances, spawnerevileye_219_instances, 1, 2, (EventFunction)&Frames::col_32_4);
    test_collisions(screen_122_instances, spikeshooterspawner_123_instances, 8, 1, (EventFunction)&Frames::col_33_4);
    test_collisions(bullet_95_instances, enemyblobululephase1_185_instances, 8, 2, (EventFunction)&Frames::col_34_4);
    test_collisions(enemyhoppy_126_instances, hurtbox_148_instances, 1, 8, (EventFunction)&Frames::col_35_4);
    test_collisions(screen_122_instances, active10_15_instances, 16, 1, (EventFunction)&Frames::col_36_4);
    test_collisions(enemymobilebrohoriz_188_instances, objenemybounce_189_instances, 2, 1, (EventFunction)&Frames::col_37_4);
    test_collisions(hurtbox_148_instances, enemyzappa_194_instances, 16, 1, (EventFunction)&Frames::col_38_4);
    test_collisions(objeyeblock_143_instances, enemylaser_176_instances, 16, 8, (EventFunction)&Frames::col_39_4);
    test_collisions(bullet_95_instances, boxdestroyer_111_instances, 16, 4, (EventFunction)&Frames::col_21_4);
    test_collisions(player_66_instances, bulletpowerup_164_instances, 4, 1, (EventFunction)&Frames::col_41_4);
    test_collisions(detector_67_instances, spring_77_instances, 1, 2, (EventFunction)&Frames::col_42_4);
    test_collisions(explosion_104_instances, tntstatic_105_instances, 2, 2, (EventFunction)&Frames::col_43_4);
    test_collisions(sendup_128_instances, enemylaser_176_instances, 2, 16, (EventFunction)&Frames::col_44_4);
    test_collisions(sendup_128_instances, spawnersnipereye_220_instances, 4, 1, (EventFunction)&Frames::col_45_4);
    test_collisions(senddown_131_instances, objlasergun_175_instances, 4, 2, (EventFunction)&Frames::col_3_4);
    test_collisions(explosion_104_instances, objeyeblock_143_instances, 4, 32, (EventFunction)&Frames::col_47_4);
    test_collisions(tntstatic_105_instances, enemyzapball_159_instances, 4, 2, (EventFunction)&Frames::col_48_4);
    test_collisions(sendup_128_instances, objlasergunorange_230_instances, 8, 2, (EventFunction)&Frames::col_49_4);
    test_collisions(hurtbox_148_instances, enemyzapball_159_instances, 32, 4, (EventFunction)&Frames::col_50_4);
    test_collisions(enemyfloater_139_instances, homept1_179_instances, 2, 1, (EventFunction)&Frames::col_51_4);
    test_collisions(screen_122_instances, spawnermobilebro_190_instances, 32, 1, (EventFunction)&Frames::col_52_4);
    test_collisions(player_66_instances, helpdesk_88_instances, 8, 1, (EventFunction)&Frames::col_53_4);
    test_collisions_save(tntstatic_105_instances, objcratestopper_210_instances, 8, 2, (EventFunction)&Frames::col_9_4);
    test_collisions_save(tntstatic_105_instances, enemylonestar_207_instances, 16, 2, (EventFunction)&Frames::col_23_4);
    test_collisions(player_66_instances, ojbwings_173_instances, 16, 1, (EventFunction)&Frames::col_56_4);
    test_collisions(screen_122_instances, spawnerlonestar_208_instances, 64, 1, (EventFunction)&Frames::col_57_4);
    test_collisions(bullet_95_instances, spikeshooter_121_instances, 32, 1, (EventFunction)&Frames::col_58_4);
    test_collisions_save(enemylonestar_207_instances, enemylonestar_207_instances, 4, 4, (EventFunction)&Frames::col_29_4);
    test_collisions(screen_122_instances, spawnerbrokenrobot_167_instances, 128, 1, (EventFunction)&Frames::col_60_4);
    test_collisions(player_66_instances, tntstatic_105_instances, 32, 32, (EventFunction)&Frames::col_61_4);
    test_collisions_save(enemyhoppy_126_instances, dissappear_127_instances, 2, 1, (EventFunction)&Frames::col_62_4);
    test_collisions(player_66_instances, objectdashblockup_165_instances, 64, 1, (EventFunction)&Frames::col_63_4);
    test_collisions(enemyleft_135_instances, enemymobilebrohoriz_188_instances, 1, 4, (EventFunction)&Frames::col_64_4);
    test_collisions(hurtbox_148_instances, enemychomper_158_instances, 64, 1, (EventFunction)&Frames::col_65_4);
    test_collisions(sprite_72_instances, enemyflashbullet_142_instances, 2, 1, (EventFunction)&Frames::col_7_4);
    test_collisions(bullet_95_instances, enemyhoppy_126_instances, 64, 4, (EventFunction)&Frames::col_67_4);
    test_collisions(enemyflashbullet_142_instances, hurtbox_148_instances, 2, 128, (EventFunction)&Frames::col_68_4);
    test_collisions(hurtbox_148_instances, enemyevileye_218_instances, 256, 1, (EventFunction)&Frames::col_2_4);
    test_collisions(bullet_95_instances, enemyblobululephase2_186_instances, 128, 1, (EventFunction)&Frames::col_70_4);
    test_collisions(bullet_95_instances, objeyeblock_143_instances, 256, 64, (EventFunction)&Frames::col_71_4);
    test_collisions(platform2_71_instances, boxdestroyer_111_instances, 1, 8, (EventFunction)&Frames::col_21_4);
    test_collisions(vertplatform_79_instances, boxdestroyer_111_instances, 1, 16, (EventFunction)&Frames::col_21_4);
    test_collisions(enemyfloater_139_instances, enemylaser_176_instances, 4, 32, (EventFunction)&Frames::col_51_4);
    test_collisions(sprite_72_instances, spikesright_147_instances, 4, 1, (EventFunction)&Frames::col_75_4);
    test_collisions(bullet_95_instances, active7_12_instances, 512, 2, (EventFunction)&Frames::col_76_4);
    test_collisions_save(enemylonestar_207_instances, objenemygate_209_instances, 8, 2, (EventFunction)&Frames::col_77_4);
    test_collisions_save(tntstatic_105_instances, objtntspawner_212_instances, 64, 1, (EventFunction)&Frames::col_9_4);
    test_collisions(bullet_95_instances, objshootspawner_206_instances, 1024, 16, (EventFunction)&Frames::col_79_4);
    test_collisions(objeyeblock_143_instances, enemyzapball_159_instances, 128, 8, (EventFunction)&Frames::col_80_4);
    test_collisions(spikeshooter_121_instances, hurtbox_148_instances, 2, 512, (EventFunction)&Frames::col_81_4);
    test_collisions(objeyeblock_143_instances, homept1_179_instances, 256, 2, (EventFunction)&Frames::col_82_4);
    test_collisions(spikesbottom_145_instances, hurtbox_148_instances, 1, 1024, (EventFunction)&Frames::col_75_4);
    test_collisions(bullet_95_instances, enemyevileye_218_instances, 2048, 2, (EventFunction)&Frames::col_84_4);
    test_collisions(player_66_instances, springleft_137_instances, 128, 1, (EventFunction)&Frames::col_4_4);
    test_collisions(enemylaser_176_instances, objshootspawner_206_instances, 64, 32, (EventFunction)&Frames::col_8_4);
    test_collisions(bullet_95_instances, senddown_131_instances, 4096, 8, (EventFunction)&Frames::col_87_4);
    test_collisions(bullet_95_instances, enemychomper_158_instances, 8192, 2, (EventFunction)&Frames::col_88_4);
    test_collisions(enemyright_133_instances, enemymobilebrohoriz_188_instances, 1, 8, (EventFunction)&Frames::col_89_4);
    test_collisions(player_66_instances, vertdetector_80_instances, 256, 1, (EventFunction)&Frames::col_90_4);
    test_collisions(player_66_instances, enemybrokenrobot_166_instances, 512, 1, (EventFunction)&Frames::col_91_4);
    test_collisions(screen_122_instances, spawnerrockitship_202_instances, 256, 1, (EventFunction)&Frames::col_92_4);
    test_collisions(bullet_95_instances, enemymobilebrohoriz_188_instances, 16384, 16, (EventFunction)&Frames::col_93_4);
    test_collisions(boxdestroyer_111_instances, enemywalker_170_instances, 32, 2, (EventFunction)&Frames::col_7_4);
    test_collisions(bullet_95_instances, sendup_128_instances, 32768, 16, (EventFunction)&Frames::col_95_4);
    test_collisions(sendup_128_instances, spawnermobilebro_190_instances, 32, 2, (EventFunction)&Frames::col_96_4);
    test_collisions(screen_122_instances, spawnerhoppy_125_instances, 512, 1, (EventFunction)&Frames::col_97_4);
    test_collisions(tntstatic_105_instances, boxdestroyer_111_instances, 128, 64, (EventFunction)&Frames::col_21_4);
    test_collisions(boxdestroyer_111_instances, tntconveyor_113_instances, 128, 2, (EventFunction)&Frames::col_7_4);
    test_collisions(sendup_128_instances, objlasergun_175_instances, 64, 4, (EventFunction)&Frames::col_100_4);
    test_collisions(bullet_95_instances, sendleft_132_instances, 65536, 2, (EventFunction)&Frames::col_101_4);
    test_collisions(explosion_104_instances, enemylonestar_207_instances, 8, 16, (EventFunction)&Frames::col_102_4);
    test_collisions(hurtbox_148_instances, enemyexplosion_152_instances, 2048, 2, (EventFunction)&Frames::col_103_4);
    test_collisions_save(objeyeblock_143_instances, enemywalker_170_instances, 512, 4, (EventFunction)&Frames::col_104_4);
    test_collisions(objeyeblock_143_instances, homept2_180_instances, 1024, 1, (EventFunction)&Frames::col_105_4);
    test_collisions(sprite_72_instances, spikesleft_144_instances, 8, 1, (EventFunction)&Frames::col_106_4);
    test_collisions(vertdetector_80_instances, boxdestroyer_111_instances, 2, 256, (EventFunction)&Frames::col_107_4);
    test_collisions(screen_122_instances, active9_14_instances, 1024, 1, (EventFunction)&Frames::col_108_4);
    test_collisions(bullet_95_instances, tntstatic_105_instances, 131072, 256, (EventFunction)&Frames::col_109_4);
    test_collisions(sendright_130_instances, objlasergun_175_instances, 1, 8, (EventFunction)&Frames::col_110_4);
    test_collisions(screen_122_instances, spawnerenemychomper_161_instances, 2048, 1, (EventFunction)&Frames::col_111_4);
    test_collisions(player_66_instances, key_75_instances, 1024, 1, (EventFunction)&Frames::col_112_4);
    test_collisions(hurtbox_148_instances, enemyblobululephase2_186_instances, 4096, 2, (EventFunction)&Frames::col_5_4);
    test_collisions_save(tntstatic_105_instances, tntstatic_105_instances, 512, 512, (EventFunction)&Frames::col_29_4);
    test_collisions(sprite_72_instances, enemygoo_187_instances, 16, 1, (EventFunction)&Frames::col_115_4);
    test_collisions(senddown_131_instances, spawnersnipereye_220_instances, 16, 2, (EventFunction)&Frames::col_116_4);
    test_collisions(enemypath_129_instances, hurtbox_148_instances, 1, 8192, (EventFunction)&Frames::col_117_4);
    test_collisions(sendright_130_instances, enemylaser_176_instances, 2, 128, (EventFunction)&Frames::col_118_4);
    test_collisions_save(tntconveyor_113_instances, tntconveyor_113_instances, 4, 4, (EventFunction)&Frames::col_29_4);
    test_collisions(hurtbox_148_instances, bigexplosion_151_instances, 16384, 4, (EventFunction)&Frames::col_2_4);
    test_collisions(active2_124_instances, hurtbox_148_instances, 4, 32768, (EventFunction)&Frames::col_121_4);
    test_collisions(bullet_95_instances, enemydangerned_191_instances, 262144, 1, (EventFunction)&Frames::col_122_4);
    test_collisions(hurtbox_148_instances, enemydangerned_191_instances, 65536, 2, (EventFunction)&Frames::col_2_4);
    test_collisions(sendleft_132_instances, objlasergunorange_230_instances, 4, 4, (EventFunction)&Frames::col_124_4);
    test_collisions(bullet_95_instances, active8_13_instances, 524288, 1, (EventFunction)&Frames::col_125_4);
    test_collisions(bullet_95_instances, enemybrokenrobot_166_instances, 1048576, 2, (EventFunction)&Frames::col_126_4);
    test_collisions(sendleft_132_instances, enemylaser_176_instances, 8, 256, (EventFunction)&Frames::col_127_4);
    test_collisions(hurtbox_148_instances, dropposhot_197_instances, 131072, 1, (EventFunction)&Frames::col_2_4);
    test_collisions(bullet_95_instances, enemylonestar_207_instances, 2097152, 32, (EventFunction)&Frames::col_129_4);
    test_collisions(objenemybounce_189_instances, objbonustime_232_instances, 2, 2, (EventFunction)&Frames::col_130_4);
    test_collisions(bullet_95_instances, enemyzappa_194_instances, 4194304, 2, (EventFunction)&Frames::col_131_4);
    test_collisions(hurtbox_148_instances, enemyblobululephase1_185_instances, 262144, 4, (EventFunction)&Frames::col_2_4);
    test_collisions(enemyfloater_139_instances, enemyzapball_159_instances, 8, 16, (EventFunction)&Frames::col_51_4);
    test_collisions(hurtbox_148_instances, enemylonestar_207_instances, 524288, 64, (EventFunction)&Frames::col_2_4);
    test_collisions_save(enemyhoppy_126_instances, objeyeblock_143_instances, 8, 2048, (EventFunction)&Frames::col_135_4);
    test_collisions(hurtbox_148_instances, enemylaser_176_instances, 1048576, 512, (EventFunction)&Frames::col_2_4);
    test_collisions(player_66_instances, hurter_106_instances, 2048, 1, (EventFunction)&Frames::col_137_4);
    test_collisions(enemylaser_176_instances, enemyevileye_218_instances, 1024, 4, (EventFunction)&Frames::col_138_4);
    test_collisions(senddown_131_instances, spawnermobilebro_190_instances, 32, 4, (EventFunction)&Frames::col_139_4);
    test_collisions(senddown_131_instances, spawnerevileye_219_instances, 64, 4, (EventFunction)&Frames::col_140_4);
    test_collisions(screen_122_instances, spawnersnipereye_220_instances, 4096, 4, (EventFunction)&Frames::col_141_4);
    test_collisions(bullet_95_instances, sendright_130_instances, 8388608, 4, (EventFunction)&Frames::col_142_4);
    test_collisions(bullet_95_instances, enemywalker_170_instances, 16777216, 8, (EventFunction)&Frames::col_143_4);
    test_collisions(spikestop_146_instances, hurtbox_148_instances, 1, 2097152, (EventFunction)&Frames::col_75_4);
    test_collisions(hurtbox_148_instances, objbonusdeathless_231_instances, 4194304, 1, (EventFunction)&Frames::col_145_4);
    test_collisions(screen_122_instances, spawnerzappa_195_instances, 8192, 1, (EventFunction)&Frames::col_146_4);
    test_collisions(sendright_130_instances, objlasergunorange_230_instances, 8, 8, (EventFunction)&Frames::col_147_4);
    test_collisions(active2_124_instances, enemyfloater_139_instances, 8, 16, (EventFunction)&Frames::col_148_4);
    test_collisions(enemyup_136_instances, enemymobilebrohoriz_188_instances, 1, 32, (EventFunction)&Frames::col_149_4);
    test_collisions(screen_122_instances, counterspawner_178_instances, 16384, 1, (EventFunction)&Frames::col_150_4);
    test_collisions(screen_122_instances, objtntspawner_212_instances, 32768, 2, (EventFunction)&Frames::col_151_4);
    test_collisions(tntstatic_105_instances, enemyexplosion_152_instances, 1024, 4, (EventFunction)&Frames::col_152_4);
    test_collisions(hurtbox_148_instances, homept2_180_instances, 8388608, 2, (EventFunction)&Frames::col_153_4);
    test_collisions(enemylaser_176_instances, enemylonestar_207_instances, 2048, 128, (EventFunction)&Frames::col_154_4);
    test_collisions(detector_67_instances, dissappear_127_instances, 2, 2, (EventFunction)&Frames::col_155_4);
    test_collisions(detector_67_instances, objectdashblockright_163_instances, 4, 1, (EventFunction)&Frames::col_156_4);
    test_collisions(door_76_instances, objcheckpoint_203_instances, 1, 4, (EventFunction)&Frames::col_25_4);
    test_collisions(active2_124_instances, enemyrockiship_201_instances, 16, 2, (EventFunction)&Frames::col_158_4);
    test_collisions(detector_67_instances, objeyeblock_143_instances, 8, 4096, (EventFunction)&Frames::col_159_4);
    test_collisions(enemyflashbullet_142_instances, objeyeblock_143_instances, 4, 8192, (EventFunction)&Frames::col_160_4);
    test_collisions(detector_67_instances, objectdashblockleft_162_instances, 16, 1, (EventFunction)&Frames::col_161_4);
    test_collisions(enemylaser_176_instances, enemymobilebrohoriz_188_instances, 4096, 64, (EventFunction)&Frames::col_162_4);
    test_collisions(enemyfloater_139_instances, enemyflashbullet_142_instances, 32, 8, (EventFunction)&Frames::col_51_4);
    test_collisions_save(tntstatic_105_instances, tntconveyor_113_instances, 2048, 8, (EventFunction)&Frames::col_164_4);
    test_collisions(spikesbottom_145_instances, objcheckpoint_203_instances, 2, 8, (EventFunction)&Frames::col_25_4);
    ObjectList::iterator it1, it2;
    for (it1 = tntconveyor_113_instances.begin(); it1 != tntconveyor_113_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_9_4();
    }
    for (it1 = enemyhoppy_126_instances.begin(); it1 != enemyhoppy_126_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_62_4();
    }
    for (it1 = enemylonestar_207_instances.begin(); it1 != enemylonestar_207_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_77_4();
    }
    for (it1 = dropposhot_197_instances.begin(); it1 != dropposhot_197_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_169_4();
    }
    for (it1 = enemyblobululephase2_186_instances.begin(); it1 != enemyblobululephase2_186_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_173_4();
    }
    for (it1 = enemyblobululephase1_185_instances.begin(); it1 != enemyblobululephase1_185_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_9_4();
    }
    for (it1 = tntstatic_105_instances.begin(); it1 != tntstatic_105_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_9_4();
    }
    for (it1 = enemywalker_170_instances.begin(); it1 != enemywalker_170_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_170_4();
    }
    for (it1 = objcheckpoint_203_instances.begin(); it1 != objcheckpoint_203_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_15_4();
    }
    for (it1 = objcheckpointspawner_204_instances.begin(); it1 != objcheckpointspawner_204_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_175_4();
    }
}
void Frames::event_func_331()
{
    // event 1_4
    {
        // group: Moving Platforms
        movingplatform_70_instances.clear_selection();
        for (ObjectIterator it(movingplatform_70_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_1_4_end: ;
}
void Frames::event_func_332()
{
    // event 2_4
    {
        // group: Moving Platforms
        platform2_71_instances.clear_selection();
        movingplatform_70_instances.clear_selection();
        if (!check_overlap(platform2_71_instances, movingplatform_70_instances)) goto event_2_4_end;
        for (ObjectIterator it(platform2_71_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(movingplatform_70_instances, it.current_index));
            if (parent == NULL) goto pos_end_2_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_2_4_0: ;
        }
    }
    event_2_4_end: ;
}
void Frames::event_func_333()
{
    // event 3_4
    {
        // group: Moving Platforms
        movingplatform_70_instances.clear_selection();
        enemyleft_135_instances.clear_selection();
        if (!check_overlap(movingplatform_70_instances, enemyleft_135_instances)) goto event_3_4_end;
        for (ObjectIterator it(movingplatform_70_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Moving Platform'
        }
    }
    event_3_4_end: ;
}
void Frames::event_func_334()
{
    // event 4_4
    {
        // group: Moving Platforms
        movingplatform_70_instances.clear_selection();
        enemyright_133_instances.clear_selection();
        if (!check_overlap(movingplatform_70_instances, enemyright_133_instances)) goto event_4_4_end;
        for (ObjectIterator it(movingplatform_70_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Moving Platform'
        }
    }
    event_4_4_end: ;
}
void Frames::event_func_335()
{
    // event 5_4
    {
        // group: Gravity/Jump
        if (is_player_pressed(1, CONTROL_BUTTON1)) goto event_5_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) < (0))) goto event_5_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, ((Active*)get_instance(player_66_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_5_4_end: ;
}
void Frames::event_func_336()
{
    // event 6_4
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) < (10))) goto event_6_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, ((Active*)get_instance(player_66_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_6_4_end: ;
}
