#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

class Backdrop6_200 : public Backdrop
{
public:
    Backdrop6_200(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 6", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_6
        manager.frame->back_instances[BACK_ID_BACKDROP_6].push_back(this);
#endif
        image = get_internal_image(668);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_backdrop6_200(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop6_200(x, y);
}
static Image* images_enemyrockiship_201_0_0[1];
static Direction direction_enemyrockiship_201_0_0 = {0, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_0};
static Image* images_enemyrockiship_201_0_1[1];
static Direction direction_enemyrockiship_201_0_1 = {1, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_1};
static Image* images_enemyrockiship_201_0_2[1];
static Direction direction_enemyrockiship_201_0_2 = {2, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_2};
static Image* images_enemyrockiship_201_0_3[1];
static Direction direction_enemyrockiship_201_0_3 = {3, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_3};
static Image* images_enemyrockiship_201_0_4[1];
static Direction direction_enemyrockiship_201_0_4 = {4, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_4};
static Image* images_enemyrockiship_201_0_5[1];
static Direction direction_enemyrockiship_201_0_5 = {5, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_5};
static Image* images_enemyrockiship_201_0_6[1];
static Direction direction_enemyrockiship_201_0_6 = {6, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_6};
static Image* images_enemyrockiship_201_0_7[1];
static Direction direction_enemyrockiship_201_0_7 = {7, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_7};
static Image* images_enemyrockiship_201_0_8[1];
static Direction direction_enemyrockiship_201_0_8 = {8, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_8};
static Image* images_enemyrockiship_201_0_9[1];
static Direction direction_enemyrockiship_201_0_9 = {9, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_9};
static Image* images_enemyrockiship_201_0_10[1];
static Direction direction_enemyrockiship_201_0_10 = {10, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_10};
static Image* images_enemyrockiship_201_0_11[1];
static Direction direction_enemyrockiship_201_0_11 = {11, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_11};
static Image* images_enemyrockiship_201_0_12[1];
static Direction direction_enemyrockiship_201_0_12 = {12, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_12};
static Image* images_enemyrockiship_201_0_13[1];
static Direction direction_enemyrockiship_201_0_13 = {13, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_13};
static Image* images_enemyrockiship_201_0_14[1];
static Direction direction_enemyrockiship_201_0_14 = {14, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_14};
static Image* images_enemyrockiship_201_0_15[1];
static Direction direction_enemyrockiship_201_0_15 = {15, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_15};
static Image* images_enemyrockiship_201_0_16[1];
static Direction direction_enemyrockiship_201_0_16 = {16, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_16};
static Image* images_enemyrockiship_201_0_17[1];
static Direction direction_enemyrockiship_201_0_17 = {17, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_17};
static Image* images_enemyrockiship_201_0_18[1];
static Direction direction_enemyrockiship_201_0_18 = {18, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_18};
static Image* images_enemyrockiship_201_0_19[1];
static Direction direction_enemyrockiship_201_0_19 = {19, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_19};
static Image* images_enemyrockiship_201_0_20[1];
static Direction direction_enemyrockiship_201_0_20 = {20, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_20};
static Image* images_enemyrockiship_201_0_21[1];
static Direction direction_enemyrockiship_201_0_21 = {21, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_21};
static Image* images_enemyrockiship_201_0_22[1];
static Direction direction_enemyrockiship_201_0_22 = {22, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_22};
static Image* images_enemyrockiship_201_0_23[1];
static Direction direction_enemyrockiship_201_0_23 = {23, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_23};
static Image* images_enemyrockiship_201_0_24[1];
static Direction direction_enemyrockiship_201_0_24 = {24, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_24};
static Image* images_enemyrockiship_201_0_25[1];
static Direction direction_enemyrockiship_201_0_25 = {25, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_25};
static Image* images_enemyrockiship_201_0_26[1];
static Direction direction_enemyrockiship_201_0_26 = {26, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_26};
static Image* images_enemyrockiship_201_0_27[1];
static Direction direction_enemyrockiship_201_0_27 = {27, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_27};
static Image* images_enemyrockiship_201_0_28[1];
static Direction direction_enemyrockiship_201_0_28 = {28, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_28};
static Image* images_enemyrockiship_201_0_29[1];
static Direction direction_enemyrockiship_201_0_29 = {29, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_29};
static Image* images_enemyrockiship_201_0_30[1];
static Direction direction_enemyrockiship_201_0_30 = {30, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_30};
static Image* images_enemyrockiship_201_0_31[1];
static Direction direction_enemyrockiship_201_0_31 = {31, 50, 50, 0, 1, 1, images_enemyrockiship_201_0_31};
static Animation anim_enemyrockiship_201_0 = {&direction_enemyrockiship_201_0_0, &direction_enemyrockiship_201_0_1, &direction_enemyrockiship_201_0_2, &direction_enemyrockiship_201_0_3, &direction_enemyrockiship_201_0_4, &direction_enemyrockiship_201_0_5, &direction_enemyrockiship_201_0_6, &direction_enemyrockiship_201_0_7, &direction_enemyrockiship_201_0_8, &direction_enemyrockiship_201_0_9, &direction_enemyrockiship_201_0_10, &direction_enemyrockiship_201_0_11, &direction_enemyrockiship_201_0_12, &direction_enemyrockiship_201_0_13, &direction_enemyrockiship_201_0_14, &direction_enemyrockiship_201_0_15, &direction_enemyrockiship_201_0_16, &direction_enemyrockiship_201_0_17, &direction_enemyrockiship_201_0_18, &direction_enemyrockiship_201_0_19, &direction_enemyrockiship_201_0_20, &direction_enemyrockiship_201_0_21, &direction_enemyrockiship_201_0_22, &direction_enemyrockiship_201_0_23, &direction_enemyrockiship_201_0_24, &direction_enemyrockiship_201_0_25, &direction_enemyrockiship_201_0_26, &direction_enemyrockiship_201_0_27, &direction_enemyrockiship_201_0_28, &direction_enemyrockiship_201_0_29, &direction_enemyrockiship_201_0_30, &direction_enemyrockiship_201_0_31};
static Animation * anim_array_enemyrockiship_201[1] = {&anim_enemyrockiship_201_0};
static Animations anim_enemyrockiship_201 = {1, &anim_array_enemyrockiship_201[0]};
static bool anim_enemyrockiship_201_initialized;
class EnemyRockiship_201 : public Active
{
public:
    EnemyRockiship_201(int x, int y) : Active(x, y, EnemyRockiship_201_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("enemy-rockiship", 15);
#endif
        this->animations = &anim_enemyrockiship_201;
        if (!anim_enemyrockiship_201_initialized) {
            anim_enemyrockiship_201_initialized = true;
            images_enemyrockiship_201_0_0[0] = get_internal_image_direct(440);
            images_enemyrockiship_201_0_1[0] = get_internal_image_direct(441);
            images_enemyrockiship_201_0_2[0] = get_internal_image_direct(442);
            images_enemyrockiship_201_0_3[0] = get_internal_image_direct(443);
            images_enemyrockiship_201_0_4[0] = get_internal_image_direct(444);
            images_enemyrockiship_201_0_5[0] = get_internal_image_direct(445);
            images_enemyrockiship_201_0_6[0] = get_internal_image_direct(446);
            images_enemyrockiship_201_0_7[0] = get_internal_image_direct(447);
            images_enemyrockiship_201_0_8[0] = get_internal_image_direct(448);
            images_enemyrockiship_201_0_9[0] = get_internal_image_direct(449);
            images_enemyrockiship_201_0_10[0] = get_internal_image_direct(450);
            images_enemyrockiship_201_0_11[0] = get_internal_image_direct(451);
            images_enemyrockiship_201_0_12[0] = get_internal_image_direct(452);
            images_enemyrockiship_201_0_13[0] = get_internal_image_direct(453);
            images_enemyrockiship_201_0_14[0] = get_internal_image_direct(454);
            images_enemyrockiship_201_0_15[0] = get_internal_image_direct(455);
            images_enemyrockiship_201_0_16[0] = get_internal_image_direct(456);
            images_enemyrockiship_201_0_17[0] = get_internal_image_direct(457);
            images_enemyrockiship_201_0_18[0] = get_internal_image_direct(458);
            images_enemyrockiship_201_0_19[0] = get_internal_image_direct(459);
            images_enemyrockiship_201_0_20[0] = get_internal_image_direct(460);
            images_enemyrockiship_201_0_21[0] = get_internal_image_direct(461);
            images_enemyrockiship_201_0_22[0] = get_internal_image_direct(462);
            images_enemyrockiship_201_0_23[0] = get_internal_image_direct(463);
            images_enemyrockiship_201_0_24[0] = get_internal_image_direct(464);
            images_enemyrockiship_201_0_25[0] = get_internal_image_direct(465);
            images_enemyrockiship_201_0_26[0] = get_internal_image_direct(466);
            images_enemyrockiship_201_0_27[0] = get_internal_image_direct(467);
            images_enemyrockiship_201_0_28[0] = get_internal_image_direct(468);
            images_enemyrockiship_201_0_29[0] = get_internal_image_direct(469);
            images_enemyrockiship_201_0_30[0] = get_internal_image_direct(470);
            images_enemyrockiship_201_0_31[0] = get_internal_image_direct(471);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(randrange(32));
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
        alterables->values.set(1, 25);
        alterables->values.set(2, 1);
    }
};
FrameObject * create_enemyrockiship_201(int x, int y)
{
    return new (Active::pool.create()) EnemyRockiship_201(x, y);
}
static Image* images_spawnerrockitship_202_0_0[1];
static Direction direction_spawnerrockitship_202_0_0 = {0, 50, 50, 0, 1, 1, images_spawnerrockitship_202_0_0};
static Animation anim_spawnerrockitship_202_0 = {&direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, NULL, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0, &direction_spawnerrockitship_202_0_0};
static Animation * anim_array_spawnerrockitship_202[1] = {&anim_spawnerrockitship_202_0};
static Animations anim_spawnerrockitship_202 = {1, &anim_array_spawnerrockitship_202[0]};
static bool anim_spawnerrockitship_202_initialized;
class SpawnerRockitship_202 : public Active
{
public:
    SpawnerRockitship_202(int x, int y) : Active(x, y, SpawnerRockitship_202_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("spawner-rockitship", 18);
#endif
        this->animations = &anim_spawnerrockitship_202;
        if (!anim_spawnerrockitship_202_initialized) {
            anim_spawnerrockitship_202_initialized = true;
            images_spawnerrockitship_202_0_0[0] = get_internal_image_direct(409);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spawnerrockitship_202(int x, int y)
{
    return new (Active::pool.create()) SpawnerRockitship_202(x, y);
}
static Image* images_objcheckpoint_203_0_0[6];
static Direction direction_objcheckpoint_203_0_0 = {0, 50, 50, 0, -1, 6, images_objcheckpoint_203_0_0};
static Animation anim_objcheckpoint_203_0 = {&direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, NULL, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0, &direction_objcheckpoint_203_0_0};
static Animation * anim_array_objcheckpoint_203[1] = {&anim_objcheckpoint_203_0};
static Animations anim_objcheckpoint_203 = {1, &anim_array_objcheckpoint_203[0]};
static bool anim_objcheckpoint_203_initialized;
class ObjCheckpoint_203 : public Active
{
public:
    ObjCheckpoint_203(int x, int y) : Active(x, y, ObjCheckpoint_203_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-checkpoint", 14);
#endif
        this->animations = &anim_objcheckpoint_203;
        if (!anim_objcheckpoint_203_initialized) {
            anim_objcheckpoint_203_initialized = true;
            images_objcheckpoint_203_0_0[0] = get_internal_image_direct(398);
            images_objcheckpoint_203_0_0[1] = get_internal_image_direct(403);
            images_objcheckpoint_203_0_0[2] = get_internal_image_direct(406);
            images_objcheckpoint_203_0_0[3] = get_internal_image_direct(435);
            images_objcheckpoint_203_0_0[4] = get_internal_image_direct(436);
            images_objcheckpoint_203_0_0[5] = get_internal_image_direct(437);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(true);
        create_alterables();
    }
};
FrameObject * create_objcheckpoint_203(int x, int y)
{
    return new (Active::pool.create()) ObjCheckpoint_203(x, y);
}
static Image* images_objcheckpointspawner_204_0_0[1];
static Direction direction_objcheckpointspawner_204_0_0 = {0, 50, 50, 0, 1, 1, images_objcheckpointspawner_204_0_0};
static Animation anim_objcheckpointspawner_204_0 = {&direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, NULL, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0, &direction_objcheckpointspawner_204_0_0};
static Animation * anim_array_objcheckpointspawner_204[1] = {&anim_objcheckpointspawner_204_0};
static Animations anim_objcheckpointspawner_204 = {1, &anim_array_objcheckpointspawner_204[0]};
static bool anim_objcheckpointspawner_204_initialized;
class ObjCheckpointspawner_204 : public Active
{
public:
    ObjCheckpointspawner_204(int x, int y) : Active(x, y, ObjCheckpointspawner_204_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-checkpointspawner", 21);
#endif
        this->animations = &anim_objcheckpointspawner_204;
        if (!anim_objcheckpointspawner_204_initialized) {
            anim_objcheckpointspawner_204_initialized = true;
            images_objcheckpointspawner_204_0_0[0] = get_internal_image_direct(399);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(24);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(15);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_objcheckpointspawner_204(int x, int y)
{
    return new (Active::pool.create()) ObjCheckpointspawner_204(x, y);
}
class Checkpoints_205 : public Text
{
public:
    Checkpoints_205(int x, int y) : Text(x, y, Checkpoints_205_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Checkpoints", 11);
#endif
        flags &= ~SCROLL;
        width = 25;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("x 3", 3));
        create_alterables();
    }
};
FrameObject * create_checkpoints_205(int x, int y)
{
    return new (Text::pool.create()) Checkpoints_205(x, y);
}
static Image* images_objshootspawner_206_0_0[2];
static Direction direction_objshootspawner_206_0_0 = {0, 10, 10, 0, -1, 2, images_objshootspawner_206_0_0};
static Animation anim_objshootspawner_206_0 = {&direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, NULL, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0, &direction_objshootspawner_206_0_0};
static Image* images_objshootspawner_206_1_0[6];
static Direction direction_objshootspawner_206_1_0 = {0, 25, 25, 0, 10, 6, images_objshootspawner_206_1_0};
static Animation anim_objshootspawner_206_1 = {&direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, NULL, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0, &direction_objshootspawner_206_1_0};
static Animation * anim_array_objshootspawner_206[2] = {&anim_objshootspawner_206_0, &anim_objshootspawner_206_1};
static Animations anim_objshootspawner_206 = {2, &anim_array_objshootspawner_206[0]};
static bool anim_objshootspawner_206_initialized;
class ObjShootspawner_206 : public Active
{
public:
    ObjShootspawner_206(int x, int y) : Active(x, y, ObjShootspawner_206_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-shootspawner", 16);
#endif
        this->animations = &anim_objshootspawner_206;
        if (!anim_objshootspawner_206_initialized) {
            anim_objshootspawner_206_initialized = true;
            images_objshootspawner_206_0_0[0] = get_internal_image_direct(542);
            images_objshootspawner_206_0_0[1] = get_internal_image_direct(537);
            images_objshootspawner_206_1_0[0] = get_internal_image_direct(544);
            images_objshootspawner_206_1_0[1] = get_internal_image_direct(545);
            images_objshootspawner_206_1_0[2] = get_internal_image_direct(546);
            images_objshootspawner_206_1_0[3] = get_internal_image_direct(547);
            images_objshootspawner_206_1_0[4] = get_internal_image_direct(549);
            images_objshootspawner_206_1_0[5] = get_internal_image_direct(550);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objshootspawner_206(int x, int y)
{
    return new (Active::pool.create()) ObjShootspawner_206(x, y);
}
static Image* images_enemylonestar_207_12_0[1];
static Direction direction_enemylonestar_207_12_0 = {0, 50, 50, 0, 1, 1, images_enemylonestar_207_12_0};
static Animation anim_enemylonestar_207_12 = {&direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, NULL, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0, &direction_enemylonestar_207_12_0};
static Image* images_enemylonestar_207_13_0[1];
static Direction direction_enemylonestar_207_13_0 = {0, 50, 50, 0, 1, 1, images_enemylonestar_207_13_0};
static Animation anim_enemylonestar_207_13 = {&direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, NULL, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0, &direction_enemylonestar_207_13_0};
static Image* images_enemylonestar_207_14_0[1];
static Direction direction_enemylonestar_207_14_0 = {0, 50, 50, 0, 2, 1, images_enemylonestar_207_14_0};
static Animation anim_enemylonestar_207_14 = {&direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, NULL, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0, &direction_enemylonestar_207_14_0};
static Image* images_enemylonestar_207_15_0[1];
static Direction direction_enemylonestar_207_15_0 = {0, 50, 50, 0, 2, 1, images_enemylonestar_207_15_0};
static Animation anim_enemylonestar_207_15 = {&direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, NULL, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0, &direction_enemylonestar_207_15_0};
static Image* images_enemylonestar_207_16_0[15];
static Direction direction_enemylonestar_207_16_0 = {0, 50, 50, 0, 1, 15, images_enemylonestar_207_16_0};
static Animation anim_enemylonestar_207_16 = {&direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, NULL, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0, &direction_enemylonestar_207_16_0};
static Image* images_enemylonestar_207_17_0[15];
static Direction direction_enemylonestar_207_17_0 = {0, 50, 50, 0, 1, 15, images_enemylonestar_207_17_0};
static Animation anim_enemylonestar_207_17 = {&direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, NULL, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0, &direction_enemylonestar_207_17_0};
static Animation * anim_array_enemylonestar_207[18] = {NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_enemylonestar_207_12, &anim_enemylonestar_207_13, &anim_enemylonestar_207_14, &anim_enemylonestar_207_15, &anim_enemylonestar_207_16, &anim_enemylonestar_207_17};
static Animations anim_enemylonestar_207 = {18, &anim_array_enemylonestar_207[0]};
static bool anim_enemylonestar_207_initialized;
class EnemyLonestar_207 : public Active
{
public:
    EnemyLonestar_207(int x, int y) : Active(x, y, EnemyLonestar_207_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("enemy-lonestar", 14);
#endif
        this->animations = &anim_enemylonestar_207;
        if (!anim_enemylonestar_207_initialized) {
            anim_enemylonestar_207_initialized = true;
            images_enemylonestar_207_12_0[0] = get_internal_image_direct(735);
            images_enemylonestar_207_13_0[0] = get_internal_image_direct(759);
            images_enemylonestar_207_14_0[0] = get_internal_image_direct(760);
            images_enemylonestar_207_15_0[0] = get_internal_image_direct(761);
            images_enemylonestar_207_16_0[0] = get_internal_image_direct(762);
            images_enemylonestar_207_16_0[1] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[2] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[3] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[4] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[5] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[6] = get_internal_image_direct(735);
            images_enemylonestar_207_16_0[7] = get_internal_image_direct(763);
            images_enemylonestar_207_16_0[8] = get_internal_image_direct(764);
            images_enemylonestar_207_16_0[9] = get_internal_image_direct(765);
            images_enemylonestar_207_16_0[10] = get_internal_image_direct(766);
            images_enemylonestar_207_16_0[11] = get_internal_image_direct(767);
            images_enemylonestar_207_16_0[12] = get_internal_image_direct(768);
            images_enemylonestar_207_16_0[13] = get_internal_image_direct(769);
            images_enemylonestar_207_16_0[14] = get_internal_image_direct(770);
            images_enemylonestar_207_17_0[0] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[1] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[2] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[3] = get_internal_image_direct(771);
            images_enemylonestar_207_17_0[4] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[5] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[6] = get_internal_image_direct(759);
            images_enemylonestar_207_17_0[7] = get_internal_image_direct(772);
            images_enemylonestar_207_17_0[8] = get_internal_image_direct(773);
            images_enemylonestar_207_17_0[9] = get_internal_image_direct(774);
            images_enemylonestar_207_17_0[10] = get_internal_image_direct(775);
            images_enemylonestar_207_17_0[11] = get_internal_image_direct(776);
            images_enemylonestar_207_17_0[12] = get_internal_image_direct(777);
            images_enemylonestar_207_17_0[13] = get_internal_image_direct(778);
            images_enemylonestar_207_17_0[14] = get_internal_image_direct(779);
        }
        active_flags |= TRANSPARENT;
        animation = 12;
        current_animation = animation;
        initialize_active(true);
        create_alterables();
        alterables->values.set(0, 18);
        alterables->values.set(1, 5);
        alterables->values.set(4, 62);
        alterables->values.set(5, 34);
    }
};
FrameObject * create_enemylonestar_207(int x, int y)
{
    return new (Active::pool.create()) EnemyLonestar_207(x, y);
}
static Image* images_spawnerlonestar_208_0_0[1];
static Direction direction_spawnerlonestar_208_0_0 = {0, 50, 50, 0, 1, 1, images_spawnerlonestar_208_0_0};
static Animation anim_spawnerlonestar_208_0 = {&direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, NULL, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0, &direction_spawnerlonestar_208_0_0};
static Animation * anim_array_spawnerlonestar_208[1] = {&anim_spawnerlonestar_208_0};
static Animations anim_spawnerlonestar_208 = {1, &anim_array_spawnerlonestar_208[0]};
static bool anim_spawnerlonestar_208_initialized;
class SpawnerLonestar_208 : public Active
{
public:
    SpawnerLonestar_208(int x, int y) : Active(x, y, SpawnerLonestar_208_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("spawner-lonestar", 16);
#endif
        set_visible(false);
        this->animations = &anim_spawnerlonestar_208;
        if (!anim_spawnerlonestar_208_initialized) {
            anim_spawnerlonestar_208_initialized = true;
            images_spawnerlonestar_208_0_0[0] = get_internal_image_direct(578);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spawnerlonestar_208(int x, int y)
{
    return new (Active::pool.create()) SpawnerLonestar_208(x, y);
}
static Image* images_objenemygate_209_0_0[1];
static Direction direction_objenemygate_209_0_0 = {0, 50, 50, 0, 1, 1, images_objenemygate_209_0_0};
static Animation anim_objenemygate_209_0 = {&direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, NULL, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0, &direction_objenemygate_209_0_0};
static Animation * anim_array_objenemygate_209[1] = {&anim_objenemygate_209_0};
static Animations anim_objenemygate_209 = {1, &anim_array_objenemygate_209[0]};
static bool anim_objenemygate_209_initialized;
class ObjEnemygate_209 : public Active
{
public:
    ObjEnemygate_209(int x, int y) : Active(x, y, ObjEnemygate_209_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-enemygate", 13);
#endif
        this->animations = &anim_objenemygate_209;
        if (!anim_objenemygate_209_initialized) {
            anim_objenemygate_209_initialized = true;
            images_objenemygate_209_0_0[0] = get_internal_image_direct(595);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objenemygate_209(int x, int y)
{
    return new (Active::pool.create()) ObjEnemygate_209(x, y);
}
static Image* images_objcratestopper_210_0_0[1];
static Direction direction_objcratestopper_210_0_0 = {0, 50, 50, 0, 1, 1, images_objcratestopper_210_0_0};
static Animation anim_objcratestopper_210_0 = {&direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, NULL, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0, &direction_objcratestopper_210_0_0};
static Animation * anim_array_objcratestopper_210[1] = {&anim_objcratestopper_210_0};
static Animations anim_objcratestopper_210 = {1, &anim_array_objcratestopper_210[0]};
static bool anim_objcratestopper_210_initialized;
class ObjCratestopper_210 : public Active
{
public:
    ObjCratestopper_210(int x, int y) : Active(x, y, ObjCratestopper_210_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-cratestopper", 16);
#endif
        this->animations = &anim_objcratestopper_210;
        if (!anim_objcratestopper_210_initialized) {
            anim_objcratestopper_210_initialized = true;
            images_objcratestopper_210_0_0[0] = get_internal_image_direct(635);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objcratestopper_210(int x, int y)
{
    return new (Active::pool.create()) ObjCratestopper_210(x, y);
}
class Backdrop7_211 : public Backdrop
{
public:
    Backdrop7_211(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 7", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_7
        manager.frame->back_instances[BACK_ID_BACKDROP_7].push_back(this);
#endif
        image = get_internal_image(596);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop7_211(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop7_211(x, y);
}
static Image* images_objtntspawner_212_0_0[1];
static Direction direction_objtntspawner_212_0_0 = {0, 50, 50, 0, 1, 1, images_objtntspawner_212_0_0};
static Animation anim_objtntspawner_212_0 = {&direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, NULL, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0, &direction_objtntspawner_212_0_0};
static Animation * anim_array_objtntspawner_212[1] = {&anim_objtntspawner_212_0};
static Animations anim_objtntspawner_212 = {1, &anim_array_objtntspawner_212[0]};
static bool anim_objtntspawner_212_initialized;
class ObjTntspawner_212 : public Active
{
public:
    ObjTntspawner_212(int x, int y) : Active(x, y, ObjTntspawner_212_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-tntspawner", 14);
#endif
        set_visible(false);
        this->animations = &anim_objtntspawner_212;
        if (!anim_objtntspawner_212_initialized) {
            anim_objtntspawner_212_initialized = true;
            images_objtntspawner_212_0_0[0] = get_internal_image_direct(597);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objtntspawner_212(int x, int y)
{
    return new (Active::pool.create()) ObjTntspawner_212(x, y);
}
static Image* images_objkillplane_213_0_0[1];
static Direction direction_objkillplane_213_0_0 = {0, 50, 50, 0, 1, 1, images_objkillplane_213_0_0};
static Animation anim_objkillplane_213_0 = {&direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, NULL, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0, &direction_objkillplane_213_0_0};
static Animation * anim_array_objkillplane_213[1] = {&anim_objkillplane_213_0};
static Animations anim_objkillplane_213 = {1, &anim_array_objkillplane_213[0]};
static bool anim_objkillplane_213_initialized;
class ObjKillplane_213 : public Active
{
public:
    ObjKillplane_213(int x, int y) : Active(x, y, ObjKillplane_213_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-killplane", 13);
#endif
        set_visible(false);
        this->animations = &anim_objkillplane_213;
        if (!anim_objkillplane_213_initialized) {
            anim_objkillplane_213_initialized = true;
            images_objkillplane_213_0_0[0] = get_internal_image_direct(592);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objkillplane_213(int x, int y)
{
    return new (Active::pool.create()) ObjKillplane_213(x, y);
}
static Image* images_bgwheel_214_0_0[1];
static Direction direction_bgwheel_214_0_0 = {0, 50, 50, 0, 1, 1, images_bgwheel_214_0_0};
static Animation anim_bgwheel_214_0 = {&direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, NULL, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0, &direction_bgwheel_214_0_0};
static Animation * anim_array_bgwheel_214[1] = {&anim_bgwheel_214_0};
static Animations anim_bgwheel_214 = {1, &anim_array_bgwheel_214[0]};
static bool anim_bgwheel_214_initialized;
class BgWheel_214 : public Active
{
public:
    BgWheel_214(int x, int y) : Active(x, y, BgWheel_214_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("bg-wheel", 8);
#endif
        this->animations = &anim_bgwheel_214;
        if (!anim_bgwheel_214_initialized) {
            anim_bgwheel_214_initialized = true;
            images_bgwheel_214_0_0[0] = get_internal_image_direct(598);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_bgwheel_214(int x, int y)
{
    return new (Active::pool.create()) BgWheel_214(x, y);
}
static Image* images_uiflag_215_0_0[1];
static Direction direction_uiflag_215_0_0 = {0, 50, 50, 0, 1, 1, images_uiflag_215_0_0};
static Animation anim_uiflag_215_0 = {&direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, NULL, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0, &direction_uiflag_215_0_0};
static Image* images_uiflag_215_10_0[2];
static Direction direction_uiflag_215_10_0 = {0, 2, 20, 0, 5, 2, images_uiflag_215_10_0};
static Animation anim_uiflag_215_10 = {&direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, NULL, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0, &direction_uiflag_215_10_0};
static Image* images_uiflag_215_12_0[6];
static Direction direction_uiflag_215_12_0 = {0, 100, 100, 0, 5, 6, images_uiflag_215_12_0};
static Animation anim_uiflag_215_12 = {&direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, NULL, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0, &direction_uiflag_215_12_0};
static Image* images_uiflag_215_13_0[11];
static Direction direction_uiflag_215_13_0 = {0, 50, 50, 0, 1, 11, images_uiflag_215_13_0};
static Animation anim_uiflag_215_13 = {&direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, NULL, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0, &direction_uiflag_215_13_0};
static Image* images_uiflag_215_14_0[2];
static Direction direction_uiflag_215_14_0 = {0, 20, 20, 0, 5, 2, images_uiflag_215_14_0};
static Animation anim_uiflag_215_14 = {&direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, NULL, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0, &direction_uiflag_215_14_0};
static Animation * anim_array_uiflag_215[15] = {&anim_uiflag_215_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_uiflag_215_10, NULL, &anim_uiflag_215_12, &anim_uiflag_215_13, &anim_uiflag_215_14};
static Animations anim_uiflag_215 = {15, &anim_array_uiflag_215[0]};
static bool anim_uiflag_215_initialized;
class UiFlag_215 : public Active
{
public:
    UiFlag_215(int x, int y) : Active(x, y, UiFlag_215_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("ui-flag", 7);
#endif
        this->animations = &anim_uiflag_215;
        if (!anim_uiflag_215_initialized) {
            anim_uiflag_215_initialized = true;
            images_uiflag_215_0_0[0] = get_internal_image_direct(400);
            images_uiflag_215_10_0[0] = get_internal_image_direct(558);
            images_uiflag_215_10_0[1] = get_internal_image_direct(400);
            images_uiflag_215_12_0[0] = get_internal_image_direct(555);
            images_uiflag_215_12_0[1] = get_internal_image_direct(556);
            images_uiflag_215_12_0[2] = get_internal_image_direct(558);
            images_uiflag_215_12_0[3] = get_internal_image_direct(560);
            images_uiflag_215_12_0[4] = get_internal_image_direct(563);
            images_uiflag_215_12_0[5] = get_internal_image_direct(400);
            images_uiflag_215_13_0[0] = get_internal_image_direct(731);
            images_uiflag_215_13_0[1] = get_internal_image_direct(726);
            images_uiflag_215_13_0[2] = get_internal_image_direct(789);
            images_uiflag_215_13_0[3] = get_internal_image_direct(791);
            images_uiflag_215_13_0[4] = get_internal_image_direct(792);
            images_uiflag_215_13_0[5] = get_internal_image_direct(793);
            images_uiflag_215_13_0[6] = get_internal_image_direct(794);
            images_uiflag_215_13_0[7] = get_internal_image_direct(793);
            images_uiflag_215_13_0[8] = get_internal_image_direct(731);
            images_uiflag_215_13_0[9] = get_internal_image_direct(794);
            images_uiflag_215_13_0[10] = get_internal_image_direct(731);
            images_uiflag_215_14_0[0] = get_internal_image_direct(558);
            images_uiflag_215_14_0[1] = get_internal_image_direct(400);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_uiflag_215(int x, int y)
{
    return new (Active::pool.create()) UiFlag_215(x, y);
}
class UiCheckpoints_216 : public Backdrop
{
public:
    UiCheckpoints_216(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("ui-checkpoints", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_UI_CHECKPOINTS
        manager.frame->back_instances[BACK_ID_UI_CHECKPOINTS].push_back(this);
#endif
        image = get_internal_image(400);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_uicheckpoints_216(int x, int y)
{
    return new (Backdrop::pool.create()) UiCheckpoints_216(x, y);
}
static Image* images_uipowerupindicator_217_0_0[17];
static Direction direction_uipowerupindicator_217_0_0 = {0, 50, 50, 0, 1, 17, images_uipowerupindicator_217_0_0};
static Animation anim_uipowerupindicator_217_0 = {&direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, NULL, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0, &direction_uipowerupindicator_217_0_0};
static Animation * anim_array_uipowerupindicator_217[1] = {&anim_uipowerupindicator_217_0};
static Animations anim_uipowerupindicator_217 = {1, &anim_array_uipowerupindicator_217[0]};
static bool anim_uipowerupindicator_217_initialized;
class UiPowerupIndicator_217 : public Active
{
public:
    UiPowerupIndicator_217(int x, int y) : Active(x, y, UiPowerupIndicator_217_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("ui-powerup-indicator", 20);
#endif
        this->animations = &anim_uipowerupindicator_217;
        if (!anim_uipowerupindicator_217_initialized) {
            anim_uipowerupindicator_217_initialized = true;
            images_uipowerupindicator_217_0_0[0] = get_internal_image_direct(625);
            images_uipowerupindicator_217_0_0[1] = get_internal_image_direct(564);
            images_uipowerupindicator_217_0_0[2] = get_internal_image_direct(626);
            images_uipowerupindicator_217_0_0[3] = get_internal_image_direct(571);
            images_uipowerupindicator_217_0_0[4] = get_internal_image_direct(627);
            images_uipowerupindicator_217_0_0[5] = get_internal_image_direct(573);
            images_uipowerupindicator_217_0_0[6] = get_internal_image_direct(575);
            images_uipowerupindicator_217_0_0[7] = get_internal_image_direct(576);
            images_uipowerupindicator_217_0_0[8] = get_internal_image_direct(593);
            images_uipowerupindicator_217_0_0[9] = get_internal_image_direct(574);
            images_uipowerupindicator_217_0_0[10] = get_internal_image_direct(572);
            images_uipowerupindicator_217_0_0[11] = get_internal_image_direct(603);
            images_uipowerupindicator_217_0_0[12] = get_internal_image_direct(602);
            images_uipowerupindicator_217_0_0[13] = get_internal_image_direct(622);
            images_uipowerupindicator_217_0_0[14] = get_internal_image_direct(621);
            images_uipowerupindicator_217_0_0[15] = get_internal_image_direct(623);
            images_uipowerupindicator_217_0_0[16] = get_internal_image_direct(624);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_uipowerupindicator_217(int x, int y)
{
    return new (Active::pool.create()) UiPowerupIndicator_217(x, y);
}
static Image* images_enemyevileye_218_0_0[1];
static Direction direction_enemyevileye_218_0_0 = {0, 50, 50, 0, 1, 1, images_enemyevileye_218_0_0};
static Animation anim_enemyevileye_218_0 = {&direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, NULL, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0, &direction_enemyevileye_218_0_0};
static Image* images_enemyevileye_218_1_0[1];
static Direction direction_enemyevileye_218_1_0 = {0, 50, 50, 0, -1, 1, images_enemyevileye_218_1_0};
static Animation anim_enemyevileye_218_1 = {&direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, NULL, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0, &direction_enemyevileye_218_1_0};
static Image* images_enemyevileye_218_12_0[7];
static Direction direction_enemyevileye_218_12_0 = {0, 20, 20, 0, 1, 7, images_enemyevileye_218_12_0};
static Animation anim_enemyevileye_218_12 = {&direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, NULL, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0, &direction_enemyevileye_218_12_0};
static Image* images_enemyevileye_218_13_0[15];
static Direction direction_enemyevileye_218_13_0 = {0, 50, 50, 0, 1, 15, images_enemyevileye_218_13_0};
static Animation anim_enemyevileye_218_13 = {&direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, NULL, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0, &direction_enemyevileye_218_13_0};
static Image* images_enemyevileye_218_14_0[2];
static Direction direction_enemyevileye_218_14_0 = {0, 50, 50, 0, 1, 2, images_enemyevileye_218_14_0};
static Animation anim_enemyevileye_218_14 = {&direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, NULL, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0, &direction_enemyevileye_218_14_0};
static Animation * anim_array_enemyevileye_218[15] = {&anim_enemyevileye_218_0, &anim_enemyevileye_218_1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_enemyevileye_218_12, &anim_enemyevileye_218_13, &anim_enemyevileye_218_14};
static Animations anim_enemyevileye_218 = {15, &anim_array_enemyevileye_218[0]};
static bool anim_enemyevileye_218_initialized;
class EnemyEvileye_218 : public Active
{
public:
    EnemyEvileye_218(int x, int y) : Active(x, y, EnemyEvileye_218_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("enemy-evileye", 13);
#endif
        this->animations = &anim_enemyevileye_218;
        if (!anim_enemyevileye_218_initialized) {
            anim_enemyevileye_218_initialized = true;
            images_enemyevileye_218_0_0[0] = get_internal_image_direct(658);
            images_enemyevileye_218_1_0[0] = get_internal_image_direct(478);
            images_enemyevileye_218_12_0[0] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[1] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[2] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[3] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[4] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[5] = get_internal_image_direct(476);
            images_enemyevileye_218_12_0[6] = get_internal_image_direct(649);
            images_enemyevileye_218_13_0[0] = get_internal_image_direct(629);
            images_enemyevileye_218_13_0[1] = get_internal_image_direct(639);
            images_enemyevileye_218_13_0[2] = get_internal_image_direct(641);
            images_enemyevileye_218_13_0[3] = get_internal_image_direct(642);
            images_enemyevileye_218_13_0[4] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[5] = get_internal_image_direct(654);
            images_enemyevileye_218_13_0[6] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[7] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[8] = get_internal_image_direct(654);
            images_enemyevileye_218_13_0[9] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[10] = get_internal_image_direct(654);
            images_enemyevileye_218_13_0[11] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[12] = get_internal_image_direct(654);
            images_enemyevileye_218_13_0[13] = get_internal_image_direct(478);
            images_enemyevileye_218_13_0[14] = get_internal_image_direct(654);
            images_enemyevileye_218_14_0[0] = get_internal_image_direct(656);
            images_enemyevileye_218_14_0[1] = get_internal_image_direct(656);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(0, 15);
        alterables->values.set(1, 3);
        alterables->values.set(4, 3);
        alterables->values.set(5, 5);
        alterables->values.set(6, 2);
        alterables->values.set(7, 6);
        alterables->values.set(10, 100);
    }
};
FrameObject * create_enemyevileye_218(int x, int y)
{
    return new (Active::pool.create()) EnemyEvileye_218(x, y);
}
static Image* images_spawnerevileye_219_0_0[1];
static Direction direction_spawnerevileye_219_0_0 = {0, 50, 50, 0, 1, 1, images_spawnerevileye_219_0_0};
static Animation anim_spawnerevileye_219_0 = {&direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, NULL, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0, &direction_spawnerevileye_219_0_0};
static Animation * anim_array_spawnerevileye_219[1] = {&anim_spawnerevileye_219_0};
static Animations anim_spawnerevileye_219 = {1, &anim_array_spawnerevileye_219[0]};
static bool anim_spawnerevileye_219_initialized;
class SpawnerEvileye_219 : public Active
{
public:
    SpawnerEvileye_219(int x, int y) : Active(x, y, SpawnerEvileye_219_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("spawner-evileye", 15);
#endif
        set_visible(false);
        this->animations = &anim_spawnerevileye_219;
        if (!anim_spawnerevileye_219_initialized) {
            anim_spawnerevileye_219_initialized = true;
            images_spawnerevileye_219_0_0[0] = get_internal_image_direct(647);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spawnerevileye_219(int x, int y)
{
    return new (Active::pool.create()) SpawnerEvileye_219(x, y);
}
static Image* images_spawnersnipereye_220_0_0[1];
static Direction direction_spawnersnipereye_220_0_0 = {0, 50, 50, 0, 1, 1, images_spawnersnipereye_220_0_0};
static Animation anim_spawnersnipereye_220_0 = {&direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, NULL, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0, &direction_spawnersnipereye_220_0_0};
static Animation * anim_array_spawnersnipereye_220[1] = {&anim_spawnersnipereye_220_0};
static Animations anim_spawnersnipereye_220 = {1, &anim_array_spawnersnipereye_220[0]};
static bool anim_spawnersnipereye_220_initialized;
class SpawnerSnipereye_220 : public Active
{
public:
    SpawnerSnipereye_220(int x, int y) : Active(x, y, SpawnerSnipereye_220_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("spawner-snipereye", 17);
#endif
        set_visible(false);
        this->animations = &anim_spawnersnipereye_220;
        if (!anim_spawnersnipereye_220_initialized) {
            anim_spawnersnipereye_220_initialized = true;
            images_spawnersnipereye_220_0_0[0] = get_internal_image_direct(632);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spawnersnipereye_220(int x, int y)
{
    return new (Active::pool.create()) SpawnerSnipereye_220(x, y);
}
static Image* images_camerashaker_221_0_0[1];
static Direction direction_camerashaker_221_0_0 = {0, 50, 50, 0, 1, 1, images_camerashaker_221_0_0};
static Animation anim_camerashaker_221_0 = {&direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, NULL, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0, &direction_camerashaker_221_0_0};
static Animation * anim_array_camerashaker_221[1] = {&anim_camerashaker_221_0};
static Animations anim_camerashaker_221 = {1, &anim_array_camerashaker_221[0]};
static bool anim_camerashaker_221_initialized;
class CameraShaker_221 : public Active
{
public:
    CameraShaker_221(int x, int y) : Active(x, y, CameraShaker_221_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera shaker", 13);
#endif
        set_visible(false);
        this->animations = &anim_camerashaker_221;
        if (!anim_camerashaker_221_initialized) {
            anim_camerashaker_221_initialized = true;
            images_camerashaker_221_0_0[0] = get_internal_image_direct(477);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerashaker_221(int x, int y)
{
    return new (Active::pool.create()) CameraShaker_221(x, y);
}
static Image* images_cameratarget_222_0_0[1];
static Direction direction_cameratarget_222_0_0 = {0, 50, 50, 0, 1, 1, images_cameratarget_222_0_0};
static Animation anim_cameratarget_222_0 = {&direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, NULL, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0, &direction_cameratarget_222_0_0};
static Animation * anim_array_cameratarget_222[1] = {&anim_cameratarget_222_0};
static Animations anim_cameratarget_222 = {1, &anim_array_cameratarget_222[0]};
static bool anim_cameratarget_222_initialized;
class CameraTarget_222 : public Active
{
public:
    CameraTarget_222(int x, int y) : Active(x, y, CameraTarget_222_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera-target", 13);
#endif
        set_visible(false);
        this->animations = &anim_cameratarget_222;
        if (!anim_cameratarget_222_initialized) {
            anim_cameratarget_222_initialized = true;
            images_cameratarget_222_0_0[0] = get_internal_image_direct(569);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_cameratarget_222(int x, int y)
{
    return new (Active::pool.create()) CameraTarget_222(x, y);
}
static Image* images_active4_223_0_0[1];
static Direction direction_active4_223_0_0 = {0, 50, 50, 0, 1, 1, images_active4_223_0_0};
static Animation anim_active4_223_0 = {&direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, NULL, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0, &direction_active4_223_0_0};
static Animation * anim_array_active4_223[1] = {&anim_active4_223_0};
static Animations anim_active4_223 = {1, &anim_array_active4_223[0]};
static bool anim_active4_223_initialized;
class Active4_223 : public Active
{
public:
    Active4_223(int x, int y) : Active(x, y, Active4_223_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        set_visible(false);
        this->animations = &anim_active4_223;
        if (!anim_active4_223_initialized) {
            anim_active4_223_initialized = true;
            images_active4_223_0_0[0] = get_internal_image_direct(628);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_223(int x, int y)
{
    return new (Active::pool.create()) Active4_223(x, y);
}
static Image* images_camerachaser_224_0_0[1];
static Direction direction_camerachaser_224_0_0 = {0, 50, 50, 0, 1, 1, images_camerachaser_224_0_0};
static Animation anim_camerachaser_224_0 = {&direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, NULL, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0, &direction_camerachaser_224_0_0};
static Animation * anim_array_camerachaser_224[1] = {&anim_camerachaser_224_0};
static Animations anim_camerachaser_224 = {1, &anim_array_camerachaser_224[0]};
static bool anim_camerachaser_224_initialized;
class CameraChaser_224 : public Active
{
public:
    CameraChaser_224(int x, int y) : Active(x, y, CameraChaser_224_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera chaser", 13);
#endif
        set_visible(false);
        this->animations = &anim_camerachaser_224;
        if (!anim_camerachaser_224_initialized) {
            anim_camerachaser_224_initialized = true;
            images_camerachaser_224_0_0[0] = get_internal_image_direct(554);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerachaser_224(int x, int y)
{
    return new (Active::pool.create()) CameraChaser_224(x, y);
}
static Image* images_camerabarrierx_225_0_0[1];
static Direction direction_camerabarrierx_225_0_0 = {0, 50, 50, 0, 1, 1, images_camerabarrierx_225_0_0};
static Animation anim_camerabarrierx_225_0 = {&direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, NULL, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0, &direction_camerabarrierx_225_0_0};
static Animation * anim_array_camerabarrierx_225[1] = {&anim_camerabarrierx_225_0};
static Animations anim_camerabarrierx_225 = {1, &anim_array_camerabarrierx_225[0]};
static bool anim_camerabarrierx_225_initialized;
class CameraBarrierX_225 : public Active
{
public:
    CameraBarrierX_225(int x, int y) : Active(x, y, CameraBarrierX_225_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera-barrier-x", 16);
#endif
        set_visible(false);
        this->animations = &anim_camerabarrierx_225;
        if (!anim_camerabarrierx_225_initialized) {
            anim_camerabarrierx_225_initialized = true;
            images_camerabarrierx_225_0_0[0] = get_internal_image_direct(479);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerabarrierx_225(int x, int y)
{
    return new (Active::pool.create()) CameraBarrierX_225(x, y);
}
static Image* images_screencamlayerlg_226_0_0[1];
static Direction direction_screencamlayerlg_226_0_0 = {0, 50, 50, 0, 1, 1, images_screencamlayerlg_226_0_0};
static Animation anim_screencamlayerlg_226_0 = {&direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, NULL, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0, &direction_screencamlayerlg_226_0_0};
static Animation * anim_array_screencamlayerlg_226[1] = {&anim_screencamlayerlg_226_0};
static Animations anim_screencamlayerlg_226 = {1, &anim_array_screencamlayerlg_226[0]};
static bool anim_screencamlayerlg_226_initialized;
class ScreenCamlayerLg_226 : public Active
{
public:
    ScreenCamlayerLg_226(int x, int y) : Active(x, y, ScreenCamlayerLg_226_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("screen-camlayer-lg", 18);
#endif
        set_visible(false);
        this->animations = &anim_screencamlayerlg_226;
        if (!anim_screencamlayerlg_226_initialized) {
            anim_screencamlayerlg_226_initialized = true;
            images_screencamlayerlg_226_0_0[0] = get_internal_image_direct(279);
        }
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_screencamlayerlg_226(int x, int y)
{
    return new (Active::pool.create()) ScreenCamlayerLg_226(x, y);
}
static Image* images_screencamlayercamera_227_0_0[1];
static Direction direction_screencamlayercamera_227_0_0 = {0, 50, 50, 0, 1, 1, images_screencamlayercamera_227_0_0};
static Animation anim_screencamlayercamera_227_0 = {&direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, NULL, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0, &direction_screencamlayercamera_227_0_0};
static Animation * anim_array_screencamlayercamera_227[1] = {&anim_screencamlayercamera_227_0};
static Animations anim_screencamlayercamera_227 = {1, &anim_array_screencamlayercamera_227[0]};
static bool anim_screencamlayercamera_227_initialized;
class ScreenCamlayerCamera_227 : public Active
{
public:
    ScreenCamlayerCamera_227(int x, int y) : Active(x, y, ScreenCamlayerCamera_227_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("screen-camlayer-camera", 22);
#endif
        set_visible(false);
        this->animations = &anim_screencamlayercamera_227;
        if (!anim_screencamlayercamera_227_initialized) {
            anim_screencamlayercamera_227_initialized = true;
            images_screencamlayercamera_227_0_0[0] = get_internal_image_direct(279);
        }
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_screencamlayercamera_227(int x, int y)
{
    return new (Active::pool.create()) ScreenCamlayerCamera_227(x, y);
}
static Image* images_camerabarriery_228_0_0[1];
static Direction direction_camerabarriery_228_0_0 = {0, 50, 50, 0, 1, 1, images_camerabarriery_228_0_0};
static Animation anim_camerabarriery_228_0 = {&direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, NULL, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0, &direction_camerabarriery_228_0_0};
static Animation * anim_array_camerabarriery_228[1] = {&anim_camerabarriery_228_0};
static Animations anim_camerabarriery_228 = {1, &anim_array_camerabarriery_228[0]};
static bool anim_camerabarriery_228_initialized;
class CameraBarrierY_228 : public Active
{
public:
    CameraBarrierY_228(int x, int y) : Active(x, y, CameraBarrierY_228_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera-barrier-y", 16);
#endif
        set_visible(false);
        this->animations = &anim_camerabarriery_228;
        if (!anim_camerabarriery_228_initialized) {
            anim_camerabarriery_228_initialized = true;
            images_camerabarriery_228_0_0[0] = get_internal_image_direct(630);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerabarriery_228(int x, int y)
{
    return new (Active::pool.create()) CameraBarrierY_228(x, y);
}
static Image* images_active7_229_0_4[1];
static Direction direction_active7_229_0_4 = {4, 50, 50, 0, -1, 1, images_active7_229_0_4};
static Image* images_active7_229_0_12[1];
static Direction direction_active7_229_0_12 = {12, 50, 50, 0, -1, 1, images_active7_229_0_12};
static Image* images_active7_229_0_20[1];
static Direction direction_active7_229_0_20 = {20, 50, 50, 0, -1, 1, images_active7_229_0_20};
static Image* images_active7_229_0_28[1];
static Direction direction_active7_229_0_28 = {28, 50, 50, 0, -1, 1, images_active7_229_0_28};
static Animation anim_active7_229_0 = {NULL, &direction_active7_229_0_4, &direction_active7_229_0_4, &direction_active7_229_0_4, &direction_active7_229_0_4, &direction_active7_229_0_4, &direction_active7_229_0_4, &direction_active7_229_0_4, NULL, &direction_active7_229_0_12, &direction_active7_229_0_12, &direction_active7_229_0_12, &direction_active7_229_0_12, &direction_active7_229_0_12, &direction_active7_229_0_12, &direction_active7_229_0_12, NULL, &direction_active7_229_0_20, &direction_active7_229_0_20, &direction_active7_229_0_20, &direction_active7_229_0_20, &direction_active7_229_0_20, &direction_active7_229_0_20, &direction_active7_229_0_20, NULL, &direction_active7_229_0_28, &direction_active7_229_0_28, &direction_active7_229_0_28, &direction_active7_229_0_28, &direction_active7_229_0_28, &direction_active7_229_0_28, &direction_active7_229_0_28};
static Animation * anim_array_active7_229[1] = {&anim_active7_229_0};
static Animations anim_active7_229 = {1, &anim_array_active7_229[0]};
static bool anim_active7_229_initialized;
class Active7_229 : public Active
{
public:
    Active7_229(int x, int y) : Active(x, y, Active7_229_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 7", 8);
#endif
        this->animations = &anim_active7_229;
        if (!anim_active7_229_initialized) {
            anim_active7_229_initialized = true;
            images_active7_229_0_4[0] = get_internal_image_direct(757);
            images_active7_229_0_12[0] = get_internal_image_direct(788);
            images_active7_229_0_20[0] = get_internal_image_direct(734);
            images_active7_229_0_28[0] = get_internal_image_direct(787);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(4);
        create_alterables();
    }
};
FrameObject * create_active7_229(int x, int y)
{
    return new (Active::pool.create()) Active7_229(x, y);
}
static Image* images_objlasergunorange_230_0_0[1];
static Direction direction_objlasergunorange_230_0_0 = {0, 50, 50, 0, 1, 1, images_objlasergunorange_230_0_0};
static Image* images_objlasergunorange_230_0_8[1];
static Direction direction_objlasergunorange_230_0_8 = {8, 50, 50, 0, 1, 1, images_objlasergunorange_230_0_8};
static Image* images_objlasergunorange_230_0_16[1];
static Direction direction_objlasergunorange_230_0_16 = {16, 50, 50, 0, 1, 1, images_objlasergunorange_230_0_16};
static Image* images_objlasergunorange_230_0_24[1];
static Direction direction_objlasergunorange_230_0_24 = {24, 50, 50, 0, 1, 1, images_objlasergunorange_230_0_24};
static Animation anim_objlasergunorange_230_0 = {&direction_objlasergunorange_230_0_0, &direction_objlasergunorange_230_0_0, &direction_objlasergunorange_230_0_0, &direction_objlasergunorange_230_0_0, NULL, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, &direction_objlasergunorange_230_0_8, NULL, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, &direction_objlasergunorange_230_0_16, NULL, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, &direction_objlasergunorange_230_0_24, NULL, &direction_objlasergunorange_230_0_0, &direction_objlasergunorange_230_0_0, &direction_objlasergunorange_230_0_0};
static Image* images_objlasergunorange_230_12_0[17];
static Direction direction_objlasergunorange_230_12_0 = {0, 75, 75, 0, 1, 17, images_objlasergunorange_230_12_0};
static Image* images_objlasergunorange_230_12_8[19];
static Direction direction_objlasergunorange_230_12_8 = {8, 50, 50, 0, 1, 19, images_objlasergunorange_230_12_8};
static Image* images_objlasergunorange_230_12_16[17];
static Direction direction_objlasergunorange_230_12_16 = {16, 50, 50, 0, 1, 17, images_objlasergunorange_230_12_16};
static Image* images_objlasergunorange_230_12_24[19];
static Direction direction_objlasergunorange_230_12_24 = {24, 75, 75, 0, 1, 19, images_objlasergunorange_230_12_24};
static Animation anim_objlasergunorange_230_12 = {&direction_objlasergunorange_230_12_0, &direction_objlasergunorange_230_12_0, &direction_objlasergunorange_230_12_0, &direction_objlasergunorange_230_12_0, NULL, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, &direction_objlasergunorange_230_12_8, NULL, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, &direction_objlasergunorange_230_12_16, NULL, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, &direction_objlasergunorange_230_12_24, NULL, &direction_objlasergunorange_230_12_0, &direction_objlasergunorange_230_12_0, &direction_objlasergunorange_230_12_0};
static Animation * anim_array_objlasergunorange_230[13] = {&anim_objlasergunorange_230_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_objlasergunorange_230_12};
static Animations anim_objlasergunorange_230 = {13, &anim_array_objlasergunorange_230[0]};
static bool anim_objlasergunorange_230_initialized;
class ObjLasergunOrange_230 : public Active
{
public:
    ObjLasergunOrange_230(int x, int y) : Active(x, y, ObjLasergunOrange_230_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-lasergun-orange", 19);
#endif
        this->animations = &anim_objlasergunorange_230;
        if (!anim_objlasergunorange_230_initialized) {
            anim_objlasergunorange_230_initialized = true;
            images_objlasergunorange_230_0_0[0] = get_internal_image_direct(633);
            images_objlasergunorange_230_0_8[0] = get_internal_image_direct(663);
            images_objlasergunorange_230_0_16[0] = get_internal_image_direct(667);
            images_objlasergunorange_230_0_24[0] = get_internal_image_direct(674);
            images_objlasergunorange_230_12_0[0] = get_internal_image_direct(389);
            images_objlasergunorange_230_12_0[1] = get_internal_image_direct(391);
            images_objlasergunorange_230_12_0[2] = get_internal_image_direct(423);
            images_objlasergunorange_230_12_0[3] = get_internal_image_direct(422);
            images_objlasergunorange_230_12_0[4] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[5] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[6] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[7] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[8] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[9] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[10] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[11] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[12] = get_internal_image_direct(425);
            images_objlasergunorange_230_12_0[13] = get_internal_image_direct(678);
            images_objlasergunorange_230_12_0[14] = get_internal_image_direct(678);
            images_objlasergunorange_230_12_0[15] = get_internal_image_direct(684);
            images_objlasergunorange_230_12_0[16] = get_internal_image_direct(684);
            images_objlasergunorange_230_12_8[0] = get_internal_image_direct(414);
            images_objlasergunorange_230_12_8[1] = get_internal_image_direct(415);
            images_objlasergunorange_230_12_8[2] = get_internal_image_direct(416);
            images_objlasergunorange_230_12_8[3] = get_internal_image_direct(417);
            images_objlasergunorange_230_12_8[4] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[5] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[6] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[7] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[8] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[9] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[10] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[11] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[12] = get_internal_image_direct(418);
            images_objlasergunorange_230_12_8[13] = get_internal_image_direct(685);
            images_objlasergunorange_230_12_8[14] = get_internal_image_direct(685);
            images_objlasergunorange_230_12_8[15] = get_internal_image_direct(686);
            images_objlasergunorange_230_12_8[16] = get_internal_image_direct(686);
            images_objlasergunorange_230_12_8[17] = get_internal_image_direct(683);
            images_objlasergunorange_230_12_8[18] = get_internal_image_direct(683);
            images_objlasergunorange_230_12_16[0] = get_internal_image_direct(428);
            images_objlasergunorange_230_12_16[1] = get_internal_image_direct(429);
            images_objlasergunorange_230_12_16[2] = get_internal_image_direct(430);
            images_objlasergunorange_230_12_16[3] = get_internal_image_direct(431);
            images_objlasergunorange_230_12_16[4] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[5] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[6] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[7] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[8] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[9] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[10] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[11] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[12] = get_internal_image_direct(432);
            images_objlasergunorange_230_12_16[13] = get_internal_image_direct(689);
            images_objlasergunorange_230_12_16[14] = get_internal_image_direct(689);
            images_objlasergunorange_230_12_16[15] = get_internal_image_direct(690);
            images_objlasergunorange_230_12_16[16] = get_internal_image_direct(690);
            images_objlasergunorange_230_12_24[0] = get_internal_image_direct(402);
            images_objlasergunorange_230_12_24[1] = get_internal_image_direct(405);
            images_objlasergunorange_230_12_24[2] = get_internal_image_direct(404);
            images_objlasergunorange_230_12_24[3] = get_internal_image_direct(407);
            images_objlasergunorange_230_12_24[4] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[5] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[6] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[7] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[8] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[9] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[10] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[11] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[12] = get_internal_image_direct(410);
            images_objlasergunorange_230_12_24[13] = get_internal_image_direct(676);
            images_objlasergunorange_230_12_24[14] = get_internal_image_direct(676);
            images_objlasergunorange_230_12_24[15] = get_internal_image_direct(681);
            images_objlasergunorange_230_12_24[16] = get_internal_image_direct(681);
            images_objlasergunorange_230_12_24[17] = get_internal_image_direct(674);
            images_objlasergunorange_230_12_24[18] = get_internal_image_direct(674);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objlasergunorange_230(int x, int y)
{
    return new (Active::pool.create()) ObjLasergunOrange_230(x, y);
}
static Image* images_objbonusdeathless_231_0_0[19];
static Direction direction_objbonusdeathless_231_0_0 = {0, 15, 15, 0, -1, 19, images_objbonusdeathless_231_0_0};
static Animation anim_objbonusdeathless_231_0 = {&direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, NULL, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0, &direction_objbonusdeathless_231_0_0};
static Animation * anim_array_objbonusdeathless_231[1] = {&anim_objbonusdeathless_231_0};
static Animations anim_objbonusdeathless_231 = {1, &anim_array_objbonusdeathless_231[0]};
static bool anim_objbonusdeathless_231_initialized;
class ObjBonusDeathless_231 : public Active
{
public:
    ObjBonusDeathless_231(int x, int y) : Active(x, y, ObjBonusDeathless_231_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-bonus-deathless", 19);
#endif
        this->animations = &anim_objbonusdeathless_231;
        if (!anim_objbonusdeathless_231_initialized) {
            anim_objbonusdeathless_231_initialized = true;
            images_objbonusdeathless_231_0_0[0] = get_internal_image_direct(800);
            images_objbonusdeathless_231_0_0[1] = get_internal_image_direct(401);
            images_objbonusdeathless_231_0_0[2] = get_internal_image_direct(636);
            images_objbonusdeathless_231_0_0[3] = get_internal_image_direct(636);
            images_objbonusdeathless_231_0_0[4] = get_internal_image_direct(790);
            images_objbonusdeathless_231_0_0[5] = get_internal_image_direct(790);
            images_objbonusdeathless_231_0_0[6] = get_internal_image_direct(790);
            images_objbonusdeathless_231_0_0[7] = get_internal_image_direct(636);
            images_objbonusdeathless_231_0_0[8] = get_internal_image_direct(401);
            images_objbonusdeathless_231_0_0[9] = get_internal_image_direct(800);
            images_objbonusdeathless_231_0_0[10] = get_internal_image_direct(801);
            images_objbonusdeathless_231_0_0[11] = get_internal_image_direct(807);
            images_objbonusdeathless_231_0_0[12] = get_internal_image_direct(807);
            images_objbonusdeathless_231_0_0[13] = get_internal_image_direct(808);
            images_objbonusdeathless_231_0_0[14] = get_internal_image_direct(808);
            images_objbonusdeathless_231_0_0[15] = get_internal_image_direct(808);
            images_objbonusdeathless_231_0_0[16] = get_internal_image_direct(807);
            images_objbonusdeathless_231_0_0[17] = get_internal_image_direct(807);
            images_objbonusdeathless_231_0_0[18] = get_internal_image_direct(801);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objbonusdeathless_231(int x, int y)
{
    return new (Active::pool.create()) ObjBonusDeathless_231(x, y);
}
static Image* images_objbonustime_232_0_0[19];
static Direction direction_objbonustime_232_0_0 = {0, 15, 15, 0, -1, 19, images_objbonustime_232_0_0};
static Animation anim_objbonustime_232_0 = {&direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, NULL, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0, &direction_objbonustime_232_0_0};
static Animation * anim_array_objbonustime_232[1] = {&anim_objbonustime_232_0};
static Animations anim_objbonustime_232 = {1, &anim_array_objbonustime_232[0]};
static bool anim_objbonustime_232_initialized;
class ObjBonusTime_232 : public Active
{
public:
    ObjBonusTime_232(int x, int y) : Active(x, y, ObjBonusTime_232_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-bonus-time", 14);
#endif
        this->animations = &anim_objbonustime_232;
        if (!anim_objbonustime_232_initialized) {
            anim_objbonustime_232_initialized = true;
            images_objbonustime_232_0_0[0] = get_internal_image_direct(853);
            images_objbonustime_232_0_0[1] = get_internal_image_direct(853);
            images_objbonustime_232_0_0[2] = get_internal_image_direct(852);
            images_objbonustime_232_0_0[3] = get_internal_image_direct(851);
            images_objbonustime_232_0_0[4] = get_internal_image_direct(854);
            images_objbonustime_232_0_0[5] = get_internal_image_direct(855);
            images_objbonustime_232_0_0[6] = get_internal_image_direct(856);
            images_objbonustime_232_0_0[7] = get_internal_image_direct(856);
            images_objbonustime_232_0_0[8] = get_internal_image_direct(857);
            images_objbonustime_232_0_0[9] = get_internal_image_direct(857);
            images_objbonustime_232_0_0[10] = get_internal_image_direct(857);
            images_objbonustime_232_0_0[11] = get_internal_image_direct(856);
            images_objbonustime_232_0_0[12] = get_internal_image_direct(856);
            images_objbonustime_232_0_0[13] = get_internal_image_direct(855);
            images_objbonustime_232_0_0[14] = get_internal_image_direct(850);
            images_objbonustime_232_0_0[15] = get_internal_image_direct(851);
            images_objbonustime_232_0_0[16] = get_internal_image_direct(852);
            images_objbonustime_232_0_0[17] = get_internal_image_direct(852);
            images_objbonustime_232_0_0[18] = get_internal_image_direct(853);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objbonustime_232(int x, int y)
{
    return new (Active::pool.create()) ObjBonusTime_232(x, y);
}
static Image* images_uilivesactive_233_0_0[1];
static Direction direction_uilivesactive_233_0_0 = {0, 50, 50, 0, 1, 1, images_uilivesactive_233_0_0};
static Animation anim_uilivesactive_233_0 = {&direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, NULL, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0, &direction_uilivesactive_233_0_0};
static Image* images_uilivesactive_233_12_0[2];
static Direction direction_uilivesactive_233_12_0 = {0, 20, 20, 0, 6, 2, images_uilivesactive_233_12_0};
static Animation anim_uilivesactive_233_12 = {&direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, NULL, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0, &direction_uilivesactive_233_12_0};
static Animation * anim_array_uilivesactive_233[13] = {&anim_uilivesactive_233_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_uilivesactive_233_12};
static Animations anim_uilivesactive_233 = {13, &anim_array_uilivesactive_233[0]};
static bool anim_uilivesactive_233_initialized;
class UiLivesActive_233 : public Active
{
public:
    UiLivesActive_233(int x, int y) : Active(x, y, UiLivesActive_233_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("ui-lives-active", 15);
#endif
        this->animations = &anim_uilivesactive_233;
        if (!anim_uilivesactive_233_initialized) {
            anim_uilivesactive_233_initialized = true;
            images_uilivesactive_233_0_0[0] = get_internal_image_direct(679);
            images_uilivesactive_233_12_0[0] = get_internal_image_direct(480);
            images_uilivesactive_233_12_0[1] = get_internal_image_direct(679);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_uilivesactive_233(int x, int y)
{
    return new (Active::pool.create()) UiLivesActive_233(x, y);
}
static Image* images_winscreenvars_234_0_0[1];
static Direction direction_winscreenvars_234_0_0 = {0, 50, 50, 0, 1, 1, images_winscreenvars_234_0_0};
static Animation anim_winscreenvars_234_0 = {&direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, NULL, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0, &direction_winscreenvars_234_0_0};
static Animation * anim_array_winscreenvars_234[1] = {&anim_winscreenvars_234_0};
static Animations anim_winscreenvars_234 = {1, &anim_array_winscreenvars_234[0]};
static bool anim_winscreenvars_234_initialized;
class WinScreenVars_234 : public Active
{
public:
    WinScreenVars_234(int x, int y) : Active(x, y, WinScreenVars_234_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("WinScreenVars", 13);
#endif
        this->animations = &anim_winscreenvars_234;
        if (!anim_winscreenvars_234_initialized) {
            anim_winscreenvars_234_initialized = true;
            images_winscreenvars_234_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(0, 10);
        alterables->values.set(1, 4);
        alterables->values.set(6, 205);
    }
};
FrameObject * create_winscreenvars_234(int x, int y)
{
    return new (Active::pool.create()) WinScreenVars_234(x, y);
}
static Image* images_active_235_0_0[1];
static Direction direction_active_235_0_0 = {0, 50, 50, 0, 1, 1, images_active_235_0_0};
static Animation anim_active_235_0 = {&direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, NULL, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0, &direction_active_235_0_0};
static Animation * anim_array_active_235[1] = {&anim_active_235_0};
static Animations anim_active_235 = {1, &anim_array_active_235[0]};
static bool anim_active_235_initialized;
class Active_235 : public Active
{
public:
    Active_235(int x, int y) : Active(x, y, Active_235_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_235;
        if (!anim_active_235_initialized) {
            anim_active_235_initialized = true;
            images_active_235_0_0[0] = get_internal_image_direct(557);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_235(int x, int y)
{
    return new (Active::pool.create()) Active_235(x, y);
}
static Image* images_active2_236_0_0[1];
static Direction direction_active2_236_0_0 = {0, 50, 50, 0, 1, 1, images_active2_236_0_0};
static Animation anim_active2_236_0 = {&direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, NULL, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0, &direction_active2_236_0_0};
static Animation * anim_array_active2_236[1] = {&anim_active2_236_0};
static Animations anim_active2_236 = {1, &anim_array_active2_236[0]};
static bool anim_active2_236_initialized;
class Active2_236 : public Active
{
public:
    Active2_236(int x, int y) : Active(x, y, Active2_236_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_236;
        if (!anim_active2_236_initialized) {
            anim_active2_236_initialized = true;
            images_active2_236_0_0[0] = get_internal_image_direct(561);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_236(int x, int y)
{
    return new (Active::pool.create()) Active2_236(x, y);
}
static Image* images_caseanchor_237_0_0[1];
static Direction direction_caseanchor_237_0_0 = {0, 50, 50, 0, 1, 1, images_caseanchor_237_0_0};
static Animation anim_caseanchor_237_0 = {&direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, NULL, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0, &direction_caseanchor_237_0_0};
static Animation * anim_array_caseanchor_237[1] = {&anim_caseanchor_237_0};
static Animations anim_caseanchor_237 = {1, &anim_array_caseanchor_237[0]};
static bool anim_caseanchor_237_initialized;
class CaseAnchor_237 : public Active
{
public:
    CaseAnchor_237(int x, int y) : Active(x, y, CaseAnchor_237_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("CaseAnchor", 10);
#endif
        this->animations = &anim_caseanchor_237;
        if (!anim_caseanchor_237_initialized) {
            anim_caseanchor_237_initialized = true;
            images_caseanchor_237_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_caseanchor_237(int x, int y)
{
    return new (Active::pool.create()) CaseAnchor_237(x, y);
}
static Image* images_bganchor_238_0_0[1];
static Direction direction_bganchor_238_0_0 = {0, 50, 50, 0, 1, 1, images_bganchor_238_0_0};
static Animation anim_bganchor_238_0 = {&direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, NULL, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0, &direction_bganchor_238_0_0};
static Animation * anim_array_bganchor_238[1] = {&anim_bganchor_238_0};
static Animations anim_bganchor_238 = {1, &anim_array_bganchor_238[0]};
static bool anim_bganchor_238_initialized;
class BGAnchor_238 : public Active
{
public:
    BGAnchor_238(int x, int y) : Active(x, y, BGAnchor_238_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("BGAnchor", 8);
#endif
        this->animations = &anim_bganchor_238;
        if (!anim_bganchor_238_initialized) {
            anim_bganchor_238_initialized = true;
            images_bganchor_238_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_bganchor_238(int x, int y)
{
    return new (Active::pool.create()) BGAnchor_238(x, y);
}
class Classification_239 : public Text
{
public:
    Classification_239(int x, int y) : Text(x, y, Classification_239_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Classification", 14);
#endif
        flags &= ~SCROLL;
        width = 196;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = true;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, FTTextureFont::BOLD);
        alignment = ALIGN_HCENTER | ALIGN_TOP;
        add_line(chowstring("Classification: I\r\n", 19));
        create_alterables();
    }
};
FrameObject * create_classification_239(int x, int y)
{
    return new (Text::pool.create()) Classification_239(x, y);
}
class Job_240 : public Text
{
public:
    Job_240(int x, int y) : Text(x, y, Job_240_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Job", 3);
#endif
        flags &= ~SCROLL;
        width = 150;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("Great job!", 10));
        create_alterables();
    }
};
FrameObject * create_job_240(int x, int y)
{
    return new (Text::pool.create()) Job_240(x, y);
}
class TimeStr_241 : public Text
{
public:
    TimeStr_241(int x, int y) : Text(x, y, TimeStr_241_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("TimeStr", 7);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_VCENTER;
        add_line(chowstring("Time:", 5));
        create_alterables();
    }
};
FrameObject * create_timestr_241(int x, int y)
{
    return new (Text::pool.create()) TimeStr_241(x, y);
}
class LivesStr_242 : public Text
{
public:
    LivesStr_242(int x, int y) : Text(x, y, LivesStr_242_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("LivesStr", 8);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_VCENTER;
        add_line(chowstring("Lives:", 6));
        create_alterables();
    }
};
FrameObject * create_livesstr_242(int x, int y)
{
    return new (Text::pool.create()) LivesStr_242(x, y);
}
class CheckpointStr_243 : public Text
{
public:
    CheckpointStr_243(int x, int y) : Text(x, y, CheckpointStr_243_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("CheckpointStr", 13);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_VCENTER;
        add_line(chowstring("Checkpoints:", 12));
        create_alterables();
    }
};
FrameObject * create_checkpointstr_243(int x, int y)
{
    return new (Text::pool.create()) CheckpointStr_243(x, y);
}
class TimeCounter_244 : public Text
{
public:
    TimeCounter_244(int x, int y) : Text(x, y, TimeCounter_244_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("TimeCounter", 11);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_RIGHT | ALIGN_VCENTER;
        add_line(chowstring("325", 3));
        create_alterables();
    }
};
FrameObject * create_timecounter_244(int x, int y)
{
    return new (Text::pool.create()) TimeCounter_244(x, y);
}
class LivesCounter_245 : public Text
{
public:
    LivesCounter_245(int x, int y) : Text(x, y, LivesCounter_245_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("LivesCounter", 12);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_RIGHT | ALIGN_VCENTER;
        add_line(chowstring("10/10", 5));
        create_alterables();
    }
};
FrameObject * create_livescounter_245(int x, int y)
{
    return new (Text::pool.create()) LivesCounter_245(x, y);
}
class CheckpointsCounter_246 : public Text
{
public:
    CheckpointsCounter_246(int x, int y) : Text(x, y, CheckpointsCounter_246_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("CheckpointsCounter", 18);
#endif
        flags &= ~SCROLL;
        width = 96;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_RIGHT | ALIGN_VCENTER;
        add_line(chowstring("4/4", 3));
        create_alterables();
    }
};
FrameObject * create_checkpointscounter_246(int x, int y)
{
    return new (Text::pool.create()) CheckpointsCounter_246(x, y);
}
static Image* images_active3_247_0_0[1];
static Direction direction_active3_247_0_0 = {0, 50, 50, 0, 1, 1, images_active3_247_0_0};
static Animation anim_active3_247_0 = {&direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, NULL, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0, &direction_active3_247_0_0};
static Animation * anim_array_active3_247[1] = {&anim_active3_247_0};
static Animations anim_active3_247 = {1, &anim_array_active3_247[0]};
static bool anim_active3_247_initialized;
class Active3_247 : public Active
{
public:
    Active3_247(int x, int y) : Active(x, y, Active3_247_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_247;
        if (!anim_active3_247_initialized) {
            anim_active3_247_initialized = true;
            images_active3_247_0_0[0] = get_internal_image_direct(559);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_247(int x, int y)
{
    return new (Active::pool.create()) Active3_247(x, y);
}
static Image* images_active4_248_0_0[1];
static Direction direction_active4_248_0_0 = {0, 50, 50, 0, 1, 1, images_active4_248_0_0};
static Animation anim_active4_248_0 = {&direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, NULL, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0, &direction_active4_248_0_0};
static Animation * anim_array_active4_248[1] = {&anim_active4_248_0};
static Animations anim_active4_248 = {1, &anim_array_active4_248[0]};
static bool anim_active4_248_initialized;
class Active4_248 : public Active
{
public:
    Active4_248(int x, int y) : Active(x, y, Active4_248_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_248;
        if (!anim_active4_248_initialized) {
            anim_active4_248_initialized = true;
            images_active4_248_0_0[0] = get_internal_image_direct(562);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_248(int x, int y)
{
    return new (Active::pool.create()) Active4_248(x, y);
}
static Image* images_active4_249_0_0[1];
static Direction direction_active4_249_0_0 = {0, 50, 50, 0, 1, 1, images_active4_249_0_0};
static Animation anim_active4_249_0 = {&direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, NULL, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0, &direction_active4_249_0_0};
static Animation * anim_array_active4_249[1] = {&anim_active4_249_0};
static Animations anim_active4_249 = {1, &anim_array_active4_249[0]};
static bool anim_active4_249_initialized;
class Active4_249 : public Active
{
public:
    Active4_249(int x, int y) : Active(x, y, Active4_249_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_249;
        if (!anim_active4_249_initialized) {
            anim_active4_249_initialized = true;
            images_active4_249_0_0[0] = get_internal_image_direct(396);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_249(int x, int y)
{
    return new (Active::pool.create()) Active4_249(x, y);
}
FRAMEOBJECT_IMPL(Active)
FRAMEOBJECT_IMPL(Text)
FRAMEOBJECT_IMPL(QuickBackdrop)
FRAMEOBJECT_IMPL(FrameObject)
FRAMEOBJECT_IMPL(Backdrop)
