#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_737()
{
    // event 604_4
    {
        // group: Bullet Redirectors
        sendup_128_instances.clear_selection();
        for (ObjectIterator it(sendup_128_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendup_128_instances.has_selection()) goto event_604_4_end;
        for (ObjectIterator it(sendup_128_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendUp'
        }
    }
    event_604_4_end: ;
}
void Frames::event_func_738()
{
    // event 605_4
    {
        // group: Bullet Redirectors
        sendright_130_instances.clear_selection();
        for (ObjectIterator it(sendright_130_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendright_130_instances.has_selection()) goto event_605_4_end;
        for (ObjectIterator it(sendright_130_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendRight'
        }
    }
    event_605_4_end: ;
}
void Frames::event_func_739()
{
    // event 606_4
    {
        // group: Bullet Redirectors
        sendleft_132_instances.clear_selection();
        for (ObjectIterator it(sendleft_132_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendleft_132_instances.has_selection()) goto event_606_4_end;
        for (ObjectIterator it(sendleft_132_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendLeft'
        }
    }
    event_606_4_end: ;
}
void Frames::event_func_740()
{
    // event 607_4
    {
        // group: Bullet Redirectors
        senddown_131_instances.clear_selection();
        for (ObjectIterator it(senddown_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!senddown_131_instances.has_selection()) goto event_607_4_end;
        for (ObjectIterator it(senddown_131_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendDown'
        }
    }
    event_607_4_end: ;
}
void Frames::event_func_741()
{
    // event 612_4
    {
        // group: Bullet Redirectors
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) != (0))) { it.deselect(); continue; }
        }
        if (!bullet_95_instances.has_selection()) goto event_612_4_end;
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Bullet'
        }
    }
    event_612_4_end: ;
}
void Frames::event_func_742()
{
    // event 616_4
    {
        // group: Eyeblock
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_616_4_end;
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_616_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_616_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_616_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_616_4_end: ;
}
void Frames::event_func_743()
{
    // event 617_4
    {
        // group: Eyeblock
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_617_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_617_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_617_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_617_4_end: ;
}
void Frames::event_func_744()
{
    // event 618_4
    {
        // group: Eyeblock
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_618_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_618_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_618_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_618_4_end: ;
}
void Frames::event_func_745()
{
    // event 619_4
    {
        // group: Eyeblock
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_619_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_619_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_619_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_619_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_619_4_end: ;
}
void Frames::event_func_746()
{
    // event 620_4
    {
        // group: Eyeblock
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_620_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_620_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_620_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_620_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_620_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_620_4_end: ;
}
void Frames::event_func_747()
{
    // event 621_4
    {
        // group: Eyeblock
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_621_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_621_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_621_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_621_4_end: ;
}
void Frames::event_func_748()
{
    // event 622_4
    {
        // group: Eyeblock
        player_66_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(player_66_instances, objeyeblock_143_instances)) goto event_622_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_622_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) >= (((Active*)get_single(objeyeblock_143_instances, default_active_instance))->get_y()+18))) goto event_622_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(objeyeblock_143_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_622_4_end: ;
}
void Frames::event_func_749()
{
    // event 623_4
    {
        // group: Eyeblock
        player_66_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(player_66_instances, objeyeblock_143_instances)) goto event_623_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_623_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) < (((Active*)get_single(objeyeblock_143_instances, default_active_instance))->get_y()+18))) goto event_623_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()-(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(objeyeblock_143_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_623_4_end: ;
}
void Frames::event_func_750()
{
    // event 631_4
    {
        // group: Eyeblock
        objeyeblock_143_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_631_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-eyeblock'
        }
    }
    event_631_4_end: ;
}
void Frames::event_func_751()
{
    // event 632_4
    {
        // group: Eyeblock
        objeyeblock_143_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto event_632_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-eyeblock'
        }
    }
    event_632_4_end: ;
}
void Frames::event_func_752()
{
    // event 633_4
    {
        // group: Eyeblock
        bullet_95_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(bullet_95_instances, objeyeblock_143_instances)) goto event_633_4_end;
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_633_4_end: ;
}
void Frames::event_func_753()
{
    // event 635_4
    {
        // group: Ded
        if (!((global_values->get(0)) <= (0))) goto event_635_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_635_4_0; single_instance_635_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(sprite_72_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->x + 0, parent->y + -16), parent->layer);
                if (single_instance_635_4_0 == NULL)
                    single_instance_635_4_0 = new_obj;
            }
        }
        manager.ignore_controls = true;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 1e+21); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.add(10, 1); // 'Player'
    }
    event_635_4_end: ;
}
void Frames::event_func_754()
{
    // event 636_4
    {
        // group: Ded
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(10)) >= (178))) goto event_636_4_end;
        if (not_always_636_4_0 > loop_count) {
            not_always_636_4_0 = loop_count + 2;
            goto event_636_4_end;
        }
        not_always_636_4_0 = loop_count + 2;
        global_values->set(3, 1);
        next_frame = 3 + 0;    
    
    }
    event_636_4_end: ;
}
void Frames::event_func_755()
{
    // event 637_4
    {
        // group: None
        player_66_instances.clear_selection();
        active5_11_instances.clear_selection();
        if (!check_overlap(player_66_instances, active5_11_instances)) goto event_637_4_end;
        next_frame = 5 + 0;    
    
    }
    event_637_4_end: ;
}
void Frames::event_func_756()
{
    // event 638_4
    {
        // group: None
        ((Text*)get_instance(extraguys_117_instances))->set_string(str_x_16+number_to_string(global_values->get(2)));
    }
    event_638_4_end: ;
}
void Frames::event_func_757()
{
    // event 640_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)+((Active*)*it)->alterables->values.get(6));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->set_angle(((Active*)*it)->get_angle()+((Active*)*it)->alterables->values.get(3), 0);
        }
    }
    event_640_4_end: ;
}
void Frames::event_func_758()
{
    // event 641_4
    {
        // group: Debris
        every_641_4_0 += manager.dt;
        if (every_641_4_0 < 0.07) goto event_641_4_end;
        every_641_4_0 -= 0.07;
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)*it)->alterables->values.get(2)); // 'debris'
        }
    }
    event_641_4_end: ;
}
void Frames::event_func_759()
{
    // event 642_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_642_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_642_4_end: ;
}
void Frames::event_func_760()
{
    // event 643_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (1))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_643_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_643_4_end: ;
}
void Frames::event_func_761()
{
    // event 644_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (2))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_644_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_644_4_end: ;
}
void Frames::event_func_762()
{
    // event 645_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (3))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_645_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_645_4_end: ;
}
void Frames::event_func_763()
{
    // event 646_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (4))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_646_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_646_4_end: ;
}
void Frames::event_func_764()
{
    // event 647_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (5))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_647_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_647_4_end: ;
}
void Frames::event_func_765()
{
    // event 648_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (6))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_648_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_648_4_end: ;
}
void Frames::event_func_766()
{
    // event 649_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (7))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_649_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_649_4_end: ;
}
void Frames::event_func_767()
{
    // event 650_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (8))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_650_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_650_4_end: ;
}
void Frames::event_func_768()
{
    // event 651_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (9))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_651_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_651_4_end: ;
}
void Frames::event_func_769()
{
    // event 652_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (10))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_652_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(22);
        }
    }
    event_652_4_end: ;
}
void Frames::event_func_770()
{
    // event 653_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (11))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_653_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(23);
        }
    }
    event_653_4_end: ;
}
void Frames::event_func_771()
{
    // event 654_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (12))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_654_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(24);
        }
    }
    event_654_4_end: ;
}
void Frames::event_func_772()
{
    // event 655_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        if (!check_not_overlap(debris_156_instances, screen_122_instances)) goto event_655_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_655_4_end: ;
}
void Frames::event_func_773()
{
    // event 657_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(25)) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_657_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(25);
        }
    }
    event_657_4_end: ;
}
void Frames::event_func_774()
{
    // event 658_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (2))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(26)) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_658_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(26);
        }
    }
    event_658_4_end: ;
}
void Frames::event_func_775()
{
    // event 659_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (3))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(27)) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_659_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(27);
        }
    }
    event_659_4_end: ;
}
void Frames::event_func_776()
{
    // event 660_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (4))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(28)) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_660_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(28);
        }
    }
    event_660_4_end: ;
}
void Frames::event_func_777()
{
    // event 661_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (1))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_661_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'debris'
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->alterables->values.get(0)*0.9); // 'debris'
        }
    }
    event_661_4_end: ;
}
void Frames::event_func_778()
{
    // event 662_4
    {
        // group: Debris
        debris_156_instances.clear_selection();
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!debris_156_instances.has_selection()) goto event_662_4_end;
        for (ObjectIterator it(debris_156_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, sin_deg(global_values->get(6)*115+(115*1.256*((Active*)*it)->alterables->values.get(3)))*3.0); // 'debris'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(3)+4)/MathHelper()/6.0);
        }
    }
    event_662_4_end: ;
}
void Frames::event_func_779()
{
    // event 667_4
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) > (0))) goto event_667_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(12, 1); // 'Player'
    }
    event_667_4_end: ;
}
void Frames::event_func_780()
{
    // event 668_4
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) > (0))) goto event_668_4_end;
        if (not_always_668_4_0 > loop_count) {
            not_always_668_4_0 = loop_count + 2;
            goto event_668_4_end;
        }
        not_always_668_4_0 = loop_count + 2;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(14, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(15, 3); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(16, 999); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(13, 1.5); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(14, 12); // 'Player'
    }
    event_668_4_end: ;
}
void Frames::event_func_781()
{
    // event 669_4
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) == (0))) goto event_669_4_end;
        if (not_always_669_4_0 > loop_count) {
            not_always_669_4_0 = loop_count + 2;
            goto event_669_4_end;
        }
        not_always_669_4_0 = loop_count + 2;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(14, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(15, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(16, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(13, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(14, 0); // 'Player'
        ((Active*)get_instance(uipowerupindicator_217_instances))->set_visible(false);
    }
    event_669_4_end: ;
}
void Frames::event_func_782()
{
    // event 670_4
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) > (0))) goto event_670_4_end;
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            if (parent == NULL) goto pos_end_670_4_0;
            ((Active*)get_instance(uipowerupindicator_217_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + -34);
            pos_end_670_4_0: ;
        }
        ((Active*)get_instance(uipowerupindicator_217_instances))->force_frame(18-((((Active*)get_instance(player_66_instances))->alterables->values.get(12)/MathHelper()/1200.0)*18));
        ((Active*)get_instance(uipowerupindicator_217_instances))->set_visible(true);
    }
    event_670_4_end: ;
}
void Frames::event_func_783()
{
    // event 671_4
    {
        // group: Sproingy Spring
        player_66_instances.clear_selection();
        springleft_137_instances.clear_selection();
        if (!check_overlap(player_66_instances, springleft_137_instances)) goto event_671_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, -15); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_671_4_end: ;
}
void Frames::event_func_784()
{
    // event 672_4
    {
        // group: Sproingy Spring
        player_66_instances.clear_selection();
        springright_138_instances.clear_selection();
        if (!check_overlap(player_66_instances, springright_138_instances)) goto event_672_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_672_4_end: ;
}
void Frames::event_func_785()
{
    // event 674_4
    {
        // group: Wings
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_674_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(17)) == (1))) goto event_674_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_674_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(17, 0); // 'Player'
    }
    event_674_4_end: ;
}
void Frames::event_func_786()
{
    // event 675_4
    {
        // group: Wings
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(17)) == (1))) goto event_675_4_end;
        ((Active*)get_instance(spritewings_174_instances))->move_back(((Active*)get_instance(sprite_72_instances)));
        ((Active*)get_instance(spritewings_174_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x());
        ((Active*)get_instance(spritewings_174_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+4);
        ((Active*)get_instance(spritewings_174_instances))->set_visible(true);
    }
    event_675_4_end: ;
}
void Frames::event_func_787()
{
    // event 676_4
    {
        // group: Wings
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(17)) == (0))) goto event_676_4_end;
        ((Active*)get_instance(spritewings_174_instances))->set_visible(false);
    }
    event_676_4_end: ;
}
void Frames::event_func_788()
{
    // event 677_4
    {
        // group: Wings
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(2)) == (0))) goto event_677_4_end;
        ((Active*)get_instance(spritewings_174_instances))->set_visible(false);
    }
    event_677_4_end: ;
}
void Frames::event_func_789()
{
    // event 678_4
    {
        // group: Laser redirectors
        every_678_4_0 += manager.dt;
        if (every_678_4_0 < 1.0) goto event_678_4_end;
        every_678_4_0 -= 1.0;
        objlasergun_175_instances.clear_selection();
        for (ObjectIterator it(objlasergun_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) < (3500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) < (3500))) { it.deselect(); continue; }
        }
        if (!objlasergun_175_instances.has_selection()) goto event_678_4_end;
        for (ObjectIterator it(objlasergun_175_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        FrameObject * single_instance_678_4_1; single_instance_678_4_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objlasergun_175_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_678_4_1 == NULL)
                    single_instance_678_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_678_4_1))->set_direction(((Active*)get_single(objlasergun_175_instances, default_active_instance))->get_direction());
        ((Active*)((Active*)single_instance_678_4_1))->get_movement()->set_speed(60);
        ((Active*)((Active*)single_instance_678_4_1))->force_speed(100);
    }
    event_678_4_end: ;
}
void Frames::event_func_790()
{
    // event 679_4
    {
        // group: Laser redirectors
        every_679_4_0 += manager.dt;
        if (every_679_4_0 < 2.38) goto event_679_4_end;
        every_679_4_0 -= 2.38;
        objlasergun_175_instances.clear_selection();
        for (ObjectIterator it(objlasergun_175_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, get_abs(((Active*)get_instance(player_66_instances))->get_x()-((Active*)*it)->get_x())); // 'obj-lasergun'
            ((Active*)*it)->alterables->values.set(1, get_abs(((Active*)get_instance(player_66_instances))->get_y()-((Active*)*it)->get_y())); // 'obj-lasergun'
        }
    }
    event_679_4_end: ;
}
void Frames::event_func_791()
{
    // event 690_4
    {
        // group: Laser redirectors
        every_690_4_0 += manager.dt;
        if (every_690_4_0 < 1.0) goto event_690_4_end;
        every_690_4_0 -= 1.0;
        screen_122_instances.clear_selection();
        objlasergun_175_instances.clear_selection();
        if (!check_overlap(screen_122_instances, objlasergun_175_instances)) goto event_690_4_end;
        if (frame_time - restrict_690_4 < 1.0) goto event_690_4_end;
        restrict_690_4 = frame_time;
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
    }
    event_690_4_end: ;
}
void Frames::event_func_792()
{
    // event 691_4
    {
        // group: Laser redirectors
        enemylaser_176_instances.clear_selection();
        for (ObjectIterator it(enemylaser_176_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) < (8))) { it.deselect(); continue; }
        }
        if (!enemylaser_176_instances.has_selection()) goto event_691_4_end;
        for (ObjectIterator it(enemylaser_176_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(1, 1); // 'enemy-laser'
        }
    }
    event_691_4_end: ;
}
void Frames::event_func_793()
{
    // event 701_4
    {
        // group: Laser redirectors
        every_701_4_0 += manager.dt;
        if (every_701_4_0 < 1.0) goto event_701_4_end;
        every_701_4_0 -= 1.0;
        objlasergunorange_230_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_230_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_701_4_end: ;
}
void Frames::event_func_794()
{
    // event 706_4
    {
        // group: Laser redirectors
        every_706_4_0 += manager.dt;
        if (every_706_4_0 < 1.0) goto event_706_4_end;
        every_706_4_0 -= 1.0;
        screen_122_instances.clear_selection();
        objlasergunorange_230_instances.clear_selection();
        if (!check_overlap(screen_122_instances, objlasergunorange_230_instances)) goto event_706_4_end;
        if (frame_time - restrict_706_4 < 1.0) goto event_706_4_end;
        restrict_706_4 = frame_time;
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
    }
    event_706_4_end: ;
}
void Frames::event_func_795()
{
    // event 711_4
    {
        // group: Enemy Gates
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_711_4_end;
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_711_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_711_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_711_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_711_4_end: ;
}
void Frames::event_func_796()
{
    // event 712_4
    {
        // group: Enemy Gates
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_712_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_712_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_712_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_712_4_end: ;
}
void Frames::event_func_797()
{
    // event 713_4
    {
        // group: Enemy Gates
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_713_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_713_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_713_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_713_4_end: ;
}
void Frames::event_func_798()
{
    // event 714_4
    {
        // group: Enemy Gates
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_714_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_714_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_714_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_714_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_714_4_end: ;
}
void Frames::event_func_799()
{
    // event 715_4
    {
        // group: Enemy Gates
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_715_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_715_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_715_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_715_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_715_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_715_4_end: ;
}
void Frames::event_func_800()
{
    // event 716_4
    {
        // group: Enemy Gates
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto event_716_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_716_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_716_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_716_4_end: ;
}
void Frames::event_func_801()
{
    // event 717_4
    {
        // group: Enemy Gates
        player_66_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(player_66_instances, objenemygate_209_instances)) goto event_717_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_717_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) >= (((Active*)get_single(objenemygate_209_instances, default_active_instance))->get_y()+18))) goto event_717_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(objenemygate_209_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_717_4_end: ;
}
void Frames::event_func_802()
{
    // event 718_4
    {
        // group: Enemy Gates
        player_66_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(player_66_instances, objenemygate_209_instances)) goto event_718_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_718_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) < (((Active*)get_single(objenemygate_209_instances, default_active_instance))->get_y()+18))) goto event_718_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()-(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(objenemygate_209_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_718_4_end: ;
}
void Frames::event_func_803()
{
    // event 719_4
    {
        // group: Enemy Gates
        if (!((get_abs(((Active*)get_instance(enemyevileye_218_instances, default_active_instance))->get_x()-((Active*)get_instance(player_66_instances))->get_x())) < (640))) goto event_719_4_end;
        if (!((get_abs(((Active*)get_instance(enemyevileye_218_instances, default_active_instance))->get_y()-((Active*)get_instance(player_66_instances))->get_y())) < (360))) goto event_719_4_end;
        objenemygate_209_instances.clear_selection();
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-enemygate'
        }
    }
    event_719_4_end: ;
}
void Frames::event_func_804()
{
    // event 720_4
    bool or_result_720_4 = false;
    bool or_temp_result_720_4_0 = false;
    {
        // group: Enemy Gates
        if (!((get_abs(((Active*)get_instance(enemyevileye_218_instances, default_active_instance))->get_x()-((Active*)get_instance(player_66_instances))->get_x())) > (640))) goto or_event_720_4_0_end;
        or_result_720_4 = true;
        or_temp_result_720_4_0 = true;
    }
    or_event_720_4_0_end: ;
    // event 720_4
    bool or_temp_result_720_4_1 = false;
    {
        // group: Enemy Gates
        if (!((get_abs(((Active*)get_instance(enemyevileye_218_instances, default_active_instance))->get_y()-((Active*)get_instance(player_66_instances))->get_y())) > (360))) goto or_event_720_4_1_end;
        or_result_720_4 = true;
        or_temp_result_720_4_1 = true;
        or_event_720_4_1_end: ;
        if (!or_result_720_4) goto or_final_or_event_720_4_1_end;
        objenemygate_209_instances.clear_selection();
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-enemygate'
        }
    }
    or_final_or_event_720_4_1_end: ;
}
void Frames::event_func_805()
{
    // event 721_4
    {
        // group: Enemy Gates
        objenemygate_209_instances.clear_selection();
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_721_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(0);
        }
    }
    event_721_4_end: ;
}
void Frames::event_func_806()
{
    // event 722_4
    {
        // group: Enemy Gates
        objenemygate_209_instances.clear_selection();
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objenemygate_209_instances.has_selection()) goto event_722_4_end;
        for (ObjectIterator it(objenemygate_209_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(175);
        }
    }
    event_722_4_end: ;
}
void Frames::event_func_807()
{
    // event 723_4
    {
        // group: Counter
        screen_122_instances.clear_selection();
        active8_13_instances.clear_selection();
        if (!check_overlap(screen_122_instances, active8_13_instances)) goto event_723_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'Active 8'
        }
    }
    event_723_4_end: ;
}
void Frames::event_func_808()
{
    // event 724_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (80))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_724_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_724_4_end: ;
}
void Frames::event_func_809()
{
    // event 725_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (160))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (80))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_725_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_725_4_end: ;
}
void Frames::event_func_810()
{
    // event 726_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (240))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (160))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_726_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_726_4_end: ;
}
void Frames::event_func_811()
{
    // event 727_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (320))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (240))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_727_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_727_4_end: ;
}
void Frames::event_func_812()
{
    // event 728_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (400))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (320))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_728_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_728_4_end: ;
}
void Frames::event_func_813()
{
    // event 729_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_729_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_729_4_end: ;
}
void Frames::event_func_814()
{
    // event 730_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (500))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_730_4_end;
        FrameObject * single_instance_730_4_0; single_instance_730_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(active8_13_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bigexplosion_151(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_730_4_0 == NULL)
                    single_instance_730_4_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_730_4_end: ;
}
void Frames::event_func_815()
{
    // event 731_4
    {
        // group: Counter
        homept1_179_instances.clear_selection();
        for (ObjectIterator it(homept1_179_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'home-pt1'
        }
    }
    event_731_4_end: ;
}
void Frames::event_func_816()
{
    // event 732_4
    {
        // group: Counter
        homept1_179_instances.clear_selection();
        for (ObjectIterator it(homept1_179_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (20))) { it.deselect(); continue; }
        }
        if (!homept1_179_instances.has_selection()) goto event_732_4_end;
        for (ObjectIterator it(homept1_179_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_732_4_0; single_instance_732_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(homept1_179_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept2_180(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_732_4_0 == NULL)
                    single_instance_732_4_0 = new_obj;
            }
        }
    }
    event_732_4_end: ;
}
void Frames::event_func_817()
{
    // event 733_4
    {
        // group: Counter
        homept2_180_instances.clear_selection();
        for (ObjectIterator it(homept2_180_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!homept2_180_instances.has_selection()) goto event_733_4_end;
        for (ObjectIterator it(homept2_180_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
            ((Active*)*it)->alterables->values.set(0, 1); // 'home-pt2'
        }
    }
    event_733_4_end: ;
}
void Frames::event_func_818()
{
    // event 736_4
    {
        // group: Counter
        every_736_4_0 += manager.dt;
        if (every_736_4_0 < 0.01) goto event_736_4_end;
        every_736_4_0 -= 0.01;
        counterspawner_178_instances.clear_selection();
        for (ObjectIterator it(counterspawner_178_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!counterspawner_178_instances.has_selection()) goto event_736_4_end;
        for (ObjectIterator it(counterspawner_178_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'counter-spawner'
        }
    }
    event_736_4_end: ;
}
void Frames::event_func_819()
{
    // event 737_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_737_4_end;
        FrameObject * single_instance_737_4_0; single_instance_737_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(active8_13_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_737_4_0 == NULL)
                    single_instance_737_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(active8_13_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(active8_13_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(13);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_737_4_end: ;
}
void Frames::event_func_820()
{
    // event 739_4
    {
        // group: Counter
        screen_122_instances.clear_selection();
        if (!check_not_overlap(screen_122_instances, homept2_180_instances)) goto event_739_4_end;
        homept2_180_instances.clear_selection();
        for (ObjectIterator it(homept2_180_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_739_4_end: ;
}
void Frames::event_func_821()
{
    // event 740_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        if (!check_not_overlap(active8_13_instances, screen_122_instances)) goto event_740_4_end;
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'Active 8'
        }
    }
    event_740_4_end: ;
}
void Frames::event_func_822()
{
    // event 741_4
    {
        // group: Counter
        active8_13_instances.clear_selection();
        if (!check_overlap(active8_13_instances, active8_13_instances)) goto event_741_4_end;
        FrameObject * single_instance_741_4_0; single_instance_741_4_0 = pick_random(active8_13_instances);
        if (single_instance_741_4_0 == NULL) goto event_741_4_end;
        ((Active*)((Active*)single_instance_741_4_0))->destroy();
    }
    event_741_4_end: ;
}
void Frames::event_func_823()
{
    // event 743_4
    {
        // group: Platform Spawners
        ((Active*)get_instance(horizspawner_183_instances))->alterables->values.add(0, 1); // 'horizspawner'
    }
    event_743_4_end: ;
}
void Frames::event_func_824()
{
    // event 744_4
    {
        // group: Platform Spawners
        ((Active*)get_instance(vertspawner_184_instances))->alterables->values.add(0, 1); // 'vertspawner'
    }
    event_744_4_end: ;
}
void Frames::event_func_825()
{
    // event 745_4
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(vertspawner_184_instances))->alterables->values.get(0)) >= (60))) goto event_745_4_end;
        ((Active*)get_instance(vertspawner_184_instances))->alterables->values.set(0, 0); // 'vertspawner'
        FrameObject * single_instance_745_4_0; single_instance_745_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(vertspawner_184_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_vertplatform_79(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_745_4_0 == NULL)
                    single_instance_745_4_0 = new_obj;
            }
        }
        FrameObject * single_instance_745_4_1; single_instance_745_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(vertspawner_184_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_vertdetector_80(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_745_4_1 == NULL)
                    single_instance_745_4_1 = new_obj;
            }
        }
    }
    event_745_4_end: ;
}
void Frames::event_func_826()
{
    // event 754_4
    bool or_result_754_4 = false;
    bool or_temp_result_754_4_0 = false;
    {
        // group: Platform Spawners
        objshootspawner_206_instances.clear_selection();
        enemydown_134_instances.clear_selection();
        if (!check_overlap(objshootspawner_206_instances, enemydown_134_instances)) goto or_event_754_4_0_end;
        or_result_754_4 = true;
        or_temp_result_754_4_0 = true;
    }
    or_event_754_4_0_end: ;
    objshootspawner_206_instances.clear_saved_selection();
    enemydown_134_instances.clear_saved_selection();
    if (or_temp_result_754_4_0) {
        objshootspawner_206_instances.save_selection();
        enemydown_134_instances.save_selection();
    }
    // event 754_4
    bool or_temp_result_754_4_1 = false;
    {
        // group: Platform Spawners
        objshootspawner_206_instances.clear_selection();
        enemyup_136_instances.clear_selection();
        if (!check_overlap(objshootspawner_206_instances, enemyup_136_instances)) goto or_event_754_4_1_end;
        or_result_754_4 = true;
        or_temp_result_754_4_1 = true;
        or_event_754_4_1_end: ;
        enemyup_136_instances.clear_saved_selection();
        if (or_temp_result_754_4_1) {
            objshootspawner_206_instances.save_selection();
            enemyup_136_instances.save_selection();
        }
        if (!or_result_754_4) goto or_final_or_event_754_4_1_end;
        enemydown_134_instances.empty_selection();
        enemyup_136_instances.empty_selection();
        objshootspawner_206_instances.empty_selection();
        if (or_temp_result_754_4_0 || or_temp_result_754_4_1) {
            objshootspawner_206_instances.restore_selection();
        }
        if (or_temp_result_754_4_0) {
            enemydown_134_instances.restore_selection();
        }
        if (or_temp_result_754_4_1) {
            enemyup_136_instances.restore_selection();
        }
        for (ObjectIterator it(objshootspawner_206_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-shootspawner'
        }
    }
    or_final_or_event_754_4_1_end: ;
}
void Frames::event_func_827()
{
    // event 761_4
    bool or_result_761_4 = false;
    bool or_temp_result_761_4_0 = false;
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(horizspawner_183_instances))->alterables->values.get(0)) >= (59))) goto or_event_761_4_0_end;
        horizspawner_183_instances.clear_selection();
        screen_122_instances.clear_selection();
        if (!check_overlap(horizspawner_183_instances, screen_122_instances)) goto or_event_761_4_0_end;
        if (frame_time - restrict_761_4_0 < 0.3) goto or_event_761_4_0_end;
        restrict_761_4_0 = frame_time;
        or_result_761_4 = true;
        or_temp_result_761_4_0 = true;
    }
    or_event_761_4_0_end: ;
    horizspawner_183_instances.clear_saved_selection();
    screen_122_instances.clear_saved_selection();
    if (or_temp_result_761_4_0) {
        horizspawner_183_instances.save_selection();
        screen_122_instances.save_selection();
    }
    // event 761_4
    bool or_temp_result_761_4_1 = false;
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(vertspawner_184_instances))->alterables->values.get(0)) >= (59))) goto or_event_761_4_1_end;
        vertspawner_184_instances.clear_selection();
        screen_122_instances.clear_selection();
        if (!check_overlap(vertspawner_184_instances, screen_122_instances)) goto or_event_761_4_1_end;
        if (frame_time - restrict_761_4_1 < 0.3) goto or_event_761_4_1_end;
        restrict_761_4_1 = frame_time;
        or_result_761_4 = true;
        or_temp_result_761_4_1 = true;
        or_event_761_4_1_end: ;
        vertspawner_184_instances.clear_saved_selection();
        if (or_temp_result_761_4_1) {
            vertspawner_184_instances.save_selection();
            screen_122_instances.save_selection();
        }
        if (!or_result_761_4) goto or_final_or_event_761_4_1_end;
        screen_122_instances.clear_selection();
        horizspawner_183_instances.clear_selection();
        vertspawner_184_instances.clear_selection();
        if (or_temp_result_761_4_1) {
            vertspawner_184_instances.restore_selection();
        }
        if (or_temp_result_761_4_0) {
            horizspawner_183_instances.restore_selection();
        }
        if (or_temp_result_761_4_0 || or_temp_result_761_4_1) {
            screen_122_instances.restore_selection();
        }
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    or_final_or_event_761_4_1_end: ;
}
void Frames::event_func_828()
{
    // event 762_4
    {
        // group: Timer
        global_values->set(6, (frame_time * 1000.0)/MathHelper()/1000.0);
        ((Text*)get_instance(timer_119_instances))->set_string(number_to_string(int(100*(global_values->get(6)+global_values->get(7)))/MathHelper()/100.0));
    }
    event_762_4_end: ;
}
void Frames::event_func_829()
{
    // event 763_4
    {
        // group: Timer
        if (!(is_key_pressed(SDLK_LCTRL))) goto event_763_4_end;
        if (!(is_key_pressed_once(SDLK_d))) goto event_763_4_end;
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_763_4_end: ;
}
void Frames::event_func_830()
{
    // event 765_4
    {
        // group: Timer
        if (!(is_key_pressed_once(SDLK_s))) goto event_765_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_765_4_end: ;
}
void Frames::event_func_831()
{
    // event 766_4
    {
        // group: Checkpoint
        if (!(is_player_pressed_once(1, CONTROL_BUTTON4))) goto event_766_4_end;
        if (!((global_values->get(10)) > (0))) goto event_766_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(22);
        }
    }
    event_766_4_end: ;
}
void Frames::event_func_832()
{
    // event 767_4
    {
        // group: Checkpoint
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (5))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(22))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_767_4_end;
        if (not_always_767_4_0 > loop_count) {
            not_always_767_4_0 = loop_count + 2;
            goto event_767_4_end;
        }
        not_always_767_4_0 = loop_count + 2;
        FrameObject * single_instance_767_4_1; single_instance_767_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objcheckpointspawner_204(parent->get_action_x() - parent->layer->off_x + 32, parent->get_action_y() - parent->layer->off_y + 16), parent->layer);
                if (single_instance_767_4_1 == NULL)
                    single_instance_767_4_1 = new_obj;
            }
        }
        global_values->sub(10, 1);
    }
    event_767_4_end: ;
}
void Frames::event_func_833()
{
    // event 769_4
    {
        // group: Checkpoint
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_frame()) == (5))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(22))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_769_4_end;
        if (not_always_769_4_0 > loop_count) {
            not_always_769_4_0 = loop_count + 2;
            goto event_769_4_end;
        }
        not_always_769_4_0 = loop_count + 2;
        FrameObject * single_instance_769_4_1; single_instance_769_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objcheckpointspawner_204(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 16), parent->layer);
                if (single_instance_769_4_1 == NULL)
                    single_instance_769_4_1 = new_obj;
            }
        }
        global_values->sub(10, 1);
    }
    event_769_4_end: ;
}
void Frames::event_func_834()
{
    // event 771_4
    {
        // group: Checkpoint
        ((Text*)get_instance(checkpoints_205_instances))->set_string(str_x_16+number_to_string(global_values->get(10)));
    }
    event_771_4_end: ;
}
void Frames::event_func_835()
{
    // event 773_4
    {
        // group: Checkpoint
        objcheckpointspawner_204_instances.clear_selection();
        if (!check_not_overlap(objcheckpointspawner_204_instances, screen_122_instances)) goto event_773_4_end;
        if (!((objcheckpointspawner_204_instances.size()) > (0))) goto event_773_4_end;
        for (ObjectIterator it(objcheckpointspawner_204_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        global_values->sub(10, -1);
    }
    event_773_4_end: ;
}
void Frames::event_func_836()
{
    // event 776_4
    {
        // group: Checkpoint
        if (!((global_values->get(8)) == (0))) goto event_776_4_end;
        every_776_4_0 += manager.dt;
        if (every_776_4_0 < 11.0) goto event_776_4_end;
        every_776_4_0 -= 11.0;
        ((Active*)get_instance(uiflag_215_instances))->force_animation(12);
    }
    event_776_4_end: ;
}
