#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_437()
{
    // event 130_4
    {
        // group: Scrolling
        if (!((global_values->get(11)) == (0))) goto event_130_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(1, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_130_4_end: ;
}
void Frames::event_func_438()
{
    // event 131_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(3)) > (0))) goto event_131_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(0, randrange_event(2*((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(3))-((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(3)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, (((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(3)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_131_4_end: ;
}
void Frames::event_func_439()
{
    // event 132_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(3)) <= (0))) goto event_132_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_132_4_end: ;
}
void Frames::event_func_440()
{
    // event 134_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        vertplatform_79_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, vertplatform_79_instances)) goto event_134_4_end;
        for (ObjectIterator it(vertplatform_79_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(vertdetector_80_instances, it.current_index));
            if (parent == NULL) goto pos_end_134_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 1);
            pos_end_134_4_0: ;
        }
    }
    event_134_4_end: ;
}
void Frames::event_func_441()
{
    // event 135_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_135_4_end: ;
}
void Frames::event_func_442()
{
    // event 137_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        objliftreverse_153_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, objliftreverse_153_instances)) goto event_137_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (2))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_137_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_137_4_end: ;
}
void Frames::event_func_443()
{
    // event 138_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        objliftreverse_153_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, objliftreverse_153_instances)) goto event_138_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (-2))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_138_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_138_4_end: ;
}
void Frames::event_func_444()
{
    // event 139_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        enemydown_134_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, enemydown_134_instances)) goto event_139_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_139_4_end: ;
}
void Frames::event_func_445()
{
    // event 140_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        enemyup_136_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, enemyup_136_instances)) goto event_140_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_140_4_end: ;
}
void Frames::event_func_446()
{
    // event 143_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        player_66_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, player_66_instances)) goto event_143_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) < (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_143_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(6)) == (0))) goto event_143_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_143_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_single(vertdetector_80_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_143_4_end: ;
}
void Frames::event_func_447()
{
    // event 144_4
    {
        // group: Vert Platforms
        vertdetector_80_instances.clear_selection();
        player_66_instances.clear_selection();
        if (!check_overlap(vertdetector_80_instances, player_66_instances)) goto event_144_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_144_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(6)) == (0))) goto event_144_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_144_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_single(vertdetector_80_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_144_4_end: ;
}
void Frames::event_func_448()
{
    // event 146_4
    {
        // group: Vert Platforms
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_146_4_end;
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_146_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_146_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+3);
    }
    event_146_4_end: ;
}
void Frames::event_func_449()
{
    // event 147_4
    {
        // group: Vert Platforms
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_147_4_end;
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_147_4_end;
        for (ObjectIterator it(vertdetector_80_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_80_instances.has_selection()) goto event_147_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()-3);
    }
    event_147_4_end: ;
}
void Frames::event_func_450()
{
    // event 148_4
    {
        // group: Vert Platforms
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_148_4_end;
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_148_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(6, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(sprite_72_instances, default_active_instance))->get_y()-20);
    }
    event_148_4_end: ;
}
void Frames::event_func_451()
{
    // event 149_4
    {
        // group: Vert Platforms
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) > (0))) goto event_149_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(6, 0); // 'Player'
    }
    event_149_4_end: ;
}
void Frames::event_func_452()
{
    // event 150_4
    {
        // group: Vert Platforms
        player_66_instances.clear_selection();
        vertplatform_79_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertplatform_79_instances)) goto event_150_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) < (0))) goto event_150_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, 2); // 'Player'
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+3);
    }
    event_150_4_end: ;
}
void Frames::event_func_453()
{
    // event 151_4
    {
        // group: Fans
        player_66_instances.clear_selection();
        objfan_99_instances.clear_selection();
        if (!check_overlap(player_66_instances, objfan_99_instances)) goto event_151_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_151_4_end: ;
}
void Frames::event_func_454()
{
    // event 152_4
    {
        // group: Fans
        player_66_instances.clear_selection();
        objfan_99_instances.clear_selection();
        if (!check_overlap(player_66_instances, objfan_99_instances)) goto event_152_4_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto event_152_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(0, 0.45); // 'Player'
    }
    event_152_4_end: ;
}
void Frames::event_func_455()
{
    // event 157_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_90_instances))->animation_finished == 1)) goto event_157_4_end;
        trapdoor_89_instances.clear_selection();
        for (ObjectIterator it(trapdoor_89_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(inputcoordinatorsecretary_90_instances))->alterables->values.set(0, 1); // 'input co-ordinator (secretary)'
    }
    event_157_4_end: ;
}
void Frames::event_func_456()
{
    // event 158_4
    {
        // group: Story events
        player_66_instances.clear_selection();
        lgflattener_93_instances.clear_selection();
        if (!check_overlap(player_66_instances, lgflattener_93_instances)) goto event_158_4_end;
        for (ObjectIterator it(lgflattener_93_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(false);
        }
        FrameObject * single_instance_158_4_0; single_instance_158_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(lgflattener_93_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active13_94(parent->x + 0, parent->y + -28), parent->layer);
                if (single_instance_158_4_0 == NULL)
                    single_instance_158_4_0 = new_obj;
            }
        }
    }
    event_158_4_end: ;
}
void Frames::event_func_457()
{
    // event 159_4
    {
        // group: Story events
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_159_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
        manager.ignore_controls = false;
    }
    event_159_4_end: ;
}
void Frames::event_func_458()
{
    // event 160_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_90_instances))->test_animation(1))) goto event_160_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_160_4_end: ;
}
void Frames::event_func_459()
{
    // event 162_4
    {
        // group: Story events
        active13_19_instances.clear_selection();
        for (ObjectIterator it(active13_19_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!active13_19_instances.has_selection()) goto event_162_4_end;
        for (ObjectIterator it(active13_19_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        manager.ignore_controls = false;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(true);
        }
    }
    event_162_4_end: ;
}
void Frames::event_func_460()
{
    // event 163_4
    {
        // group: Story events
        player_66_instances.clear_selection();
        obscuretastictiles_91_instances.clear_selection();
        if (!check_overlap(player_66_instances, obscuretastictiles_91_instances)) goto event_163_4_end;
        ((Active*)get_instance(obscuretastictiles_91_instances))->move_front();
    }
    event_163_4_end: ;
}
void Frames::event_func_461()
{
    // event 164_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_164_4_end;
        if (!((bullet_95_instances.size()) < (3))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_164_4_end;
        if (not_always_164_4_0 > loop_count) {
            not_always_164_4_0 = loop_count + 2;
            goto event_164_4_end;
        }
        not_always_164_4_0 = loop_count + 2;
        FrameObject * single_instance_164_4_1; single_instance_164_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_95(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_164_4_1 == NULL)
                    single_instance_164_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_164_4_1))->alterables->values.set(0, 7*((Active*)get_instance(player_66_instances))->alterables->values.get(13)); // 'Bullet'
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_164_4_1))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_1))->alterables->values.set(5, ((Active*)get_instance(player_66_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_1))->alterables->values.set(4, ((Active*)get_instance(player_66_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_1))->force_animation(((Active*)get_instance(player_66_instances))->alterables->values.get(14));
    }
    event_164_4_end: ;
}
void Frames::event_func_462()
{
    // event 165_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_165_4_end;
        if (!((bullet_95_instances.size()) < (3))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_165_4_end;
        if (not_always_165_4_0 > loop_count) {
            not_always_165_4_0 = loop_count + 2;
            goto event_165_4_end;
        }
        not_always_165_4_0 = loop_count + 2;
        FrameObject * single_instance_165_4_1; single_instance_165_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_95(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_165_4_1 == NULL)
                    single_instance_165_4_1 = new_obj;
            }
        }
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_165_4_1))->alterables->values.set(0, 7*((Active*)get_instance(player_66_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_1))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_1))->alterables->values.set(5, ((Active*)get_instance(player_66_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_1))->alterables->values.set(4, ((Active*)get_instance(player_66_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_1))->force_animation(((Active*)get_instance(player_66_instances))->alterables->values.get(14));
    }
    event_165_4_end: ;
}
void Frames::event_func_463()
{
    // event 166_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_166_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_166_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 0); // 'Player'
    }
    event_166_4_end: ;
}
void Frames::event_func_464()
{
    // event 167_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_167_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_167_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(5, 1); // 'Player'
    }
    event_167_4_end: ;
}
void Frames::event_func_465()
{
    // event 168_4
    {
        // group: Guns!
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_near_border(-6))) { it.deselect(); continue; }
        }
        if (!bullet_95_instances.has_selection()) goto event_168_4_end;
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_168_4_end: ;
}
void Frames::event_func_466()
{
    // event 169_4
    {
        // group: Guns!
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!bullet_95_instances.has_selection()) goto event_169_4_end;
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_169_4_end: ;
}
void Frames::event_func_467()
{
    // event 170_4
    {
        // group: Guns!
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x((((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(3)));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(2)));
        }
    }
    event_170_4_end: ;
}
void Frames::event_func_468()
{
    // event 171_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_171_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_171_4_end;
        if (!((bullet_95_instances.size()) < (3))) goto event_171_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_171_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) != (0))) goto event_171_4_end;
        FrameObject * single_instance_171_4_0; single_instance_171_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_95(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_171_4_0 == NULL)
                    single_instance_171_4_0 = new_obj;
            }
        }
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_171_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_66_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_171_4_0))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_171_4_0))->alterables->values.set(5, ((Active*)get_instance(player_66_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_171_4_0))->alterables->values.set(4, ((Active*)get_instance(player_66_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_171_4_0))->force_animation(((Active*)get_instance(player_66_instances))->alterables->values.get(14));
    }
    event_171_4_end: ;
}
void Frames::event_func_469()
{
    // event 172_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_172_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_172_4_end;
        if (!((bullet_95_instances.size()) < (3))) goto event_172_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_172_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) != (0))) goto event_172_4_end;
        FrameObject * single_instance_172_4_0; single_instance_172_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_95(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_172_4_0 == NULL)
                    single_instance_172_4_0 = new_obj;
            }
        }
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_172_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_66_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_172_4_0))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_172_4_0))->alterables->values.set(5, ((Active*)get_instance(player_66_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_172_4_0))->alterables->values.set(4, ((Active*)get_instance(player_66_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_172_4_0))->force_animation(((Active*)get_instance(player_66_instances))->alterables->values.get(14));
    }
    event_172_4_end: ;
}
void Frames::event_func_470()
{
    // event 174_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) > (0))) goto event_174_4_end;
        FrameObject * single_instance_174_4_0; single_instance_174_4_0 = NULL;
        // select single: true false false
        sprite_72_instances.clear_selection();
        for (ObjectIterator p_it(sprite_72_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimager_96(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_174_4_0 == NULL)
                    single_instance_174_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_174_4_end: ;
}
void Frames::event_func_471()
{
    // event 175_4
    {
        // group: Graphical Effects
        afterimager_96_instances.clear_selection();
        for (ObjectIterator it(afterimager_96_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimager_96_instances.has_selection()) goto event_175_4_end;
        for (ObjectIterator it(afterimager_96_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_175_4_end: ;
}
void Frames::event_func_472()
{
    // event 176_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_176_4_end;
        afterimager_96_instances.clear_selection();
        for (ObjectIterator it(afterimager_96_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        afterimagel2_97_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_97_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_176_4_end: ;
}
void Frames::event_func_473()
{
    // event 177_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) < (0))) goto event_177_4_end;
        FrameObject * single_instance_177_4_0; single_instance_177_4_0 = NULL;
        // select single: true false false
        sprite_72_instances.clear_selection();
        for (ObjectIterator p_it(sprite_72_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimagel2_97(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_177_4_0 == NULL)
                    single_instance_177_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_177_4_end: ;
}
void Frames::event_func_474()
{
    // event 178_4
    {
        // group: Graphical Effects
        afterimagel2_97_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_97_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimagel2_97_instances.has_selection()) goto event_178_4_end;
        for (ObjectIterator it(afterimagel2_97_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_178_4_end: ;
}
void Frames::event_func_475()
{
    // event 179_4
    {
        // group: Graphical Effects
        every_179_4_0 += manager.dt;
        if (every_179_4_0 < 1.0) goto event_179_4_end;
        every_179_4_0 -= 1.0;
        ((Active*)get_instance(obscuretastictiles_91_instances))->move_front();
    }
    event_179_4_end: ;
}
void Frames::event_func_476()
{
    // event 180_4
    {
        // group: Graphical Effects
        player_66_instances.clear_selection();
        objwatertop_102_instances.clear_selection();
        if (!check_overlap(player_66_instances, objwatertop_102_instances)) goto event_180_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_180_4_end;
        if (not_always_180_4_0 > loop_count) {
            not_always_180_4_0 = loop_count + 2;
            goto event_180_4_end;
        }
        not_always_180_4_0 = loop_count + 2;
        FrameObject * single_instance_180_4_1; single_instance_180_4_1 = NULL;
        // select single: true false false
        sprite_72_instances.clear_selection();
        for (ObjectIterator p_it(sprite_72_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_background_103(parent->x + -30, parent->y + -23), parent->layer);
                if (single_instance_180_4_1 == NULL)
                    single_instance_180_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_180_4_1))->move_back();
        ((Active*)((Active*)single_instance_180_4_1))->set_y(((Active*)get_single(objwatertop_102_instances, default_active_instance))->get_y()-10);
    }
    event_180_4_end: ;
}
void Frames::event_func_477()
{
    // event 181_4
    {
        // group: Sounds
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_181_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) == (0))) goto event_181_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        media.play_id(SOUND_BASSGUN_9, 3-1);
        media.set_sample_volume(SOUND_BASSGUN_9, global_values->get(12)*1.0);
    }
    event_181_4_end: ;
}
void Frames::event_func_478()
{
    // event 182_4
    {
        // group: Sounds
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_182_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(12)) > (0))) goto event_182_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, global_values->get(12)*0.3);
        media.play_id(SOUND_LGSFX1_MIXDOWN_19, 3-1);
    }
    event_182_4_end: ;
}
void Frames::event_func_479()
{
    // event 183_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) != (0))) goto event_183_4_end;
        if (not_always_183_4_0 > loop_count) {
            not_always_183_4_0 = loop_count + 2;
            goto event_183_4_end;
        }
        not_always_183_4_0 = loop_count + 2;
        media.play_id(SOUND_DASH_2_1, -1, 1);
        media.set_sample_volume(SOUND_DASH_2_1, global_values->get(12)*0.5);
    }
    event_183_4_end: ;
}
void Frames::event_func_480()
{
    // event 184_4
    {
        // group: Sounds
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_184_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_184_4_end;
        if (not_always_184_4_0 > loop_count) {
            not_always_184_4_0 = loop_count + 2;
            goto event_184_4_end;
        }
        not_always_184_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_184_4_end: ;
}
void Frames::event_func_481()
{
    // event 187_4
    {
        // group: Sounds
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_187_4_end;
        ((Active*)get_instance(detector_67_instances))->alterables->values.add(3, 1); // 'Detector'
    }
    event_187_4_end: ;
}
void Frames::event_func_482()
{
    // event 188_4
    {
        // group: Sounds
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_188_4_end;
        ((Active*)get_instance(detector_67_instances))->alterables->values.set(3, 0); // 'Detector'
    }
    event_188_4_end: ;
}
void Frames::event_func_483()
{
    // event 202_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_202_4_end;
        if (not_always_202_4_0 > loop_count) {
            not_always_202_4_0 = loop_count + 2;
            goto event_202_4_end;
        }
        not_always_202_4_0 = loop_count + 2;
        media.play_id(SOUND_HURT_5, -1, 1);
        media.set_sample_volume(SOUND_HURT_5, global_values->get(12)*0.5);
    }
    event_202_4_end: ;
}
void Frames::event_func_484()
{
    // event 212_4
    {
        // group: Sounds
        every_212_4_0 += manager.dt;
        if (every_212_4_0 < 1.76) goto event_212_4_end;
        every_212_4_0 -= 1.76;
        active_1_instances.clear_selection();
        screen_122_instances.clear_selection();
        if (!check_overlap(active_1_instances, screen_122_instances)) goto event_212_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, 1.0);
    }
    event_212_4_end: ;
}
void Frames::event_func_485()
{
    // event 213_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (80))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (0))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_213_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_213_4_end;
        if (not_always_213_4_0 > loop_count) {
            not_always_213_4_0 = loop_count + 2;
            goto event_213_4_end;
        }
        not_always_213_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_213_4_end: ;
}
void Frames::event_func_486()
{
    // event 214_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (160))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (80))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_214_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_214_4_end;
        if (not_always_214_4_0 > loop_count) {
            not_always_214_4_0 = loop_count + 2;
            goto event_214_4_end;
        }
        not_always_214_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_214_4_end: ;
}
void Frames::event_func_487()
{
    // event 215_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (240))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (160))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_215_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_215_4_end;
        if (not_always_215_4_0 > loop_count) {
            not_always_215_4_0 = loop_count + 2;
            goto event_215_4_end;
        }
        not_always_215_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_215_4_end: ;
}
void Frames::event_func_488()
{
    // event 216_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (320))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (240))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_216_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_216_4_end;
        if (not_always_216_4_0 > loop_count) {
            not_always_216_4_0 = loop_count + 2;
            goto event_216_4_end;
        }
        not_always_216_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_216_4_end: ;
}
void Frames::event_func_489()
{
    // event 217_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (400))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (320))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_217_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_217_4_end;
        if (not_always_217_4_0 > loop_count) {
            not_always_217_4_0 = loop_count + 2;
            goto event_217_4_end;
        }
        not_always_217_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_217_4_end: ;
}
void Frames::event_func_490()
{
    // event 218_4
    {
        // group: Sounds
        active8_13_instances.clear_selection();
        for (ObjectIterator it(active8_13_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
        }
        if (!active8_13_instances.has_selection()) goto event_218_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(active8_13_instances, screen_122_instances)) goto event_218_4_end;
        if (not_always_218_4_0 > loop_count) {
            not_always_218_4_0 = loop_count + 2;
            goto event_218_4_end;
        }
        not_always_218_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_218_4_end: ;
}
void Frames::event_func_491()
{
    // event 219_4
    {
        // group: Sounds
        enemychomper_158_instances.clear_selection();
        for (ObjectIterator it(enemychomper_158_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_158_instances.has_selection()) goto event_219_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12)*1.0);
    }
    event_219_4_end: ;
}
void Frames::event_func_492()
{
    // event 221_4
    {
        // group: Sounds
        movingplatform_70_instances.clear_selection();
        detector_67_instances.clear_selection();
        if (!check_overlap(movingplatform_70_instances, detector_67_instances)) goto event_221_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(2)) == (0))) goto event_221_4_end;
        if (not_always_221_4_0 > loop_count) {
            not_always_221_4_0 = loop_count + 2;
            goto event_221_4_end;
        }
        not_always_221_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
    }
    event_221_4_end: ;
}
void Frames::event_func_493()
{
    // event 222_4
    {
        // group: Sounds
        media.set_sample_volume(SOUND_DASH_2_1, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GUNSHOT_0, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_ENEMYHIT_3, 0.45*global_values->get(12));
        media.set_sample_volume(SOUND_HURT_5, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_SPRING_4, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_EXPLOSION_6, 0.25*global_values->get(12));
        media.set_channel_volume(3-1, global_values->get(12)*0.5);
        media.set_channel_volume(4-1, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_ZAP_17, 0.01*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1.0*global_values->get(12));
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12));
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12));
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12));
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_BOOM_16, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.set_sample_volume(SOUND_WEUW_26, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_RICOCHET_27, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_ROTATE_PWIMP_28, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_29, global_values->get(12)*0.18);
    }
    event_222_4_end: ;
}
void Frames::event_func_494()
{
    // event 223_4
    {
        // group: Sounds
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_223_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, tntstatic_105_instances)) goto event_223_4_end;
        if (not_always_223_4_0 > loop_count) {
            not_always_223_4_0 = loop_count + 2;
            goto event_223_4_end;
        }
        not_always_223_4_0 = loop_count + 2;
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_223_4_end: ;
}
void Frames::event_func_495()
{
    // event 224_4
    {
        // group: Sounds
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_224_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, tntstatic_105_instances)) goto event_224_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'TNT-static'
        }
    }
    event_224_4_end: ;
}
void Frames::event_func_496()
{
    // event 225_4
    {
        // group: Sounds
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_225_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, tntstatic_105_instances)) goto event_225_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'TNT-static'
        }
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_225_4_end: ;
}
void Frames::event_func_497()
{
    // event 228_4
    {
        // group: Water
        player_66_instances.clear_selection();
        active3_62_instances.clear_selection();
        if (!check_overlap(player_66_instances, active3_62_instances)) goto event_228_4_end;
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_228_4_end;
        every_228_4_0 += manager.dt;
        if (every_228_4_0 < 0.05) goto event_228_4_end;
        every_228_4_0 -= 0.05;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_228_4_end: ;
}
void Frames::event_func_498()
{
    // event 230_4
    {
        // group: Water
        background_103_instances.clear_selection();
        for (ObjectIterator it(background_103_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!background_103_instances.has_selection()) goto event_230_4_end;
        for (ObjectIterator it(background_103_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_230_4_end: ;
}
void Frames::event_func_499()
{
    // event 232_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_232_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_232_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_232_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, -1); // 'Player'
    }
    event_232_4_end: ;
}
void Frames::event_func_500()
{
    // event 233_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_233_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_233_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_233_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, 1); // 'Player'
    }
    event_233_4_end: ;
}
void Frames::event_func_501()
{
    // event 234_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_234_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(8, 1); // 'Player'
    }
    event_234_4_end: ;
}
void Frames::event_func_502()
{
    // event 235_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) == (0))) goto event_235_4_end;
        if (not_always_235_4_0 > loop_count) {
            not_always_235_4_0 = loop_count + 2;
            goto event_235_4_end;
        }
        not_always_235_4_0 = loop_count + 2;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(8, 0); // 'Player'
    }
    event_235_4_end: ;
}
void Frames::event_func_503()
{
    // event 236_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_236_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_236_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_236_4_end: ;
}
void Frames::event_func_504()
{
    // event 237_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_237_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_animation_finished(21))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_237_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_237_4_end: ;
}
void Frames::event_func_505()
{
    // event 238_4
    {
        // group: Hurt
        every_238_4_0 += manager.dt;
        if (every_238_4_0 < 0.01) goto event_238_4_end;
        every_238_4_0 -= 0.01;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) > (0))) goto event_238_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(9, 1); // 'Player'
    }
    event_238_4_end: ;
}
void Frames::event_func_506()
{
    // event 239_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) > (0))) goto event_239_4_end;
        if (not_always_239_4_0 > loop_count) {
            not_always_239_4_0 = loop_count + 2;
            goto event_239_4_end;
        }
        not_always_239_4_0 = loop_count + 2;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 24); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 24); // 'camera shaker'
    }
    event_239_4_end: ;
}
void Frames::event_func_507()
{
    // event 240_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) <= (0))) goto event_240_4_end;
        ((Active*)get_instance(healthbar2_160_instances))->set_x_scale(((Active*)get_instance(healthbar2_160_instances))->x_scale-((((Active*)get_instance(healthbar2_160_instances))->x_scale-((Active*)get_instance(healthbar_118_instances))->x_scale)*0.12));
    }
    event_240_4_end: ;
}
void Frames::event_func_508()
{
    // event 241_4
    {
        // group: Hoverer
        player_66_instances.clear_selection();
        hoverer_110_instances.clear_selection();
        if (!check_overlap(player_66_instances, hoverer_110_instances)) goto event_241_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -3); // 'Player'
    }
    event_241_4_end: ;
}
void Frames::event_func_509()
{
    // event 248_4
    {
        // group: Crates
        explosion_104_instances.clear_selection();
        for (ObjectIterator it(explosion_104_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!explosion_104_instances.has_selection()) goto event_248_4_end;
        for (ObjectIterator it(explosion_104_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_248_4_end: ;
}
void Frames::event_func_510()
{
    // event 249_4
    {
        // group: Crates
        enemyexplosion_152_instances.clear_selection();
        for (ObjectIterator it(enemyexplosion_152_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!enemyexplosion_152_instances.has_selection()) goto event_249_4_end;
        for (ObjectIterator it(enemyexplosion_152_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_249_4_end: ;
}
void Frames::event_func_511()
{
    // event 253_4
    {
        // group: Crates
        tntconveyor_113_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_253_4_end: ;
}
void Frames::event_func_512()
{
    // event 254_4
    {
        // group: Crates
        tntconveyor_113_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntconveyor_113_instances.has_selection()) goto event_254_4_end;
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_254_4_end: ;
}
void Frames::event_func_513()
{
    // event 255_4
    {
        // group: Crates
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_255_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_255_4_end: ;
}
void Frames::event_func_514()
{
    // event 262_4
    {
        // group: Crates
        tntconveyor_113_instances.clear_selection();
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorr_74_instances)) goto event_262_4_end;
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_262_4_end: ;
}
void Frames::event_func_515()
{
    // event 263_4
    {
        // group: Crates
        tntstatic_105_instances.clear_selection();
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorr_74_instances)) goto event_263_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_263_4_end: ;
}
void Frames::event_func_516()
{
    // event 264_4
    {
        // group: Crates
        tntconveyor_113_instances.clear_selection();
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorl_73_instances)) goto event_264_4_end;
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_264_4_end: ;
}
void Frames::event_func_517()
{
    // event 265_4
    {
        // group: Crates
        tntstatic_105_instances.clear_selection();
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorl_73_instances)) goto event_265_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_265_4_end: ;
}
void Frames::event_func_518()
{
    // event 268_4
    {
        // group: Crates
        every_268_4_0 += manager.dt;
        if (every_268_4_0 < 1.5) goto event_268_4_end;
        every_268_4_0 -= 1.5;
        FrameObject * single_instance_268_4_1; single_instance_268_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(pipe_112_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_tntconveyor_113(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_268_4_1 == NULL)
                    single_instance_268_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_268_4_1))->alterables->values.set(0, ((Active*)single_instance_268_4_1)->get_x()); // 'TNT-conveyor'
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->get_x()); // 'TNT-static'
        }
    }
    event_268_4_end: ;
}
void Frames::event_func_519()
{
    // event 269_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_269_4_end;
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorr_74_instances)) goto event_269_4_end;
        if (((Active*)get_instance(player_66_instances))->overlaps_background()) goto event_269_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+2);
    }
    event_269_4_end: ;
}
void Frames::event_func_520()
{
    // event 270_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_270_4_end;
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorl_73_instances)) goto event_270_4_end;
        if (((Active*)get_instance(player_66_instances))->overlaps_background()) goto event_270_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()-2);
    }
    event_270_4_end: ;
}
void Frames::event_func_521()
{
    // event 271_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_271_4_end;
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorl_73_instances)) goto event_271_4_end;
        if (!(((Active*)get_instance(player_66_instances))->overlaps_background())) goto event_271_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+2);
    }
    event_271_4_end: ;
}
void Frames::event_func_522()
{
    // event 272_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_272_4_end;
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, conveyorr_74_instances)) goto event_272_4_end;
        if (!(((Active*)get_instance(player_66_instances))->overlaps_background())) goto event_272_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()-2);
    }
    event_272_4_end: ;
}
void Frames::event_func_523()
{
    // event 273_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_273_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_273_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_single(tntstatic_105_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_67_instances))->set_y(((Active*)get_single(tntstatic_105_instances, default_active_instance))->get_y()-31);
    }
    event_273_4_end: ;
}
void Frames::event_func_524()
{
    // event 274_4
    bool or_result_274_4 = false;
    bool or_temp_result_274_4_0 = false;
    {
        // group: Crates
        player_66_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(player_66_instances, tntstatic_105_instances)) goto or_event_274_4_0_end;
        or_result_274_4 = true;
        or_temp_result_274_4_0 = true;
    }
    or_event_274_4_0_end: ;
    tntstatic_105_instances.clear_saved_selection();
    player_66_instances.clear_saved_selection();
    if (or_temp_result_274_4_0) {
        tntstatic_105_instances.save_selection();
        player_66_instances.save_selection();
    }
    // event 274_4
    bool or_temp_result_274_4_1 = false;
    {
        // group: Crates
        tntstatic_105_instances.clear_selection();
        detector_67_instances.clear_selection();
        if (!check_overlap(tntstatic_105_instances, detector_67_instances)) goto or_event_274_4_1_end;
        or_result_274_4 = true;
        or_temp_result_274_4_1 = true;
        or_event_274_4_1_end: ;
        detector_67_instances.clear_saved_selection();
        if (or_temp_result_274_4_1) {
            tntstatic_105_instances.save_selection();
            detector_67_instances.save_selection();
        }
        if (!or_result_274_4) goto or_final_or_event_274_4_1_end;
        player_66_instances.empty_selection();
        detector_67_instances.empty_selection();
        tntstatic_105_instances.empty_selection();
        if (or_temp_result_274_4_0 || or_temp_result_274_4_1) {
            tntstatic_105_instances.restore_selection();
        }
        if (or_temp_result_274_4_1) {
            detector_67_instances.restore_selection();
        }
        if (or_temp_result_274_4_0) {
            player_66_instances.restore_selection();
        }
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    or_final_or_event_274_4_1_end: ;
}
void Frames::event_func_525()
{
    // event 275_4
    {
        // group: Crates
        tntstatic_105_instances.clear_selection();
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!tntstatic_105_instances.has_selection()) goto event_275_4_end;
        for (ObjectIterator it(tntstatic_105_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_275_4_0; single_instance_275_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(tntstatic_105_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_275_4_0 == NULL)
                    single_instance_275_4_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 12); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 12); // 'camera shaker'
    }
    event_275_4_end: ;
}
void Frames::event_func_526()
{
    // event 277_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_277_4_end;
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorr_74_instances)) goto event_277_4_end;
        if (((Active*)get_instance(player_66_instances))->overlaps_background()) goto event_277_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+2);
    }
    event_277_4_end: ;
}
void Frames::event_func_527()
{
    // event 278_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_278_4_end;
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorl_73_instances)) goto event_278_4_end;
        if (((Active*)get_instance(player_66_instances))->overlaps_background()) goto event_278_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()-2);
    }
    event_278_4_end: ;
}
void Frames::event_func_528()
{
    // event 279_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_279_4_end;
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorl_73_instances)) goto event_279_4_end;
        if (!(((Active*)get_instance(player_66_instances))->overlaps_background())) goto event_279_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+2);
    }
    event_279_4_end: ;
}
void Frames::event_func_529()
{
    // event 280_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_280_4_end;
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(tntconveyor_113_instances, conveyorr_74_instances)) goto event_280_4_end;
        if (!(((Active*)get_instance(player_66_instances))->overlaps_background())) goto event_280_4_end;
        ((Active*)get_instance(player_66_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()-2);
    }
    event_280_4_end: ;
}
void Frames::event_func_530()
{
    // event 281_4
    {
        // group: Crates
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_281_4_end;
        for (ObjectIterator it(tntconveyor_113_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntconveyor_113_instances.has_selection()) goto event_281_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_single(tntconveyor_113_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_67_instances))->set_y(((Active*)get_single(tntconveyor_113_instances, default_active_instance))->get_y()-31);
    }
    event_281_4_end: ;
}
void Frames::event_func_531()
{
    // event 287_4
    {
        // group: Crates
        objtntspawner_212_instances.clear_selection();
        for (ObjectIterator it(objtntspawner_212_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!objtntspawner_212_instances.has_selection()) goto event_287_4_end;
        for (ObjectIterator it(objtntspawner_212_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_287_4_end: ;
}
void Frames::event_func_532()
{
    // event 291_4
    {
        // group: Health/lives
        if (!((global_values->get(0)) > (100))) goto event_291_4_end;
        global_values->set(0, 100);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_291_4_end: ;
}
void Frames::event_func_533()
{
    // event 293_4
    {
        // group: Hoppy Enemy
        enemyhoppy_126_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (30))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_126_instances.has_selection()) goto event_293_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) > (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+400))) goto event_293_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) <= (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+500))) goto event_293_4_end;
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(60);
            ((Active*)*it)->set_direction(4);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->alterables->values.set(3, 0); // 'Enemy-Hoppy'
        }
    }
    event_293_4_end: ;
}
void Frames::event_func_534()
{
    // event 294_4
    {
        // group: Hoppy Enemy
        enemyhoppy_126_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (30))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_126_instances.has_selection()) goto event_294_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) > (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+300))) goto event_294_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) <= (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+400))) goto event_294_4_end;
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(50);
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->alterables->values.set(3, 0); // 'Enemy-Hoppy'
        }
    }
    event_294_4_end: ;
}
void Frames::event_func_535()
{
    // event 295_4
    {
        // group: Hoppy Enemy
        enemyhoppy_126_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (30))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_126_instances.has_selection()) goto event_295_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) > (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+200))) goto event_295_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) <= (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+300))) goto event_295_4_end;
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(50);
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->alterables->values.set(3, 0); // 'Enemy-Hoppy'
        }
    }
    event_295_4_end: ;
}
void Frames::event_func_536()
{
    // event 296_4
    {
        // group: Hoppy Enemy
        enemyhoppy_126_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (30))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_126_instances.has_selection()) goto event_296_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) > (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+100))) goto event_296_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_x()) <= (((Active*)get_single(enemyhoppy_126_instances, default_active_instance))->get_x()+200))) goto event_296_4_end;
        for (ObjectIterator it(enemyhoppy_126_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(50);
            ((Active*)*it)->set_direction(6);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->alterables->values.set(3, 0); // 'Enemy-Hoppy'
        }
    }
    event_296_4_end: ;
}
